-- some standard assets (sometimes with slight modifications)

import "mod_assets/scripts/items_wands.lua"

defineObject{
	name = "rock",
	class = "Item",
	uiName = "Rock",
	model = "assets/models/items/rock.fbx",
	skill = "throwing_weapons",
	ammoType = "rock",
	throwingWeapon = true,
	gfxIndex = 45,
	attackPower = 1,
	coolDownTime = 2,
	attackMethod = "throwAttack",
	attackSound = "swipe",
	impactSound = "impact_blunt",
	stackable = true,
	projectileRotationSpeed = 10,
	projectileRotationZ = -30,
	weight = 0.5,
}

defineObject{
	name = "sack",
	class = "Item",
	uiName = "Sack",
	model = "assets/models/items/sack_empty.fbx",
	gfxIndex = 82,
	weight = 0.1,
	container = true,
	containerType = "sack",
	capacity = 6,
}

defineObject{
	name = "compass",
	class = "Item",
	uiName = "Compass",
	model = "assets/models/items/compass.fbx",
	description = "For many old fashioned adventurers and explorers, not even a sharp sword is as important a tool as a compass is.",
	gfxIndex = 161,
	weight = 0.1,
}

defineObject{
	name = "note",
	class = "Item",
	uiName = "Note",
	model = "assets/models/items/note.fbx",
	gfxIndex = 114,
	scroll = true,
	weight = 0.1,
}
for i = 2, 5 do
defineObject{
	name = "note_l"..i,
	class = "Item",
	uiName = "Note",
	model = "assets/models/items/note.fbx",
	gameEffect = "Found on level "..i,
	gfxIndex = 114,
	scroll = true,
	weight = 0.1,
}
end

defineObject{
	name = "skull",
	class = "Item",
	uiName = "Skull",
	model = "assets/models/items/skull.fbx",
	gfxIndex = 31,
	weight = 1.0, -- amazingly, the LoG team got the weight correct on this one.
}


defineObject{
	name = "rockfall",
	class = "Item",
	uiName = "Rock",
	model = "mod_assets/models/items/rockfall.fbx",
	gfxIndex = 45,
	attackPower = 1,
--	damageType = "poison",
	bombType = "poison",
	bombPower = 20,
	stackable = true,
	projectileRotationSpeed = 10,
	projectileRotationZ = -30,
	weight = 1.0,
}
defineObject{
	name = "icefall",
	class = "Item",
	uiName = "Rock",
	model = "mod_assets/models/items/rockfall_frozen.fbx",
	gfxIndex = 45,
	attackPower = 50,
	damageType = "poison",
--	bombType = "frost",
--	bombPower = 30,
	stackable = true,
	projectileRotationSpeed = 10,
	projectileRotationZ = -30,
	weight = 1.0,
	impactSound = "simulacrum_flail",
}
defineObject{
	name = "icefall_small",
	class = "Item",
	uiName = "Rock",
	model = "mod_assets/models/items/rock_frozen.fbx",
	gfxIndex = 45,
	attackPower = 10,
	damageType = "poison",
--	bombType = "frost",
--	bombPower = 30,
	stackable = true,
	projectileRotationSpeed = 10,
	projectileRotationZ = -30,
	weight = 1.0,
	impactSound = "simulacrum_step2",
}



-- daggers
defineObject{
	name = "knife",
	class = "Item",
	uiName = "Knife",
	model = "assets/models/items/knife.fbx",
	skill = "daggers",
	gfxIndex = 47,
	attackPower = 5,
	accuracy = 0,
	coolDownTime = 3,
	attackMethod = "meleeAttack",
	attackSwipe = "vertical",
	attackSound = "swipe_light",
	impactSound = "impact_blade",
	weight = 0.1,
}
defineObject{
	name = "dagger",
	class = "Item",
	uiName = "Dagger",
	model = "assets/models/items/dagger.fbx",
	skill = "daggers",
	gfxIndex = 10,
	attackPower = 7,
	accuracy = 5,
	coolDownTime = 2.5,
	attackMethod = "meleeAttack",
	attackSwipe = "vertical",
	attackSound = "swipe_light",
	impactSound = "impact_blade",
	weight = 0.1,
}
defineObject{
	name = "weapon_dagger_stiletto",
	class = "Item",
	uiName = "Stiletto",
	model = "mod_assets/models/items/stiletto.fbx",
	description = "A thrusting weapon with a very sharp point. Silent and easily concealed, the stiletto is favoured by assassins.",
	skill = "daggers",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 47,
	attackPower = 12,
	accuracy = 2,
	coolDownTime = 2.8,
	attackMethod = "meleeAttack",
	attackSwipe = "thrust",
	attackSound = "swipe_light",
	impactSound = "impact_blade",
	weight = 0.1,
}
defineObject{
	name = "weapon_dagger_spike_of_force",
	class = "Item",
	uiName = "Spike of Force",
	model = "mod_assets/models/items/stiletto.fbx",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 48,
	description = "The weight of a feather. The sharpness of a needle. The force of a charging bull. The price of a fading life.",
	skill = "daggers",
	requiredLevel = 12,
	attackPower = 16,
	accuracy = 8,
	coolDownTime = 2.5,
	attackMethod = "meleeAttack",
	attackSwipe = "vertical",
	attackSound = "swipe_light",
	impactSound = "impact_blade",
	weight = 0.1,
	glitterEffect = "spike_force_glitter",
}








-- axes
defineObject{
	name = "hand_axe",
	class = "Item",
	uiName = "Hand Axe",
	model = "assets/models/items/hand_axe.fbx",
	skill = "axes",
	gfxIndex = 25,
	attackPower = 10,
	accuracy = 0,
	coolDownTime = 4.5,
	attackMethod = "meleeAttack",
	attackSwipe = "horizontal",
	attackSound = "swipe",
	impactSound = "impact_blade",
	weight = 0.8,
}
defineObject{
	name = "weapon_axe_halberd",
	class = "Item",
	uiName = "Halberd",
	model = "mod_assets/models/items/weapon_axe_halberd.fbx",
	description = "A long shaft topped with an axe blade and spear head. The back of the blade has a hook for grappling or disarming an opponent. The halberd's reach and multiple striking points make it a highly versatile weapon.",
	skill = "axes",
	requiredLevel = 10,
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 86,
	attackPower = 22,
	accuracy = 0,
	coolDownTime = 5.6,
	attackMethod = "meleeAttack",
	attackSwipe = "horizontal",
	attackSound = "swipe_heavy",
	impactSound = "impact_blade",
	weight = 3.0,
	reachWeapon = true,
}
defineObject{
	name = "weapon_axe_harngha",
	class = "Item",
	uiName = "Harngha",
	model = "mod_assets/models/items/weapon_axe_harngha.fbx",
	description = "A war axe with a blade sharper than any other you've seen, made of a metal with a strange blue tinge. It is much lighter than it looks.",
	skill = "axes",
	requiredLevel = 12,
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 158,
	attackPower = 25,
	accuracy = 5,
	coolDownTime = 3.3,
	attackMethod = "meleeAttack",
	attackSwipe = "horizontal",
	attackSound = "swipe_heavy",
	impactSound = "impact_blade",
	weight = 0.4,
}
defineObject{
	name = "weapon_axe_slime",
	class = "Item",
	uiName = "Wrath of the Slime",
	model = "mod_assets/models/items/weapon_axe_slime.fbx",
	description = "The head of this axe secretes a strange glowing acid.",
	gameEffect = "Attacks have a 25% chance to blast the target with acid (attack power equal to Axes skill)",
	skill = "axes",
	requiredLevel = 16,
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 11,
	attackPower = 33,
	accuracy = 0,
	coolDownTime = 6.3,
	attackMethod = "meleeAttack",
	attackSwipe = "horizontal",
	attackSound = "swipe_heavy",
	impactSound = "impact_blade",
	weight = 3.1,
}


-- maces
defineObject{
	name = "weapon_mace_hammer",
	class = "Item",
	uiName = "Hammer",
	model = "mod_assets/models/items/weapon_mace_hammer.fbx",
	skill = "maces",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 34,
	attackPower = 6,
	accuracy = 0,
	coolDownTime = 3,
	attackMethod = "meleeAttack",
	attackSwipe = "vertical",
	attackSound = "swipe",
	impactSound = "impact_blunt",
	weight = 0.5,
}
defineObject{
	name = "weapon_mace_thunderlash",
	class = "Item",
	uiName = "Thunderlash",
	model = "mod_assets/models/items/weapon_mace_thunderlash.fbx",
	description = "The spirit of an air elemental bound into a whip. It constantly crackles with electricity, seeking foes to discharge at.",
	skill = "maces",
	requiredLevel = 8,
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 36,
	glitterEffect = "thunderlash_glitter",
	attackMethod = "castWandSpell",
	wandPower = 16, -- not used
	coolDownTime = 4,
	spell = "thunderlash_shock",
	weight = 0.1,
}
defineObject{
	name = "weapon_mace_greatmaul",
	class = "Item",
	uiName = "Greatmaul",
	model = "mod_assets/models/items/weapon_mace_greatmaul.fbx",
	description = "A huge maul with a massive steel head. This weapon imparts so much force that its handle must be reinforced with metal bands.",
	skill = "maces",
	requiredLevel = 12,
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 35,
	attackPower = 28,
	accuracy = -5,
	coolDownTime = 6,
	attackMethod = "meleeAttack",
	attackSwipe = "vertical",
	attackSound = "swipe_heavy",
	impactSound = "impact_blunt",
	weight = 7.8,
}
defineObject{
	name = "weapon_mace_tormentor",
	class = "Item",
	uiName = "Tormentor",
	model = "mod_assets/models/items/weapon_mace_tormentor.fbx",
	description = "A massive flail. The chain is stained with blood, the ball covered in wickedly twisted barbs, moving, grasping at the air...",
	skill = "maces",
	requiredLevel = 8,
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 87,
	attackPower = 35,
	accuracy = 0,
	coolDownTime = 4,
	attackMethod = "meleeAttack",
	attackSwipe = "vertical",
	attackSound = "swipe_heavy",
	impactSound = "impact_blunt",
	weight = 4.4,
}
--[[
defineObject{ -- cast stoneshatter on hit
	name = "weapon_mace_earthshaker",
	class = "Item",
	uiName = "The Earthshaker",
	model = "mod_assets/models/items/warhammer.fbx", -- TODO
	description = "Myth tells of a great hammer wielded by Or'Thakh the Giant, striking with the force to crumble mountains. It appears that myths sometimes hold truth...",
	skill = "maces",
	requiredLevel = 25,
	gfxIndex = 38, -- XXX: bad
	attackPower = 40,
	accuracy = -7,
	coolDownTime = 7,
	attackMethod = "meleeAttack",
	attackSwipe = "vertical",
	attackSound = "swipe_heavy",
	impactSound = "impact_blunt",
	gameEffect = "Hits have a 25% chance to cause an earthquake damaging all nearby enemies (attack power 2x yours)",
	weight = 22.4,
	reachWeapon = true, -- The handle is giant too.
}]]

-- swords
defineObject{
	name = "weapon_sword_machete",
	class = "Item",
	uiName = "Machete",
	model = "assets/models/items/machete.fbx",
	skill = "swords",
	gfxIndex = 23,
	attackPower = 9,
	accuracy = 0,
	coolDownTime = 3.2,
	attackMethod = "meleeAttack",
	attackSwipe = "horizontal",
	attackSound = "swipe",
	impactSound = "impact_blade",
	weight = 2.2,
}
defineObject{
	name = "weapon_sword_admascus_longsword",
	class = "Item",
	uiName = "Admascus Longsword",
	model = "assets/models/items/long_sword.fbx", -- this has its material overridden
	description = "A longsword made from a steel that is especially sharp and durable. It has a distinctive mottled texture. Only the dwarves of the Admascus Forge know how to make this steel, and they are not keen to share.",
	skill = "swords",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 84,
	attackPower = 16,
	accuracy = 0,
	coolDownTime = 3.2,
	attackMethod = "meleeAttack",
	attackSwipe = "horizontal",
	attackSound = "swipe",
	impactSound = "impact_blade",
	weight = 0.8,
}
defineObject{
	name = "weapon_sword_whirlwind_blade",
	class = "Item",
	uiName = "Whirlwind Blade",
	model = "mod_assets/models/items/whirlwind_blade.fbx",
	description = "An enchanted sword that cuts through the air - and flesh - with supernatural speed.",
	skill = "swords",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 83,
	attackPower = 14,
	accuracy = 4,
	coolDownTime = 2.8,
	dexterity = 2,
	attackMethod = "meleeAttack",
	attackSwipe = "horizontal",
	attackSound = "swipe",
	impactSound = "impact_blade",
	weight = 0.5,
}
defineObject{
	name = "weapon_sword_slayer",
	class = "Item",
	uiName = "The Slayer",
	model = "assets/models/items/dismantler.fbx",
	description = "Enchanted to withstand otherwordly forces and imbued with holy light. There are few ways to make a demon feel fear, but this blade is one of them.",
	skill = "swords",
	requiredLevel = 16,
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 85,
	attackPower = 30,
	accuracy = 0,
	coolDownTime = 4.5,
	resistFire = 25,
	resistCold = 25,
	attackMethod = "meleeAttack",
	attackSwipe = "horizontal",
	attackSound = "swipe_special",
	impactSound = "impact_blade",
	weight = 1,
}
defineObject{
	name = "weapon_sword_aeldaras_rapier",
	class = "Item",
	uiName = "Aeldara's Rapier",
	model = "mod_assets/models/items/aeldaras_rapier.fbx", -- TODO
	description = "The signature blade of the world's greatest duelist. She died under mysterious circumstances a long time ago, but her spirit lives on inside her favourite weapon...",
	skill = "swords",
	requiredLevel = 12,
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 80,
	attackPower = 24,
	accuracy = 10,
	coolDownTime = 3.2,
	dexterity = 4,
	evasion = 16,
	shield = true, -- necessary for evasion to work
	attackMethod = "meleeAttack",
	attackSwipe = "horizontal",
	attackSound = "swipe_light",
	impactSound = "impact_blade",
	weight = 0.3,
}

--[[

--throwing projectiles
defineObject{
	name = "thrown_stone",
	class = "Item",
	uiName = "Rock",
	model = "assets/models/items/rock.fbx",
	skill = "throwing_weapons",
	ammoType = "rock",
	throwingWeapon = true,
	gfxIndex = 45,
	attackPower = 5,
	coolDownTime = 4,
	attackMethod = "throwAttack",
	attackSound = "swipe",
	impactSound = "impact_blunt",
	stackable = true,
	projectileRotationSpeed = 10,
	projectileRotationZ = -30,
	weight = 1.0,
}

defineObject{
	name = "thrown_knife",
	class = "Item",
	uiName = "Throwing Knife",
	model = "assets/models/items/throwing_knife.fbx",
	skill = "throwing_weapons",
	gfxIndex = 42,
	throwingWeapon = true,
	attackPower = 8,
	coolDownTime = 4,
	attackMethod = "throwAttack",
	attackSound = "swipe",
	impactSound = "impact_blade",
	stackable = true,
	sharpProjectile = true,
	projectileRotationSpeed = 0,
	projectileRotationX = 90,
	projectileRotationY = 90,
	weight = 0.2,
}

defineObject{
	name = "thrown_shuriken",
	class = "Item",
	uiName = "Shuriken",
	model = "assets/models/items/shuriken.fbx",
	skill = "throwing_weapons",
	gfxIndex = 12,
	throwingWeapon = true,
	attackPower = 11,
	coolDownTime = 3.5,
	attackMethod = "throwAttack",
	attackSound = "swipe",
	impactSound = "impact_blade",
	stackable = true,
	sharpProjectile = true,
	projectileRotationSpeed = 12,
	projectileRotationX = 90,
	projectileRotationY = -90,
	weight = 0.1,
}

defineObject{
	name = "thrown_axe",
	class = "Item",
	uiName = "Throwing Axe",
	model = "assets/models/items/throwing_axe.fbx",
	skill = "throwing_weapons",
	gfxIndex = 43,
	throwingWeapon = true,
	attackPower = 15,
	coolDownTime = 5.5,
	attackMethod = "throwAttack",
	attackSound = "swipe",
	impactSound = "impact_blade",
	stackable = true,
	sharpProjectile = true,
	projectileRotationSpeed = -10,
	projectileRotationZ = 90,
	weight = 0.5,
}

-- missile projectiles
defineObject{
	name = "shot_bolt",
	class = "Item",
	uiName = "Crossbow Quarrel",
	model = "assets/models/items/quarrel.fbx",
	ammoType = "quarrel",
	gfxIndex = 120,
	attackPower = 2,
	impactSound = "impact_arrow",
	stackable = true,
	sharpProjectile = true,
	projectileRotationY = 90,
	weight = 0.2,
}
defineObject{
	name = "shot_arrow",
	class = "Item",
	uiName = "Broadhead Arrow",
	model = "assets/models/items/arrow.fbx",
	ammoType = "arrow",
	gfxIndex = 107,
	attackPower = 1,
	impactSound = "impact_arrow",
	stackable = true,
	sharpProjectile = true,
	projectileRotationY = 90,
	weight = 0.1,
}
]]






-- plain
defineObject{
	name = "armour_linen_shirt",
	class = "Item",
	uiName = "Linen Shirt",
	model = "assets/models/items/purple_clothes.fbx",
	slot = "Torso",
	gfxIndex = 36,
	protection = 1,
	weight = 0.2,
}

defineObject{
	name = "armour_linen_hose",
	class = "Item",
	uiName = "Linen Hose",
	model = "assets/models/items/blue_clothes.fbx",
	slot = "Legs",
	gfxIndex = 37,
	protection = 1,
	weight = 0.2,
}

defineObject{
	name = "armour_linen_sandals",
	class = "Item",
	uiName = "Sandals",
	model = "assets/models/items/sandals.fbx",
	slot = "Feet",
	gfxIndex = 33,
	protection = 1,
	weight = 0.1,
}

-- leather
defineObject{
	name = "armour_leather_gloves",
	class = "Item",
	uiName = "Leather Gloves",
	model = "assets/models/items/leather_clothes_small.fbx",
	slot = "Gauntlets",
	gfxIndex = 53,
	protection = 2,
	weight = 0.1,
}

defineObject{
	name = "armour_leather_shirt",
	class = "Item",
	uiName = "Leather Shirt",
	model = "assets/models/items/leather_clothes.fbx",
	slot = "Torso",
	armorSet = "leather",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 7,
	protection = 2,
	weight = 0.6,
}

defineObject{
	name = "armour_leather_cap",
	class = "Item",
	uiName = "Leather Cap",
	model = "assets/models/items/leather_clothes_small.fbx",
	slot = "Head",
	armorSet = "leather",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 8,
	protection = 2,
	weight = 0.1,
}

defineObject{
	name = "armour_leather_pants",
	class = "Item",
	uiName = "Leather Pants",
	model = "assets/models/items/leather_clothes.fbx",
	slot = "Legs",
	armorSet = "leather",
	gfxIndex = 54,
	protection = 2,
	weight = 0.5,
}

defineObject{
	name = "armour_leather_boots",
	class = "Item",
	uiName = "Leather Boots",
	model = "assets/models/items/leather_boots.fbx",
	slot = "Feet",
	armorSet = "leather",
	gfxIndex = 35,
	protection = 2,
	weight = 0.6,
}

-- light armour
defineObject{
	name = "armour_scale_boots",
	class = "Item",
	uiName = "Steel-Toed Boots",
	model = "mod_assets/models/items/steel_boots.fbx",
	description = "Popular among the workers that can afford them, steel-toed boots prevent certain accidents involving falling rocks or dropped crates.",
	slot = "Feet",
	armorSet = "steel_light",
	armorSkill = "light_armor",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 141,
	protection = 6,
	weight = 0.8,
}

defineObject{
	name = "armour_scale_cap",
	class = "Item",
	uiName = "Steel Cap",
	model = "assets/models/items/leather_cap.fbx",
	slot = "Head",
	armorSet = "steel_light",
	armorSkill = "light_armor",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 21,
	protection = 6,
	weight = 0.8,
}

defineObject{
	name = "armour_scale_coat",
	class = "Item",
	uiName = "Scale Coat",
	model = "assets/models/items/leather_brigandine.fbx",
	slot = "Torso",
	armorSet = "steel_light",
	armorSkill = "light_armor",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 19,
	protection = 6,
	weight = 4.0,
}

defineObject{
	name = "armour_scale_greaves",
	class = "Item",
	uiName = "Scale Greaves",
	model = "assets/models/items/leather_greaves.fbx",
	slot = "Legs",
	armorSkill = "light_armor",
	armorSet = "steel_light",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 20,
	protection = 6,
	weight = 2.0,
}

-- heavy armour
-- The original Grimrock's plate is 37 kg, far above the weight of any medieval
-- armour that would plausibly be used in combat. 20kg is a little on the low
-- side, but still reasonable, especially considering that the game's graphics
-- suggest some parts of the plate are missing... 
defineObject{
	name = "armour_plate_cuirass",
	class = "Item",
	uiName = "Plate Cuirass",
	model = "assets/models/items/plate_cuirass.fbx",
	slot = "Torso",
	armorSkill = "heavy_armor",
	armorSet = "plate",
	gfxIndex = 91,
	protection = 12,
	weight = 10.5,
}
defineObject{
	name = "armour_plate_greaves",
	class = "Item",
	uiName = "Plate Greaves",
	model = "assets/models/items/plate_greaves.fbx",
	slot = "Legs",
	armorSkill = "heavy_armor",
	armorSet = "plate",
	gfxIndex = 92,
	protection = 12,
	weight = 5.5,
}
defineObject{
	name = "armour_plate_helmet",
	class = "Item",
	uiName = "Full Helmet",
	model = "assets/models/items/full_helmet.fbx",
	slot = "Head",
	armorSkill = "heavy_armor",
	armorSet = "plate",
	gfxIndex = 93,
	protection = 12,
	weight = 2.0,
}
defineObject{
	name = "armour_plate_gauntlets",
	class = "Item",
	uiName = "Plate Gauntlets",
	model = "assets/models/items/plate_gauntlets.fbx",
	slot = "Gauntlets",
	armorSkill = "heavy_armor",
	armorSet = "plate",
	gfxIndex = 95,
	protection = 12,
	weight = 1.0,
}
defineObject{
	name = "armour_plate_boots",
	class = "Item",
	uiName = "Plate Boots",
	model = "assets/models/items/plate_boots.fbx",
	slot = "Feet",
	armorSkill = "heavy_armor",
	armorSet = "plate",
	gfxIndex = 94,
	protection = 12,
	weight = 2.0,
}

lifeEquip = function(champion, slot)
	if slot < 7 or slot == 9 then
		local t = timers:find("lifeRegenTimer"..champion:getOrdinal())
		if not t then
			timers:create("lifeRegenTimer"..champion:getOrdinal())
			:setTimerInterval(1)
			:setConstant()
			:addCallback(spells.incLife,{champion:getOrdinal()})
			:activate()
		else
			t:setTimerInterval(1/(1/t.interval+1))
			t:deactivate()
			t:activate()
		end
	end
	return true
end
lifeUnequip = function(champion, slot)
	if slot < 7 or slot == 9 then
		local t = timers:find("lifeRegenTimer"..champion:getOrdinal())
		if t.interval > 0.99 then t:destroy() return true end
		t:setTimerInterval(1/(1/t.interval-1))
		t:deactivate()
		t:activate()
	end
	return true
end

defineObject{
	name = "armour_life_cuirass",
	class = "Item",
	uiName = "Body of Life",
	model = "mod_assets/models/items/armour_life_cuirass.fbx",
	gameEffect = "Regenerate 1 health per second",
	slot = "Torso",
	armorSkill = "heavy_armor",
	armorSet = "life",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 125,
	protection = 15,
	onEquipItem = lifeEquip,
	onUnequipItem = lifeUnequip,
	weight = 4.2,
}

defineObject{
	name = "armour_life_greaves",
	class = "Item",
	uiName = "Legs of Life",
	model = "mod_assets/models/items/armour_life_greaves.fbx",
	gameEffect = "Regenerate 1 health per second",
	slot = "Legs",
	armorSkill = "heavy_armor",
	armorSet = "life",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 126,
	protection = 15,
	onEquipItem = lifeEquip,
	onUnequipItem = lifeUnequip,
	weight = 3.2,
}

defineObject{
	name = "armour_life_helm",
	class = "Item",
	uiName = "Head of Life",
	model = "mod_assets/models/items/armour_life_helm.fbx",
	gameEffect = "Regenerate 1 health per second",
	slot = "Head",
	armorSkill = "heavy_armor",
	gfxAtlas = "mod_assets/textures/items.tga",
	armorSet = "life",
	gfxIndex = 127,
	protection = 15,
	onEquipItem = lifeEquip,
	onUnequipItem = lifeUnequip,
	weight = 1.5,
	glitterEffect = "lifeglitter_helm",
}

defineObject{
	name = "armour_life_gauntlets",
	class = "Item",
	uiName = "Hands of Life",
	model = "mod_assets/models/items/armour_life_gauntlets.fbx",
	gameEffect = "Regenerate 1 health per second",
	slot = "Gauntlets",
	armorSkill = "heavy_armor",
	gfxAtlas = "mod_assets/textures/items.tga",
	armorSet = "life",
	gfxIndex = 129,
	protection = 15,
	onEquipItem = lifeEquip,
	onUnequipItem = lifeUnequip,
	weight = 0.5,
}

defineObject{
	name = "armour_life_boots",
	class = "Item",
	uiName = "Heels of Life",
	model = "mod_assets/models/items/armour_life_boots.fbx",
	gameEffect = "Regenerate 1 health per second",
	slot = "Feet",
	armorSkill = "heavy_armor",
	gfxAtlas = "mod_assets/textures/items.tga",
	armorSet = "life",
	gfxIndex = 128,
	protection = 15,
	onEquipItem = lifeEquip,
	onUnequipItem = lifeUnequip,
	weight = 1.2,
}

defineObject{
	name = "amulet_fire",
	class = "Item",
	uiName = "Amulet of Fire",
	model = "mod_assets/models/items/pendant_fire.fbx",
	slot = "Neck",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 73,
	strength = 3,
	resistFire = 25,
	weight = 0.1,
	glitterEffect = "amulet_fire",
}

defineObject{
	name = "amulet_air",
	class = "Item",
	uiName = "Amulet of Air",
	model = "assets/models/items/spirit_mirror_pendant.fbx",
	slot = "Neck",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 74,
	dexterity = 3,
	resistShock = 25,
	weight = 0.1,
	glitterEffect = "amulet_air",
}

defineObject{
	name = "amulet_earth",
	class = "Item",
	uiName = "Amulet of Earth",
	model = "mod_assets/models/items/pendant_earth.fbx",
	slot = "Neck",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 75,
	protection = 10,
	weight = 0.1,
	glitterEffect = "amulet_earth",
}

defineObject{
	name = "amulet_ice",
	class = "Item",
	uiName = "Amulet of Ice",
	model = "mod_assets/models/items/pendant_ice.fbx",
	slot = "Neck",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 76,
	energy = 25,
	resistCold = 25,
	weight = 0.1,
	glitterEffect = "amulet_ice",
}

defineObject{
	name = "bracelet_shielding",
	class = "Item",
	uiName = "Bracelet of Shielding",
	model = "assets/models/items/bracelet_tirin.fbx",
	description = "A magical bracelet that protects its wearer from harm.",
	slot = "Bracers",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 68,
	protection = 1,
	weight = 0.1,
}

defineObject{
	name = "manual_unopened",
	class = "Item",
	uiName = "Lost Halls of the Drinn Manual",
	model = "assets/models/items/tome.fbx",
	gameEffect = "Right-click to open",
	description = "The black-and-white manual that comes with every copy of Lost Halls of the Drinn. The Collector's Edition comes with a coloured manual.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 29,
	weight = 0.1,
	emptyItem = "manual_page1",
	onUseItem = function(self, champion)
		playSound("map_turn_page")
		return true
	end,
}
defineObject{
	name = "manual_page1",
	class = "Item",
	uiName = "Lost Halls of the Drinn Manual",
	model = "assets/models/items/tome.fbx",
	gameEffect = "Right-click to turn the page",
	description = [[Thank you for downloading Lost Halls of the Drinn.
Some of Grimrock's rules are different in this mod, so be aware:
  - There is no food system; champions are always satiated.
  - There are no throwing or missile weapons.
  - Protection is more powerful, and reduces damage from all attacks that are not fire, cold, or electricity. There is no poison, and Earth Magic spells do physical damage.
  - Evasion allows champions to dodge fire, cold, and electricity attacks.
  - Spells are not cast with runes. Instead, you must find wands to cast spells; each wand holds one spell, and a certain level of the appropriate magic skill (4, 8, 16, or 32) is required to use each one. Wands do not run out of charges.
  - Spellcraft skill decreases spell energy costs by 2% per level. The Combat Caster perk no longer has an effect.
  - Defeating a monster will always grant full experience to all champions, even champions that are dead or did not damage the monster.
  - Resting regenerates health and energy much faster.
  - Champions gain 7 skill points per level instead of 4.]],
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 29,
	weight = 0.1,
	emptyItem = "manual_page2",
	onUseItem = function(self, champion)
		playSound("map_turn_page")
		return true
	end,
}
defineObject{
	name = "manual_page2",
	class = "Item",
	uiName = "Lost Halls of the Drinn Manual",
	model = "assets/models/items/tome.fbx",
	gameEffect = "Right-click to close the manual",
	description = [[In addition, to maximize your enjoyment, you should be aware that:
  - "High" rendering quality is required. At "Low" rendering quality, things that should appear translucent may be completely invisible instead.
  - It is safe to use map notes in this mod.
  - There are no secret buttons whatsoever. There are many secrets, but they are found by solving puzzles, not by searching walls.
  - There are no "lost forever" items or secrets. No matter where you are and what you've done, every puzzle can be solved.
  - There are no regenerating monsters; when you clear a room, it stays that way.
  - There are no puzzles that require speed or timing. Work at your own pace.
  - There are no pits.
  - Weapons have been rebalanced so that axes and maces are now competitive with swords and unarmed combat.
  - Sound and color vision are not required.]],
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 29,
	weight = 0.1,
	emptyItem = "manual_unopened",
	onUseItem = function(self, champion)
		playSound("map_turn_page")
		return true
	end,
}
defineObject{
	name = "bugnote",
	class = "Item",
	uiName = "Bug",
	model = "assets/models/items/boiled_beetle.fbx",
	gfxIndex = 59,
	weight = 0.1,
	scroll = true
}

defineObject{
	name = "journal_unopened",
	class = "Item",
	uiName = "Journal",
	model = "mod_assets/models/items/journal.fbx",
	gameEffect = "Right-click to open",
	description = "A journal belonging to Lircei Cinwelis, the leader of the expedition you are searching for.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 32,
	weight = 0.3,
	emptyItem = "journal_page1",
	onUseItem = function(self, champion)
		playSound("map_turn_page")
		return true
	end,
}
JOURNAL_PAGES = {
	[[71st Year of the Tower, 23rd Day

Cinwelis, Lircei

This journal shall act as a record of the
Enyrodian National University's expedition into
the structure built into the side of Mount
Alnarrin. We begin the expedition tomorrow at the
6th hour.

The structure is believed to be a fortress once
inhabited by the Drinn peoples. It became
submerged after the Great Storm, long after the
estimated time of the Drinn's extinction (between
80th Year of the Forest and 60th Year of the
Rabbit). The lakebed has, of course, dried up
since.

Expedition participants:
  Cinwelis, Lircei       Expedition Leader
                               Chief Archaeologist

  Alleiov, Loclon         Assistant
  Niclaris, Ganese      Assistant
  Anastasia*             Consultant
			
Under the terms of our contract with "Anastasia",
her real name may not be disclosed. (On a personal
note, I am not sure what purpose this serves.) I
am permitted only to state that she is an expert
on Drinn culture.]],
	[[71st Year of the Tower, 24th Day

Cinwelis, Lircei

No less than a few minutes into our expedition,
everything we thought we knew about the Drinn has
been turned upside-down. The main gate of the
fortress is still operational, and contains a pump
system to drain away water. The entrance must have
remained watertight for a very long time, as there
is no evidence of water damage inside.
I hasten to clarify that I do not support the idea
that the Drinn knew the Great Storm would occur.
This is evidence that they were prepared for
floods, nothing more.]],
	[[71st Year of the Tower, 24th Day

Cinwelis, Lircei

Entering the fortress, we have found that it is
constructed almost entirely out of runestone. Even
most of the furniture here is runestone. The
hypothesis that the Drinn had secret methods of
creating and working runestone is no longer only a
hypothesis, I suppose. Creating the amount of
runestone used here with modern methods would take
tens of thousands of years... and for the Drinn it
was apparently plentiful enough to use for simple
tables and chairs.]],
	[[71st Year of the Tower, 24th Day

Cinwelis, Lircei

The fortress' lighting system appears to have been
constructed after the fortress itself, judging by
the smoother stonework. It is in excellent
condition, and may even still be functional,
though we dare not test that hypothesis given the
risk of damaging it.]],
	[[71st Year of the Tower, 24th Day

Cinwelis, Lircei

I will cease referring to this structure as a
"fortress", as it may be something else entirely.
There appears to be little security to speak of,
and the location suggests that secrecy was more of
a concern than fortification.
Cave-ins have obstructed most of the living
quarters, but we estimate they accomodated about
thirty or forty persons.]],
	[[71st Year of the Tower, 24th Day

Cinwelis, Lircei

Traces of magical power still linger in the air of
the structure, and must have been much stronger in
the past - it is the only explanation for the life
we have encountered here. Plants and fungi grow on
the walls despite the lack of water and nutrients.
We have even found entirely new species.
Its effects seem to be deleterious to animal life,
however - we encountered a common crab that had
mutated to an enormous size, and was extremely
aggressive. No doubt the poor creature was in
great pain.]],
	[[71st Year of the Tower, 24th Day

Cinwelis, Lircei

If you are reading this journal, you surely know
that Drinn culture valued intelligence and
cleverness above all else. But I am still
surprised by what we have encountered here: rooms
and valuables sealed off not by lock and key, but
by elaborate riddles.
One with a good capacity for logical thinking - or
perhaps just one with a lot of spare time - could
traverse nearly the entire structure on her own.
We will not be "solving" any of these riddles, of
course. We wouldn't want to risk damaging any
of their mechanical or magical apparati.
Furthermore, the layout of the structure is
exceedingly bizarre and slow to navigate - this
appears to be intentional, but I can think of no
reason for such intent.]],
	[[71st Year of the Tower, 25th Day

Cinwelis, Lircei

To whomever finds this journal, please tear out
the page following this one and deliver it to my
closest surviving relative.
More importantly, please destroy the rest of this
journal and leave this place. Going further into
the ruins would be dangerous not only to you, but
to the entire world. If you are searching for me
or my partners, stop. By the time you read this,
we will be dead.]],
	[[Enso alta soun valta etwer welin cente pol erate
us soun qerrni im esandre etwer cenn pol entre
then remoel welin rennerin valta endonar. C.]]
}
for i = 1, #JOURNAL_PAGES-1 do
defineObject{
	name = "journal_page"..i,
	class = "Item",
	uiName = "Journal",
	model = "mod_assets/models/items/journal.fbx", -- TODO
	gameEffect = "Right-click to turn page",
	description = JOURNAL_PAGES[i],
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 32,
	weight = 0.3,
	emptyItem = "journal_page"..i+1,
	onUseItem = function(self, champion)
		playSound("map_turn_page")
		return true
	end,
}
end
defineObject{
	name = "journal_page"..#JOURNAL_PAGES,
	class = "Item",
	uiName = "Journal",
	model = "mod_assets/models/items/journal.fbx",
	gameEffect = "Right-click to close",
	description = JOURNAL_PAGES[#JOURNAL_PAGES],
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 32,
	weight = 0.3,
	emptyItem = "journal_unopened",
	onUseItem = function(self, champion)
		playSound("map_turn_page")
		return true
	end,
}


defineObject{
	name = "magic_orb", -- TODO: find a way to keep it on when carried
	class = "Item",
	uiName = "Everlight Lantern",
	model = "mod_assets/models/items/everlight_lantern.fbx",
	description = "A magical lantern. Everlight Lanterns require no fuel, generate no heat, and will continue to glow in the strongest winds, the bitterest cold, and even underwater. This model can imitate either the natural flame of a torch, or the calm glow of a Light spell.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 1,
	weight = 0.1,
	emptyItem = "everlight_torch",
	gameEffect = "Flick the switch to \'torch\'",
	onUseItem = function(self, champion)
		playSound("click_down")
		return true
	end,
	glitterEffect = "everlight_magic",
}
defineObject{
	name = "everlight_torch",
	class = "Item",
	uiName = "Everlight Lantern",
	model = "mod_assets/models/items/everlight_lantern.fbx",
	description = "A magical lantern. Everlight Lanterns require no fuel, generate no heat, and will continue to glow in the strongest winds, the bitterest cold, and even underwater. This model can imitate either the natural flame of a torch, or the calm glow of a Light spell.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 2,
	weight = 0.1,
	emptyItem = "everlight_off",
	torch = true;
	fuel = math.huge;
	gameEffect = "Flick the switch to \'off\'",
	onUseItem = function(self, champion)
		playSound("click_down")
		return true
	end,
	glitterEffect = "everlight_torch",
}
defineObject{
	name = "everlight_off",
	class = "Item",
	uiName = "Everlight Lantern (Off)",
	model = "mod_assets/models/items/everlight_lantern.fbx",
	description = "A magical lantern. Everlight Lanterns require no fuel, generate no heat, and will continue to glow in the strongest winds, the bitterest cold, and even underwater. This model can imitate either the natural flame of a torch, or the calm glow of a Light spell.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 0,
	weight = 0.1,
	emptyItem = "magic_orb",
	gameEffect = "Flick the switch to \'magic\'",
	onUseItem = function(self, champion)
		playSound("click_down")
		return true
	end,
}






defineObject{
	name = "shield_runestone_shield",
	class = "Item",
	uiName = "Runestone Shield",
	model = "assets/models/items/shield_elements.fbx", -- TODO
	description = "A shield made entirely of runestone. ",
	gfxIndex = 2,
	evasion = 10,
	resistFire = 15,
	resistCold = 15,
	resistShock = 15,
	resistPoison = 15,
	weight = 7.5,
	shield = true,
}

defineObject{
	name = "hintbook",
	class = "Item",
	uiName = "Hint Book",
	model = "assets/models/items/tome.fbx", -- TODO
	description = "A book full of hints in case you get stuck.",
	gfxIndex = 30, -- TODO
	weight = 0.5,
	onUseItem = function(self, champion)
		hints.usedBook()
		return false
	end,
}
defineObject{
	name = "test_tome",
	class = "Item",
	uiName = "Book of Infinity Plus One Wisdom",
	model = "assets/models/items/tome.fbx",
	description = "The keepers of the sunken library record the knowledge of all their visitors in these journals.",
	gfxIndex = 30,
	weight = 1.0,
	gameEffect = "All skills to 50",
	onUseItem = function(self, champion)
		playSound("level_up")
		hudPrint(champion:getName().." asdfasfasf asdfasdfas asdfasfasdfasdfasf fasdfsf.")
		for i = 1, 4 do 
			local champ = party:getChampion(i)
			champ:trainSkill("air_magic",50,true)
			champ:trainSkill("armors",50,true)
			champ:trainSkill("assassination",50,true)
			champ:trainSkill("athletics",50,true)
			champ:trainSkill("axes",50,true)
			champ:trainSkill("daggers",50,true)
			champ:trainSkill("dodge",50,true)
			champ:trainSkill("earth_magic",50,true)
			champ:trainSkill("fire_magic",50,true)
			champ:trainSkill("ice_magic",50,true)
			champ:trainSkill("maces",50,true)
			champ:trainSkill("missile_weapons",50,true)
			champ:trainSkill("spellcraft",50,true)
			champ:trainSkill("staves",50,true)
			champ:trainSkill("swords",50,true)
			champ:trainSkill("throwing_weapons",50,true)
			champ:trainSkill("unarmed_combat",50,true)
		end
		rosetta:translate()
		return true
	end,
}

defineObject{
	name = "tome_rosetta",
	class = "Item",
	uiName = "Guide to the Drinn Language",
	model = "assets/models/items/tome.fbx",
	description = "A book describing the ancient language used by the Drinn, found in the last place you would expect.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 30,
	weight = 0.5,
	gameEffect = "Learn how to read the Drinn language",
	onUseItem = function(self, champion)
		playSound("powerup")
		hudPrint("You now understand the Drinn written language.")
		rosetta:translate()
		return true
	end,
}
defineObject{
	name = "tome_defense",
	class = "Item",
	uiName = "Tome of Defense",
	model = "mod_assets/models/items/tome_purple.fbx",
	description = "A book detailing advanced combat techniques.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 31,
	weight = 0.5,
	gameEffect = "Gain Armors, Dodge, or Staff Defense +7",
	onUseItem = function(self, champion)
		playSound("powerup")
		hudPrint(champion:getName().." feels more confident in "..(champion:getSex() == "male" and "his" or "her").." defensive abilities.")
		champion:trainSkill("armors",7,true)
		champion:trainSkill("dodge",7,true)
		champion:trainSkill("staves",7,true)
		return true
	end,
}
defineObject{
	name = "tome_core",
	class = "Item",
	uiName = "Tome of Fundamental Skills",
	model = "mod_assets/models/items/tome_green.fbx",
	description = "A book detailing advanced combat techniques.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 33,
	weight = 0.5,
	gameEffect = "Gain Athletics, Assassination, or Spellcraft +7",
	onUseItem = function(self, champion)
		playSound("powerup")
		hudPrint(champion:getName().." feels more confident in "..(champion:getSex() == "male" and "his" or "her").." core skills.")
		champion:trainSkill("athletics",7,true)
		champion:trainSkill("assassination",7,true)
		champion:trainSkill("spellcraft",7,true)
		return true
	end,
}
defineObject{
	name = "soulcage",
	class = "Item",
	uiName = "Soulcage",
	model = "mod_assets/models/items/soulcage.fbx",
	description = "An unpleasant-looking object, rumoured to hold the knowledge of the dead. Touching one is said to be unwise.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 154,
	weight = 0.1,
	gameEffect = "Gain 2000 experience",
	onUseItem = function(self, champion)
		playSound("crystal_break")
		playSound("powerup")
		hudPrint(champion:getName().." breaks the Soulcage and knowledge rushes into "..(champion:getSex() == "male" and "his" or "her").." mind.")
		champion:gainExp(2000)
		if not game.restrictScreenFx then party:playScreenEffect("break_red_crystal") end
		return true
	end,
}

defineObject{
	name = "transit_gem",
	class = "Item",
	uiName = "Gem of Crystal Harmony",
	model = "mod_assets/models/items/transit_gem.fbx",
	description = "A gem that resonates with healing crystals, allowing nearby matter to travel between them.\n\nUse this item near the top of a healing crystal to teleport upwards, or near the bottom to teleport downwards.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 105,
	weight = 0.1,
}
defineObject{
	name = "puz_entrance_power_blue_orb",
	class = "Item",
	uiName = "Blue Orb",
	model = "mod_assets/models/items/blue_orb.fbx",
	description = "A shiny blue orb, glowing softly. Magical energy emanates from it.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 124,
	weight = 1.0,
}
defineObject{
	name = "puz_obelisk_miniature",
	class = "Item",
	uiName = "Obelisk Miniature",
	model = "mod_assets/models/items/obelisk_miniature.fbx",
	description = "A solid glass miniature of an obelisk.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 97,
	weight = 0.1,
	glitterEffect = "glitter_silver"
}
defineObject{
	name = "puz_metal_ball",
	class = "Item",
	uiName = "Metal Ball",
	model = "assets/models/items/zhandul_orb.fbx",
	description = "A small metal ball, probably conductive.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 98,
	weight = 0.5,
}
defineObject{
	name = "puz_music_gem_piano",
	class = "Item",
	uiName = "Green Gem",
	model = "mod_assets/models/items/music_gem_green.fbx",
	description = "A glowing green gem with a perfectly tetrahedral shape.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 119,
	weight = 0.1,
}
defineObject{
	name = "puz_music_gem_choir",
	class = "Item",
	uiName = "Blue Gem",
	model = "mod_assets/models/items/music_gem_blue.fbx",
	description = "A glowing blue gem with a roughly spherical shape.",
	gfxIndex = 118,
	weight = 0.1,
}
defineObject{
	name = "puz_music_gem_perc",
	class = "Item",
	uiName = "Red Gem",
	model = "mod_assets/models/items/music_gem_red.fbx",
	description = "A glowing red gem with a perfectly cubic shape.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 120,
	weight = 0.1,
}
defineObject{
	name = "green_gem",
	class = "Item",
	uiName = "Green Gem",
	model = "mod_assets/models/items/music_gem_green.fbx",
	description = "A glowing green gem with a perfectly tetrahedral shape.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 119,
	weight = 0.1,
}
defineObject{
	name = "blue_gem",
	class = "Item",
	uiName = "Blue Gem",
	model = "mod_assets/models/items/music_gem_blue.fbx",
	description = "A glowing blue gem with a roughly spherical shape.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 118,
	weight = 0.1,
}
defineObject{
	name = "red_gem",
	class = "Item",
	uiName = "Red Gem",
	model = "mod_assets/models/items/music_gem_red.fbx",
	description = "A glowing red gem with a perfectly cubic shape.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 120,
	weight = 0.1,
}
defineObject{
	name = "invisible_cube",
	class = "Item",
	uiName = "Invisible Cube",
	model = "mod_assets/models/items/invisible_cube.fbx",
	description = "If you're reading this, you've found a bug. Or you're cheating. Whatever.",
	gfxIndex = 120,
	weight = 42.0,
}
-- TODO: weights and weight sprites look like garbage
defineObject{
	name = "puz_weight_1",
	class = "Item",
	uiName = "Weight",
	model = "mod_assets/models/items/weight1.fbx",
	description = "A cylindrical weight.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 121,
	weight = 1,
}
defineObject{
	name = "puz_weight_2",
	class = "Item",
	uiName = "Weight",
	model = "mod_assets/models/items/weight2.fbx",
	description = "A cylindrical weight.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 122,
	weight = 2,
}
defineObject{
	name = "puz_weight_4",
	class = "Item",
	uiName = "Weight",
	model = "mod_assets/models/items/weight4.fbx",
	description = "A cylindrical weight.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 123,
	weight = 4,
}
defineObject{
	name = "puz_disk_sun",
	class = "Item",
	uiName = "Sun Disk",
	model = "mod_assets/models/items/disk_sun.fbx",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 140,
	weight = 0.5,
}
defineObject{
	name = "puz_disk_moon",
	class = "Item",
	uiName = "Moon Disk",
	model = "mod_assets/models/items/disk_moon.fbx",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 142,
	weight = 0.5,
}
defineObject{
	name = "puz_bloodgem",
	class = "Item",
	uiName = "Blood Gem",
	model = "assets/models/items/red_gem.fbx",
	gfxIndex = 218,
	weight = 0.1,
	glitterEffect = "bloodgem",
}
defineObject{
	name = "puz_lifegem",
	class = "Item",
	uiName = "Life Gem",
	model = "assets/models/items/green_gem.fbx",
	gfxIndex = 119,
	weight = 0.1,
	glitterEffect = "lifegem",
}

defineObject{
	name = "figurine_torusknot_1",
	class = "Item",
	uiName = "Figurine",
	model = "mod_assets/models/items/figurine_torusknot_1.fbx",
	description = "A golden figurine.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 98,
	weight = 0.1,
}
defineObject{
	name = "figurine_torusknot_2",
	class = "Item",
	uiName = "Figurine",
	model = "mod_assets/models/items/figurine_torusknot_2.fbx",
	description = "A golden figurine.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 98,
	weight = 0.1,
}
defineObject{
	name = "figurine_torusknot_3",
	class = "Item",
	uiName = "Figurine",
	model = "mod_assets/models/items/figurine_torusknot_3.fbx",
	description = "A golden figurine.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 98,
	weight = 0.1,
}

-- 3 edges
defineObject{
	name = "figurine_triangle",
	class = "Item",
	uiName = "Figurine",
	model = "mod_assets/models/items/figurine_triangle.fbx",
	description = "A golden figurine.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 39,
	weight = 0.1,
}
-- 4 edges
defineObject{
	name = "figurine_square",
	class = "Item",
	uiName = "Figurine",
	model = "mod_assets/models/items/figurine_square.fbx",
	description = "A golden figurine.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 40,
	weight = 0.1,
}
-- 8 edges
defineObject{
	name = "figurine_pyramid",
	class = "Item",
	uiName = "Figurine",
	model = "mod_assets/models/items/figurine_pyramid.fbx",
	description = "A golden figurine.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 41,
	weight = 0.1,
}
-- 12 edges
defineObject{
	name = "figurine_octahedron",
	class = "Item",
	uiName = "Figurine",
	model = "mod_assets/models/items/figurine_octahedron.fbx",
	description = "A golden figurine.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 42,
	weight = 0.1,
}
-- 12 edges
defineObject{
	name = "figurine_cube",
	class = "Item",
	uiName = "Figurine",
	model = "mod_assets/models/items/figurine_cube.fbx",
	description = "A golden figurine.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 43,
	weight = 0.1,
}
-- 30 edges
defineObject{
	name = "figurine_dodecahedron",
	class = "Item",
	uiName = "Figurine",
	model = "mod_assets/models/items/figurine_dodecahedron.fbx",
	description = "A golden figurine.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 44,
	weight = 0.1,
}
-- 30 edges
defineObject{
	name = "figurine_icosahedron",
	class = "Item",
	uiName = "Figurine",
	model = "mod_assets/models/items/figurine_icosahedron.fbx",
	description = "A golden figurine.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 45,
	weight = 0.1,
}
-- ? edges
defineObject{
	name = "figurine_sphere",
	class = "Item",
	uiName = "Figurine",
	model = "mod_assets/models/items/figurine_sphere.fbx",
	description = "A golden figurine.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 46,
	weight = 0.1,
}

for i = 0, 3 do
defineObject{
	name = "figurine_arrow"..i,
	class = "Item",
	uiName = "Figurine",
	model = "mod_assets/models/items/figurine_arrow"..i..".fbx",
	description = "A golden figurine.",
	gfxIndex = 39,
	weight = 0.1,
}
end

-- KEYS
defineObject{
	name = "item_key_hooked",
	class = "Item",
	uiName = "Hooked Key",
	model = "mod_assets/models/items/key_hooked.fbx",
	gfxAtlas = "mod_assets/textures/items.tga",
	glitterEffect = "glitter_silver",
	gfxIndex = 63,
	key = true,
	weight = 0.1,
}
defineObject{
	name = "item_key_gem",
	class = "Item",
	uiName = "Gem Key",
	model = "mod_assets/models/items/key_gem.fbx",
	gfxAtlas = "mod_assets/textures/items.tga",
	glitterEffect = "glitter_silver",
	gfxIndex = 62,
	key = true,
	weight = 0.1,
	impactSound = "metal_clink",
}
defineObject{
	name = "item_key_runestone",
	class = "Item",
	uiName = "Runestone Key",
	model = "assets/models/items/key_iron.fbx",
	gfxAtlas = "mod_assets/textures/items.tga",
	glitterEffect = "glitter_silver",
	gfxIndex = 61,
	key = true,
	weight = 0.1,
}
defineObject{
	name = "item_key_sword",
	class = "Item",
	uiName = "Sword Key",
	model = "mod_assets/models/items/key_sword.fbx",
	description = "A key carved to resemble a tiny sword.",
	gfxAtlas = "mod_assets/textures/items.tga",
	glitterEffect = "glitter_silver",
	gfxIndex = 60,
	key = true,
	weight = 0.1,
}







defineObject{
	name = "consumable_shard_heal",
	class = "Item",
	uiName = "Health Crystal",
	model = "mod_assets/models/items/crystal_shard_blue.fbx",
	description = "A small shard of crystal filled with regenerative energies. It can be broken to release them.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 151,
	weight = 0.1,
	gameEffect = "Restore 40 health",
	onUseItem = function(self, champion)
		playSound("crystal_break")
		champion:modifyStat("health",40)
		if not game.restrictScreenFx then party:playScreenEffect("break_blue_crystal") end
		return true
	end,
	stackable = true,
}

defineObject{
	name = "consumable_shard_energy",
	class = "Item",
	uiName = "Energy Crystal",
	model = "mod_assets/models/items/crystal_shard_red.fbx",
	description = "A small shard of crystal filled with regenerative energies. It can be broken to release them.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 152,
	weight = 0.1,
	gameEffect = "Restore 40 energy",
	onUseItem = function(self, champion)
		playSound("crystal_break")
		champion:modifyStat("energy",40)
		if not game.restrictScreenFx then party:playScreenEffect("break_red_crystal") end
		return true
	end,
	stackable = true,
}

defineObject{
	name = "consumable_shard_green",
	class = "Item",
	uiName = "Restoration Crystal",
	model = "mod_assets/models/items/crystal_shard_green.fbx",
	description = "A small shard of crystal filled with regenerative energies. It can be broken to release them.",
	gfxAtlas = "mod_assets/textures/items.tga",
	gfxIndex = 153,
	weight = 0.1,
	gameEffect = "Restore 60 health and energy",
	onUseItem = function(self, champion)
		playSound("crystal_break")
		champion:modifyStat("health",60)
		champion:modifyStat("energy",60)
		if not game.restrictScreenFx then party:playScreenEffect("break_green_crystal") end
		return true
	end,
	stackable = true,
}

defineObject{
	name = "cheat_stone",
	class = "Item",
	uiName = "Stone of Cheating",
	model = "assets/models/items/red_gem.fbx",
	gfxIndex = 218,
	weight = 0.1,
	gameEffect = "Enable cheat mode (champions cannot die)",
	emptyItem = "cheat_stone_off",
	onUseItem = function(self, champion)
		return game.toggleCheat(true)
	end,
}
defineObject{
	name = "cheat_stone_off",
	class = "Item",
	uiName = "Stone of Cheating",
	model = "assets/models/items/red_gem.fbx",
	gfxIndex = 218,
	weight = 0.1,
	gameEffect = "Disable cheat mode",
	emptyItem = "cheat_stone",
	onUseItem = function(self, champion)
		return game.toggleCheat(false)
	end,
}
