-- XXX: Update utility.xpvals upon adding a monster or changing an experience value!
fullXp = function(mon) return utility.giveFullXp(mon) end

defineObject{
	name = "drinn_fountain",
	class = "Monster",
	model = "mod_assets/models/env/drinn_fountain.fbx",
	meshName = "Torus_001",
	animations = {
		idle = "mod_assets/animations/drinn_fountain.fbx",
	},
	moveSound = "silence",
	attackSound = "silence",
	hitSound = "silence",
	dieSound = "silence",
	hitEffect = "hit_goo",
	capsuleHeight = 0.4,
	capsuleRadius = 0.6,
	health = 400,
	sight = 1,
	attackPower = 1,
	accuracy = 1,
	coolDown = { 42, 42 },
	protection = 1,
	evasion = -1000,
	movementCoolDown = 42,
	noRecoilInterval = { 0.2, 0.7 },
	exp = 0,
	healthIncrement = 1,
	attackPowerIncrement = 1,
	brain = "Melee",
	immunities = { "assassination", "backstab" },
	onMove = function() return false end,
	onTurn = function() return false end,
	onAttack = function() return false end,
	onDamage = function() return false end,
	onProjectileHit = function() return false end,
-- crashed Monster:destroy() for some reason
--	onDie = function() return false end,
	editorIcon = 56,
}

defineObject{
	name = "monster_herder",
	class = "Monster",
	model = "assets/models/monsters/herder_med_top.fbx",
	meshName = "herder_med_top_mesh",
	animations = {
		idle = "assets/animations/monsters/herder/herder_med_top_idle.fbx",
		moveForward = "assets/animations/monsters/herder/herder_med_top_walk.fbx",
		turnLeft = "assets/animations/monsters/herder/herder_med_top_turn_left.fbx",
		turnRight = "assets/animations/monsters/herder/herder_med_top_turn_right.fbx",
		attack = "assets/animations/monsters/herder/herder_med_top_attack.fbx",
		attack2 = "assets/animations/monsters/herder/herder_med_top_attack_02.fbx",
		getHitFrontLeft = "assets/animations/monsters/herder/herder_med_top_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/herder/herder_med_top_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/herder/herder_med_top_get_hit_back.fbx",
		getHitLeft = "assets/animations/monsters/herder/herder_med_top_get_hit_left.fbx",
		getHitRight = "assets/animations/monsters/herder/herder_med_top_get_hit_right.fbx",
		fall = "assets/animations/monsters/herder/herder_med_top_get_hit_front_left.fbx",
	},
	moveSound = "herder_walk",
	footstepSound = "herder_footstep",
	attackSound = "herder_attack",
	hitSound = "herder_hit",
	dieSound = "herder_die",
	hitEffect = "hit_goo",
	capsuleHeight = 0.2,
	capsuleRadius = 0.7,
	health = 80,
	sight = 2.5,
	attackPower = 10,
	movementCoolDown = 3,
	coolDown = { 1, 3 },
	evasion = -10,
	noRecoilInterval = { 0.1, 0.5 },
	-- no food drop because no food
	exp = 50,
	healthIncrement = 30,
	attackPowerIncrement = 4,
	brain = "Melee",
	onDie = fullXp,
}

defineObject{
	name = "monster_herder_small",
	class = "Monster",
	model = "assets/models/monsters/herder_small.fbx",
	meshName = "herder_small_mesh",
	animations = {
		idle = "assets/animations/monsters/herder/herder_small_top_idle.fbx",
		moveForward = "assets/animations/monsters/herder/herder_small_top_walk.fbx",
		turnLeft = "assets/animations/monsters/herder/herder_small_top_turn_left.fbx",
		turnRight = "assets/animations/monsters/herder/herder_small_top_turn_right.fbx",
		attack = "assets/animations/monsters/herder/herder_small_top_attack_jump.fbx",
		getHitFrontLeft = "assets/animations/monsters/herder/herder_small_top_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/herder/herder_small_top_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/herder/herder_small_top_get_hit_front_left.fbx",
		getHitLeft = "assets/animations/monsters/herder/herder_small_top_get_hit_front_left.fbx",
		getHitRight = "assets/animations/monsters/herder/herder_small_top_get_hit_front_right.fbx",
		fall = "assets/animations/monsters/herder/herder_small_top_get_hit_front_left.fbx",
	},
	moveSound = "herder_walk",
	attackSound = "herder_small_attack",
	hitSound = "herder_hit",
	dieSound = "herder_small_die",
	hitEffect = "hit_goo",
	particleSystem = "herder_frost",
	particleSystemNode = "r_arm_5",
	capsuleHeight = 0.2,
	capsuleRadius = 0.7,
	collisionRadius = 0.7,
	health = 80,
	sight = 3,
	attackPower = 10,
	rangedAttack = "frost_arrow",
	movementCoolDown = 2,
	coolDown = { 2, 4 },
	noRecoilInterval = { 0.1, 0.5 },
	exp = 100,
	healthIncrement = 20,
	attackPowerIncrement = 5,
	brain = "HerderSmall",
	onDie = fullXp,
}

defineObject{
	name = "monster_crab",
	class = "Monster",
	model = "assets/models/monsters/cave_crab.fbx",
	meshName = "crab_mesh",
	animations = {
		idle = "assets/animations/monsters/cave_crab/cave_crab_idle.fbx",
		moveForward = "assets/animations/monsters/cave_crab/cave_crab_walk.fbx",
		turnLeft = "assets/animations/monsters/cave_crab/cave_crab_turn_left.fbx",
		turnRight = "assets/animations/monsters/cave_crab/cave_crab_turn_right.fbx",
		strafeLeft = "assets/animations/monsters/cave_crab/cave_crab_strafe_left.fbx",
		strafeRight = "assets/animations/monsters/cave_crab/cave_crab_strafe_right.fbx",
		attack = "assets/animations/monsters/cave_crab/cave_crab_attack.fbx",
		getHitFrontLeft = "assets/animations/monsters/cave_crab/cave_crab_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/cave_crab/cave_crab_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/cave_crab/cave_crab_get_hit_back.fbx",
		getHitLeft = "assets/animations/monsters/cave_crab/cave_crab_get_hit_left.fbx",
		getHitRight = "assets/animations/monsters/cave_crab/cave_crab_get_hit_right.fbx",
		fall = "assets/animations/monsters/cave_crab/cave_crab_get_hit_front_left.fbx",
	},
	moveSound = "crab_walk",
	attackSound = "crab_attack",
	hitSound = "crab_hit",
	dieSound = "crab_die",
	hitEffect = "hit_goo",
	capsuleHeight = 0.4,
	capsuleRadius = 0.6,
	health = 200,
	sight = 2.5,
	attackPower = 20,
	accuracy = 5,
	coolDown = { 1, 4 },
	protection = 5,
	movementCoolDown = 1.5,
	noRecoilInterval = { 0.2, 0.7 },
	exp = 150,
	healthIncrement = 40,
	attackPowerIncrement = 10,
	brain = "Crab",
	onDie = fullXp,
}

defineObject{
	name = "monster_blue_slime",
	class = "Monster",
	model = "mod_assets/models/monsters/blue_slime.fbx",
	meshName = "green_slime_mesh",
	animations = {
		idle = "assets/animations/monsters/slime/green_slime_idle.fbx",
		moveForward = "assets/animations/monsters/slime/green_slime_move_forward.fbx",
		moveBackward = "assets/animations/monsters/slime/green_slime_move_backward.fbx",
		strafeLeft = "assets/animations/monsters/slime/green_slime_strafe_left.fbx",
		strafeRight = "assets/animations/monsters/slime/green_slime_strafe_right.fbx",
		turnLeft = "assets/animations/monsters/slime/green_slime_turn_left.fbx",
		turnRight = "assets/animations/monsters/slime/green_slime_turn_right.fbx",
		attack = "assets/animations/monsters/slime/green_slime_attack.fbx",
		attackBack = "assets/animations/monsters/slime/green_slime_attack_back.fbx",
		attackLeft = "assets/animations/monsters/slime/green_slime_attack_left.fbx",
		attackRight = "assets/animations/monsters/slime/green_slime_attack_right.fbx",
		getHitFrontLeft = "assets/animations/monsters/slime/green_slime_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/slime/green_slime_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/slime/green_slime_get_hit_back.fbx",
		getHitLeft = "assets/animations/monsters/slime/green_slime_get_hit_left.fbx",
		getHitRight = "assets/animations/monsters/slime/green_slime_get_hit_right.fbx",
		fall = "assets/animations/monsters/slime/green_slime_get_hit_front_left.fbx",
	},
	moveSound = "slime_walk", -- TODO
	attackSound = "slime_attack", -- TODO
	hitSound = "slime_hit", -- TODO
	dieSound = "slime_die", -- TODO
	hitEffect = "hit_slime_blue", -- TODO
	capsuleHeight = 0.2,
	capsuleRadius = 0.7,
	collisionRadius = 0.8,
	health = 100,
	immunities = { "assassination", "backstab", "cold" },
	sight = 2.5,
	allAroundSight = true,
	attackPower = 20,
	accuracy = 5,
	coolDown = { 0.5, 4 },
	evasion = -20,
	movementCoolDown = 1,
	noRecoilInterval = { 0.1, 0.5 },
	exp = 250,
	lightName = "light",
	lightColor = vec(1.0, 1.5, 2.0),
	lightBrightness = 5,
	lightRange = 3,
	healthIncrement = 50,
	attackPowerIncrement = 5,
	brain = "Slime",
	onMove = function(self, dir)
		timers:create()
		:setTimerInterval(3)
		:setConstant()
		:setTickLimit(1,true)
		:addCallback(utility.tspawn,{"ice_shards_single",self.level,self.x,self.y,math.random(0,3)})
		:activate()
		spawn("fx",self.level,self.x,self.y,dir)
		:setParticleSystem("blue_slime_trail")
		return true
	end,
--[[	onTurn = function(self, dir)
		if math.random(3) == 1 then
			for i = 1, 4 do
				local dx = (i==1 or i==2) and 1 or -1
				local dy = (i==2 or i==4) and 1 or -1
				if not isWall(self.level,self.x+dx,self.y+dy) then
					spawn("ice_shards_single",self.level,self.x+dx,self.y+dy,math.random(0,3))
				end
			end
		end
		return true
	end,]]
--[[	onDamage = function(self, damage, dtype)
		if dtype ~= "cold" and math.random(damage+15) <= damage then
			for i = 1, 4 do
				local dx = (i==1 or i==2) and 1 or -1
				local dy = (i==2 or i==4) and 1 or -1
				if not isWall(self.level,self.x+dx,self.y+dy) then
					spawn("ice_shards_single",self.level,self.x+dx,self.y+dy,math.random(0,3))
				end
			end
		end
		return true
	end,]]
	onDie = fullXp,
}

function ghostTele(self,dir)
	if game.canGhostTeleport() and (self.level ~= party.level or utility.manhattanDistance(self,party) > (math.random()^2)*32) then
		local squares = {}
		for i = 0, 7 do
			local dx = i<2 and 1 or i<4 and -1 or i==4 and 2 or i==6 and -2 or 0
			local dy = (i==1 or i==3) and 1 or (i==0 or i==2) and -1 or i==5 and 2 or i==7 and -2 or 0
			local x = party.x+dx
			local y = party.y+dy
			if x<32 and x>=0 and y<32 and y>=0 and not isWall(party.level,x,y) then
				-- can't have a wall between ghost and party (other obstacles are okay)
				if not ((dx==2 or dx==-2) and isWall(party.level,party.x+dx/2,party.y)) and not ((dy==2 or dy==-2) and isWall(party.level,party.x,party.y+dy/2)) then
					local eligible = true
					for e in fix.newEntitiesAt(party.level,x,y) do
						if globals.ghostblockers[e.class] then eligible = false break end
					end
					if eligible then -- can't have monsters moving into the ghost
						for i = 0,3 do
							local dx2, dy2 = getForward(i)
							for e in fix.newEntitiesAt(party.level,x+dx,y+dy) do
								if e.class == "Monster" then eligible = false break end
							end
							if not eligible then break end
						end
						if eligible then squares[#squares+1]={x,y} end
					end
				end
			end
		end
		if #squares > 0 then
			local square = squares[math.random(#squares)]
			spawn("fx",self.level,self.x,self.y,0)
			:setParticleSystem("ghost_poof")
			:translate(0,1.5,0)
			game.soundAtEntity("ghost_poof",self)
			self:setPosition(square[1],square[2],utility.quantizeDirection(party.x-square[1],party.y-square[2]),party.level)
			spawn("fx",self.level,self.x,self.y,0)
			:setParticleSystem("ghost_poof")
			:translate(0,1.5,0)
			game.soundAtEntity("ghost_poof",self)
			return false
		end
	end
	return true
end
defineObject{
	name = "monster_uggardian_ghost",
	class = "Monster",
	model = "mod_assets/models/monsters/uggardian_ghost.fbx",
	meshName = "uggardian_mesh",
	animations = {
		idle = "assets/animations/monsters/uggardian/uggardian_idle.fbx",
		moveForward = "assets/animations/monsters/uggardian/uggardian_walk.fbx",
		strafeLeft = "assets/animations/monsters/uggardian/uggardian_strafe_left.fbx",
		strafeRight = "assets/animations/monsters/uggardian/uggardian_strafe_right.fbx",
		turnLeft = "assets/animations/monsters/uggardian/uggardian_turn_left.fbx",
		turnRight = "assets/animations/monsters/uggardian/uggardian_turn_right.fbx",
		attack = "assets/animations/monsters/uggardian/uggardian_attack.fbx",
		getHitFrontLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/uggardian/uggardian_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/uggardian/uggardian_get_hit_back.fbx",
		getHitLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_left.fbx",
		getHitRight = "assets/animations/monsters/uggardian/uggardian_get_hit_right.fbx",
		fall = "assets/animations/monsters/uggardian/uggardian_get_hit.fbx",
	},
	moveSound = "ghost_move",
	attackSound = "ghost_attack",
	hitSound = "ghost_hit",
	dieSound = "ghost_die",
	hitEffect = "hit_ghost",
	capsuleHeight = 0.6,
	capsuleRadius = 0.3,
	collisionRadius = 0.8,
	health = 500,
	sight = 5,
	attackPower = 30,
	coolDown = { 1.5, 4 },
	protection = 0,
	immunities = { "poison", "cold" },
	evasion = 20,
	rangedAttack = "fireball_greater",
	movementCoolDown = 1,
	flying = true,
	noRecoilInterval = { 0.35, 0.5 },
	exp = 600,
	lightName = "light1",
	lightColor = vec(1, 1, 1),
	lightBrightness = 10,
	lightRange = 3.5,
	attackPowerIncrement = 5,
	healthIncrement = 100,
	protectionIncrement = 3,
	brain = "Uggardian",
	onDie = fullXp,
	onMove = ghostTele,
	onTurn = ghostTele,
}

defineObject{
	name = "monster_willowhisper",
	class = "Monster",
	model = "assets/models/monsters/shrakk_torr.fbx",
	meshName = "shrakk_torr_mesh",
	animations = {
		idle = "assets/animations/monsters/shrakk_torr/shrakk_torr_idle.fbx",
		moveForward = "assets/animations/monsters/shrakk_torr/shrakk_torr_walk.fbx",
		turnLeft = "assets/animations/monsters/shrakk_torr/shrakk_torr_turn_left.fbx",
		turnRight = "assets/animations/monsters/shrakk_torr/shrakk_torr_turn_right.fbx",
		attack = "assets/animations/monsters/shrakk_torr/shrakk_torr_attack.fbx",
		getHitFrontLeft = "assets/animations/monsters/shrakk_torr/shrakk_torr_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/shrakk_torr/shrakk_torr_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/shrakk_torr/shrakk_torr_get_hit_back.fbx",
		getHitLeft = "assets/animations/monsters/shrakk_torr/shrakk_torr_get_hit_left.fbx",
		getHitRight = "assets/animations/monsters/shrakk_torr/shrakk_torr_get_hit_right.fbx",
		fall = "assets/animations/monsters/shrakk_torr/shrakk_torr_get_hit_front_left.fbx",
	},
	moveSound = "willowhisper_move",
	attackSound = "silence",
	hitSound = "simulacrum_hit",
	dieSound = "frostburst",
	hitEffect = "willowhisper_explode",
	capsuleHeight = 0.2,
	capsuleRadius = 0.7,
	collisionRadius = 0.7,
	health = 1,
	sight = 4,
	allAroundSight = true,
	attackPower = 10000,
	accuracy = 10000,
	coolDown = { 0.5, 2 },
	evasion = -10000,
	immunities = { "cold" },
	flying = true,
	movementCoolDown = 0,
	noRecoilInterval = { 0, 1 },
	exp = 250,
	lightName = "head",
	lightColor = vec(0.7, 1.0, 1.5),
	lightBrightness = 16,
	lightRange = 3,
	particleSystem = "willowhisper",
	particleSystemNode = "light1",
	healthIncrement = 0,
	attackPowerIncrement = 0,
	brain = "Melee",
	onDealDamage = function(self)
		local dx, dy = getForward(self.facing)
		damageTile(party.level,party.x,party.y,self.facing,0,"cold",20)
		damageTile(self.level,self.x,self.y,self.facing,0xBC,"physical",1)
		return false
	end,
	onDie = fullXp,
}

guardianSight = 5
guardianHealth = 750
guardianExp = 1000

guardianOnMove = function(self, dir) return guardians.onMove(self,dir) end
guardianOnTurn = function(self, dir) return guardians.onTurn(self,dir) end
guardianOnRangedAttack = function(self, dir) return guardians.onRangedAttack(self) end
guardianOnDie = function(self) return utility.giveFullXp(self,guardians.onDie) end
blueOnDamage = function(self, damage, dtype) return guardians.blueOnDamage(self,damage,dtype) end
yellowOnDamage = function(self, damage, dtype) return guardians.yellowOnDamage(self,damage,dtype) end

-- Red: blood.
defineObject{
	name = "monster_guardian_red",
	class = "Monster",
	model = "mod_assets/models/monsters/uggardian_red.fbx",
	meshName = "uggardian_mesh",
	animations = {
		idle = "assets/animations/monsters/uggardian/uggardian_idle.fbx",
		moveForward = "assets/animations/monsters/uggardian/uggardian_walk.fbx",
		strafeLeft = "assets/animations/monsters/uggardian/uggardian_strafe_left.fbx",
		strafeRight = "assets/animations/monsters/uggardian/uggardian_strafe_right.fbx",
		turnLeft = "assets/animations/monsters/uggardian/uggardian_turn_left.fbx",
		turnRight = "assets/animations/monsters/uggardian/uggardian_turn_right.fbx",
		attack = "assets/animations/monsters/uggardian/uggardian_attack.fbx",
		getHitFrontLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/uggardian/uggardian_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/uggardian/uggardian_get_hit_back.fbx",
		getHitLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_left.fbx",
		getHitRight = "assets/animations/monsters/uggardian/uggardian_get_hit_right.fbx",
		fall = "assets/animations/monsters/uggardian/uggardian_get_hit.fbx",
	},
	moveSound = "guardian_red_move", 
	attackSound = "silence",
	hitSound = "uggardian_hit",
	dieSound = "uggardian_die",
	hitEffect = "hit_blood",
	capsuleHeight = 0.6,
	capsuleRadius = 0.3,
	collisionRadius = 0.8,
	health = guardianHealth,
	sight = guardianSight,
	attackPower = 30,
	coolDown = { 1.5, 4 },
	protection = 5,
	evasion = 10,
	rangedAttack = "poison_bolt",
	movementCoolDown = 1,
	flying = true,
	noRecoilInterval = { 0.35, 0.5 },
	exp = guardianExp,
	lightName = "light1",
	lightColor = vec(1, 0, 0),
	lightBrightness = 15,
	lightRange = 3.5,
	attackPowerIncrement = 5,
	healthIncrement = 100,
	protectionIncrement = 3,
	brain = "Uggardian",
	particleSystem = "guardian_red",
	particleSystemNode = "light1",
	onMove = guardianOnMove,
	onTurn = guardianOnTurn,
	onRangedAttack = guardianOnRangedAttack,
	onDie = guardianOnDie,
}
-- Yellow: fire. Use mostly original properties, with "uggardian" id to get the flame effect.
-- This requires special casing because of internal oddities and giveFullXp; see utility.giveFullXp.
defineObject{
	name = "uggardian",
	class = "Monster",
	model = "assets/models/monsters/uggardian.fbx",
	meshName = "uggardian_mesh",
	animations = {
		idle = "assets/animations/monsters/uggardian/uggardian_idle.fbx",
		moveForward = "assets/animations/monsters/uggardian/uggardian_walk.fbx",
		strafeLeft = "assets/animations/monsters/uggardian/uggardian_strafe_left.fbx",
		strafeRight = "assets/animations/monsters/uggardian/uggardian_strafe_right.fbx",
		turnLeft = "assets/animations/monsters/uggardian/uggardian_turn_left.fbx",
		turnRight = "assets/animations/monsters/uggardian/uggardian_turn_right.fbx",
		attack = "assets/animations/monsters/uggardian/uggardian_attack.fbx",
		getHitFrontLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/uggardian/uggardian_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/uggardian/uggardian_get_hit_back.fbx",
		getHitLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_left.fbx",
		getHitRight = "assets/animations/monsters/uggardian/uggardian_get_hit_right.fbx",
		fall = "assets/animations/monsters/uggardian/uggardian_get_hit.fbx",
	},
	moveSound = "uggardian_walk",
	attackSound = "uggardian_attack",
	hitSound = "uggardian_hit",
	dieSound = "uggardian_die",
	hitEffect = "hit_flame",
	capsuleHeight = 0.6,
	capsuleRadius = 0.3,
	collisionRadius = 0.8,
	health = guardianHealth,
	sight = guardianSight,
	attackPower = 30,
	coolDown = { 1.5, 4 },
	protection = 5,
	immunities = { "fire" },
	evasion = 10,
	rangedAttack = "fireball", -- unused
	movementCoolDown = 1,
	flying = true,
	noRecoilInterval = { 0.35, 0.5 },
	exp = 0,
	lightName = "light1",
	lightColor = vec(1, 0.5, 0.25),
	lightBrightness = 15,
	lightRange = 3.5,
	attackPowerIncrement = 5,
	healthIncrement = 100,
	protectionIncrement = 3,
	brain = "Uggardian",
	onMove = guardianOnMove,
	onTurn = guardianOnTurn,
	onRangedAttack = guardianOnRangedAttack,
	onDie = guardianOnDie,
	onDamage = yellowOnDamage
}
defineObject{
	name = "uggardian_fake",
	class = "Monster",
	model = "assets/models/monsters/uggardian.fbx",
	meshName = "uggardian_mesh",
	animations = {
		idle = "assets/animations/monsters/uggardian/uggardian_idle.fbx",
		moveForward = "assets/animations/monsters/uggardian/uggardian_walk.fbx",
		strafeLeft = "assets/animations/monsters/uggardian/uggardian_strafe_left.fbx",
		strafeRight = "assets/animations/monsters/uggardian/uggardian_strafe_right.fbx",
		turnLeft = "assets/animations/monsters/uggardian/uggardian_turn_left.fbx",
		turnRight = "assets/animations/monsters/uggardian/uggardian_turn_right.fbx",
		attack = "assets/animations/monsters/uggardian/uggardian_attack.fbx",
		getHitFrontLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/uggardian/uggardian_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/uggardian/uggardian_get_hit_back.fbx",
		getHitLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_left.fbx",
		getHitRight = "assets/animations/monsters/uggardian/uggardian_get_hit_right.fbx",
		fall = "assets/animations/monsters/uggardian/uggardian_get_hit.fbx",
	},
	moveSound = "uggardian_walk",
	attackSound = "uggardian_attack",
	hitSound = "uggardian_hit",
	dieSound = "uggardian_die",
	hitEffect = "hit_flame",
	capsuleHeight = 0.6,
	capsuleRadius = 0.3,
	collisionRadius = 0.8,
	health = guardianHealth,
	sight = guardianSight,
	attackPower = 30,
	coolDown = { 1.5, 4 },
	protection = 5,
	immunities = { "fire" },
	evasion = 10,
	rangedAttack = "fireball", -- unused
	movementCoolDown = 1,
	flying = true,
	noRecoilInterval = { 0.35, 0.5 },
	exp = guardianExp,
	lightName = "light1",
	lightColor = vec(1, 0.5, 0.25),
	lightBrightness = 15,
	lightRange = 3.5,
	attackPowerIncrement = 5,
	healthIncrement = 100,
	protectionIncrement = 3,
	brain = "Uggardian",
}
-- Green: earth. 
defineObject{
	name = "monster_guardian_green",
	class = "Monster",
	model = "mod_assets/models/monsters/uggardian_green.fbx",
	meshName = "uggardian_mesh",
	animations = {
		idle = "assets/animations/monsters/uggardian/uggardian_idle.fbx",
		moveForward = "assets/animations/monsters/uggardian/uggardian_walk.fbx",
		strafeLeft = "assets/animations/monsters/uggardian/uggardian_strafe_left.fbx",
		strafeRight = "assets/animations/monsters/uggardian/uggardian_strafe_right.fbx",
		turnLeft = "assets/animations/monsters/uggardian/uggardian_turn_left.fbx",
		turnRight = "assets/animations/monsters/uggardian/uggardian_turn_right.fbx",
		attack = "assets/animations/monsters/uggardian/uggardian_attack.fbx",
		getHitFrontLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/uggardian/uggardian_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/uggardian/uggardian_get_hit_back.fbx",
		getHitLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_left.fbx",
		getHitRight = "assets/animations/monsters/uggardian/uggardian_get_hit_right.fbx",
		fall = "assets/animations/monsters/uggardian/uggardian_get_hit.fbx",
	},
	moveSound = "guardian_green_move",
	attackSound = "silence",
	hitSound = "uggardian_hit",
	dieSound = "uggardian_die",
	hitEffect = "hit_goo",
	capsuleHeight = 0.6,
	capsuleRadius = 0.3,
	collisionRadius = 0.8,
	health = guardianHealth,
	sight = guardianSight,
	attackPower = 30,
	coolDown = { 1.5, 4 },
	protection = 5,
	evasion = 10,
	rangedAttack = "fireball",
	movementCoolDown = 1,
	flying = true,
	immunities = { "poison" },
	noRecoilInterval = { 0.35, 0.5 },
	exp = guardianExp,
	lightName = "light1",
	lightColor = vec(0, 1, 0),
	lightBrightness = 15,
	lightRange = 3.5,
	attackPowerIncrement = 5,
	healthIncrement = 100,
	protectionIncrement = 3,
	brain = "Uggardian",
	particleSystem = "guardian_green",
	particleSystemNode = "light1",
	onMove = guardianOnMove,
	onTurn = guardianOnTurn,
	onRangedAttack = guardianOnRangedAttack,
	onDie = guardianOnDie,
}
-- Cyan: lightning.
defineObject{
	name = "monster_guardian_cyan",
	class = "Monster",
	model = "mod_assets/models/monsters/uggardian_cyan.fbx",
	meshName = "uggardian_mesh",
	animations = {
		idle = "assets/animations/monsters/uggardian/uggardian_idle.fbx",
		moveForward = "assets/animations/monsters/uggardian/uggardian_walk.fbx",
		strafeLeft = "assets/animations/monsters/uggardian/uggardian_strafe_left.fbx",
		strafeRight = "assets/animations/monsters/uggardian/uggardian_strafe_right.fbx",
		turnLeft = "assets/animations/monsters/uggardian/uggardian_turn_left.fbx",
		turnRight = "assets/animations/monsters/uggardian/uggardian_turn_right.fbx",
		attack = "assets/animations/monsters/uggardian/uggardian_attack.fbx",
		getHitFrontLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/uggardian/uggardian_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/uggardian/uggardian_get_hit_back.fbx",
		getHitLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_left.fbx",
		getHitRight = "assets/animations/monsters/uggardian/uggardian_get_hit_right.fbx",
		fall = "assets/animations/monsters/uggardian/uggardian_get_hit.fbx",
	},
	moveSound = "guardian_cyan_move",
	attackSound = "guardian_cyan_move",
	hitSound = "uggardian_hit",
	dieSound = "uggardian_die",
	hitEffect = "hit_lightning",
	capsuleHeight = 0.6,
	capsuleRadius = 0.3,
	collisionRadius = 0.8,
	health = guardianHealth,
	sight = guardianSight,
	attackPower = 30,
	coolDown = { 1.5, 4 },
	protection = 5,
	immunities = { "shock" },
	evasion = 10,
	rangedAttack = "fireball",
	movementCoolDown = 1,
	flying = true,
	noRecoilInterval = { 0.35, 0.5 },
	exp = guardianExp,
	lightName = "light1",
	lightColor = vec(0, 1, 1),
	lightBrightness = 15,
	lightRange = 3.5,
	attackPowerIncrement = 5,
	healthIncrement = 100,
	protectionIncrement = 3,
	brain = "Uggardian",
	particleSystem = "guardian_cyan",
	particleSystemNode = "light1",
	onMove = guardianOnMove,
	onTurn = guardianOnTurn,
	onRangedAttack = guardianOnRangedAttack,
	onDie = guardianOnDie,
	onDamage = function(self, damage, dtype)
		if damage > 10 then game.soundAtEntity("guardian_cyan_move",self) end
		return true
	end,
}
-- Blue: night.
defineObject{
	name = "monster_guardian_blue",
	class = "Monster",
	model = "mod_assets/models/monsters/uggardian_blue.fbx",
	meshName = "uggardian_mesh",
	animations = {
		idle = "assets/animations/monsters/uggardian/uggardian_idle.fbx",
		moveForward = "assets/animations/monsters/uggardian/uggardian_walk.fbx",
		strafeLeft = "assets/animations/monsters/uggardian/uggardian_strafe_left.fbx",
		strafeRight = "assets/animations/monsters/uggardian/uggardian_strafe_right.fbx",
		turnLeft = "assets/animations/monsters/uggardian/uggardian_turn_left.fbx",
		turnRight = "assets/animations/monsters/uggardian/uggardian_turn_right.fbx",
		attack = "assets/animations/monsters/uggardian/uggardian_attack.fbx",
		getHitFrontLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/uggardian/uggardian_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/uggardian/uggardian_get_hit_back.fbx",
		getHitLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_left.fbx",
		getHitRight = "assets/animations/monsters/uggardian/uggardian_get_hit_right.fbx",
		fall = "assets/animations/monsters/uggardian/uggardian_get_hit.fbx",
	},
	moveSound = "silence",
	attackSound = "silence",
	hitSound = "uggardian_hit",
	dieSound = "uggardian_die",
	hitEffect = "guardian_blue_hit",
	capsuleHeight = 0.6,
	capsuleRadius = 0.3,
	collisionRadius = 0.8,
	health = guardianHealth,
	sight = guardianSight,
	attackPower = 20, -- nightbolt does small damage, the blinding is what's important
	coolDown = { 1.5, 4 },
	protection = 5,
	immunities = { "cold" },
	evasion = 10,
	rangedAttack = "lightning_bolt", -- actually nightburst
	movementCoolDown = 1,
	flying = true,
	noRecoilInterval = { 0.35, 0.5 },
	exp = guardianExp,
	lightName = "light1",
	lightColor = vec(0, 0, 1),
	lightBrightness = 15,
	lightRange = 3.5,
	attackPowerIncrement = 5,
	healthIncrement = 100,
	protectionIncrement = 3,
	brain = "Uggardian",
	particleSystem = "guardian_blue",
	particleSystemNode = "light1",
	onMove = guardianOnMove,
	onTurn = guardianOnTurn,
	onRangedAttack = guardianOnRangedAttack,
	onDie = guardianOnDie,
	onDamage = blueOnDamage,
}
-- Magenta: arcane.
defineObject{
	name = "monster_guardian_magenta",
	class = "Monster",
	model = "mod_assets/models/monsters/uggardian_magenta.fbx",
	meshName = "uggardian_mesh",
	animations = {
		idle = "assets/animations/monsters/uggardian/uggardian_idle.fbx",
		moveForward = "assets/animations/monsters/uggardian/uggardian_walk.fbx",
		strafeLeft = "assets/animations/monsters/uggardian/uggardian_strafe_left.fbx",
		strafeRight = "assets/animations/monsters/uggardian/uggardian_strafe_right.fbx",
		turnLeft = "assets/animations/monsters/uggardian/uggardian_turn_left.fbx",
		turnRight = "assets/animations/monsters/uggardian/uggardian_turn_right.fbx",
		attack = "assets/animations/monsters/uggardian/uggardian_attack.fbx",
		getHitFrontLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/uggardian/uggardian_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/uggardian/uggardian_get_hit_back.fbx",
		getHitLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_left.fbx",
		getHitRight = "assets/animations/monsters/uggardian/uggardian_get_hit_right.fbx",
		fall = "assets/animations/monsters/uggardian/uggardian_get_hit.fbx",
	},
	moveSound = "guardian_magenta_move",
	attackSound = "silence",
	hitSound = "uggardian_hit",
	dieSound = "uggardian_die",
	hitEffect = "hit_arcane",
	capsuleHeight = 0.6,
	capsuleRadius = 0.3,
	collisionRadius = 0.8,
	health = guardianHealth,
	sight = guardianSight,
	attackPower = 30,
	coolDown = { 1.5, 4 },
	protection = 5,
	evasion = 10,
	rangedAttack = "fireball", -- TODO
	movementCoolDown = 1,
	flying = true,
	noRecoilInterval = { 0.35, 0.5 },
	exp = guardianExp,
	lightName = "light1",
	lightColor = vec(1, 0, 1),
	lightBrightness = 15,
	lightRange = 3.5,
	attackPowerIncrement = 5,
	healthIncrement = 100,
	protectionIncrement = 3,
	brain = "Uggardian",
	particleSystem = "guardian_magenta",
	particleSystemNode = "light1",
	onMove = guardianOnMove,
	onTurn = guardianOnTurn,
	onRangedAttack = guardianOnRangedAttack,
	onDie = guardianOnDie,
}
-- Prismatic: everything.
defineObject{
	-- another uggardian, use our free shield
	name = "goromorg",
	class = "Monster",
	model = "mod_assets/models/monsters/uggardian_prismatic.fbx",
	meshName = "uggardian_mesh",
	animations = {
		idle = "assets/animations/monsters/uggardian/uggardian_idle.fbx",
		moveForward = "assets/animations/monsters/uggardian/uggardian_walk.fbx",
		strafeLeft = "assets/animations/monsters/uggardian/uggardian_strafe_left.fbx",
		strafeRight = "assets/animations/monsters/uggardian/uggardian_strafe_right.fbx",
		turnLeft = "assets/animations/monsters/uggardian/uggardian_turn_left.fbx",
		turnRight = "assets/animations/monsters/uggardian/uggardian_turn_right.fbx",
		attack = "assets/animations/monsters/uggardian/uggardian_attack.fbx",
		getHitFrontLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/uggardian/uggardian_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/uggardian/uggardian_get_hit_back.fbx",
		getHitLeft = "assets/animations/monsters/uggardian/uggardian_get_hit_left.fbx",
		getHitRight = "assets/animations/monsters/uggardian/uggardian_get_hit_right.fbx",
		fall = "assets/animations/monsters/uggardian/uggardian_get_hit.fbx",
	},
	moveSound = "guardian_prismatic_move",
	attackSound = "silence",
	hitSound = "uggardian_hit",
	dieSound = "uggardian_die", 
	hitEffect = "prismatic_intro_4",
	capsuleHeight = 0.6,
	capsuleRadius = 0.3,
	collisionRadius = 0.8,
	health = 1000,
	sight = 10,
	attackPower = 40,
	coolDown = { 1, 4 },
	protection = 15,
	immunities = { "assassination", "poison" },
	evasion = 15,
	rangedAttack = "fireball",
	movementCoolDown = 0,
	flying = true,
	noRecoilInterval = { 0, 1 },
	exp = 2000,
	lightName = "light1",
	lightColor = vec(1, 1, 1),
	lightBrightness = 30,
	lightRange = 5,
	particleSystem = "uggardian_prismatic",
	particleSystemNode = "light1",
	attackPowerIncrement = 5,
	healthIncrement = 100,
	protectionIncrement = 3,
	brain = "Uggardian",
	onMove = guardianOnMove,
	onTurn = guardianOnTurn,
	onRangedAttack = guardianOnRangedAttack,
	onDie = guardianOnDie,
	onDamage = function(self, dam, dtype) return guardians.prismaticDamage(self, dam, dtype) end,
}

defineObject{
	name = "monster_the_simulacrum",
	class = "Monster",
	model = "mod_assets/models/monsters/the_simulacrum.fbx",
	meshName = "guardian_mesh",
	animations = {
		idle = "assets/animations/monsters/guardian/guardian_idle.fbx",
		moveForward = "assets/animations/monsters/guardian/guardian_walk.fbx",
		turnLeft = "assets/animations/monsters/guardian/guardian_turn_left.fbx",
		turnRight = "assets/animations/monsters/guardian/guardian_turn_right.fbx",
		attack = "assets/animations/monsters/guardian/guardian_attack.fbx",
		attack2 = "assets/animations/monsters/guardian/guardian_attack_swing.fbx",
		turnAttackLeft =  "assets/animations/monsters/guardian/guardian_attack_swing_left.fbx",
		turnAttackRight =  "assets/animations/monsters/guardian/guardian_attack_swing_right.fbx",
		getHitFrontLeft = "assets/animations/monsters/guardian/guardian_get_hit_front_left.fbx",
		getHitFrontRight = "assets/animations/monsters/guardian/guardian_get_hit_front_right.fbx",
		getHitBack = "assets/animations/monsters/guardian/guardian_get_hit_back.fbx",
		getHitLeft = "assets/animations/monsters/guardian/guardian_get_hit_left.fbx",
		getHitRight = "assets/animations/monsters/guardian/guardian_get_hit_right.fbx",
		fall = "assets/animations/monsters/guardian/guardian_get_hit_front_left.fbx",
		rushBegin = "assets/animations/monsters/guardian/guardian_rush_begin.fbx",
		rushContinue1 = "assets/animations/monsters/guardian/guardian_rush_continue_right_step.fbx",
		rushContinue2 = "assets/animations/monsters/guardian/guardian_rush_continue_left_step.fbx",
		rushHit1 = "assets/animations/monsters/guardian/guardian_rush_hit_right_step.fbx",
		rushHit2 = "assets/animations/monsters/guardian/guardian_rush_hit_left_step.fbx",
	},
	turnAnimSpeed = 1.1,
	attackAnimSpeed = 1.2,
	moveSound = "simulacrum_move",
	footstepSound = "simulacrum_step",
	attackSound = "ice_hit", -- TODO
	impactSound = "simulacrum_flail",
	hitSound = "simulacrum_hit",
	dieSound = "simulacrum_die",
	rushBeginSound = "warden_rush_begin", -- TODO
	rushHitSound = "warden_rush_hit", -- TODO
	--soundClipDistance = 8,
	hitEffect = "hit_sim",
	capsuleHeight = 0.6,
	capsuleRadius = 0.6,
	health = 2000,
	immunities = { "poison", "assassination", "cold" },
	sight = 10,
	seeInvisible = true,
	allAroundSight = true,
	attackPower = 80,
	accuracy = 50,
	coolDown = { 2, 4 },
	protection = 20,
	evasion = -10,
	movementCoolDown = 2,
	noRecoilInterval = { 0.1, 1 }, -- interval must end at 1, otherwise turn attack can be interrupted (looks ugly)
	exp = 2500,
	healthIncrement = 100,
	attackPowerIncrement = 10,
	brain = "Warden",
	onMove = function(self,dir) return simulacrum_script.onMove(self,dir) end,
	onTurn = function(self,dir) return simulacrum_script.onTurn(self,dir) end,
	onAttack = function(self,attack) return simulacrum_script.onAttack(self,attack) end,
	onRangedAttack = function(self) return simulacrum_script.onRangedAttack(self) end,
	onDealDamage = function(self,champion,dam) return simulacrum_script.onDealDamage(self,champion,dam) end,
	onDamage = function(self,damage,dtype) return simulacrum_script.onDamage(self,damage,dtype) end,
	onProjectileHit = function(self,projectile,damage,dtype) return simulacrum_script.onProjectileHit(self,projectile,damage,dtype) end,
	onDie = function(self) return utility.giveFullXp(self,simulacrum_script.onDie) end,
}
