defineObject{
	name = "drinn_pedestal_cover",
	class = "Blockage",
	model = "mod_assets/models/env/drinn_pedestal_cover.fbx",
	brokenModel = "mod_assets/models/null.fbx",
	placement = "floor",
	health = 1, -- its glass
	evasion = -1000,
	hitSound = "glassbreak",
	hitEffect = "no_particles",
	editorIcon = 56,
	onDie = function(self)
		-- too lazy to fix the model's particle system node
		spawn("fx",self.level,self.x,self.y,self.facing)
		:setParticleSystem("glass_shatter")
		:translate(0,1,0)
		return utility.replaceBlockage(self)
	end,
}
defineObject{
    name = "drinn_firepit",
    class = "Blockage",
    model = "mod_assets/models/env/drinn_firepit.fbx",
    placement = "floor",
	repelProjectiles = true,
	hitSound = "impact_blade",
	editorIcon = 56,
}
defineObject{
    name = "teslaball",
    class = "Blockage",
    model = "mod_assets/models/env/teslaball.fbx",
    placement = "floor",
	repelProjectiles = true,
	hitSound = "silence",
	editorIcon = 56,
}
defineObject{
    name = "drinn_obelisk_pit",
    class = "Blockage",
    model = "mod_assets/models/env/drinn_firepit.fbx",
    placement = "floor",
	repelProjectiles = true,
	hitSound = "impact_blade",
	editorIcon = 56,
	onDamage = function(self,damage,dtype) 
		puz_obelisk.hitPit(self)
		return false
	end
}
defineObject{
    name = "drinn_obelisk",
    class = "Blockage",
    model = "mod_assets/models/env/drinn_obelisk.fbx",
    placement = "floor",
	repelProjectiles = true,
	hitSound = "impact_blade",
	editorIcon = 56,
}
defineObject{
    name = "drinn_obelisk_fire",
    class = "Blockage",
    model = "mod_assets/models/env/drinn_obelisk_fire.fbx",
    placement = "floor",
	repelProjectiles = true,
	hitSound = "impact_blade",
	editorIcon = 56,
}
defineObject{
    name = "drinn_obelisk_elec",
    class = "Blockage",
    model = "mod_assets/models/env/drinn_obelisk_elec.fbx",
    placement = "floor",
	repelProjectiles = true,
	hitSound = "impact_blade",
	editorIcon = 56,
}
defineObject{ -- note, we have an invis blockage under the obelisk so you cant walk into it even after breaking it
    name = "drinn_obelisk_frozen",
    class = "Blockage",
    model = "mod_assets/models/env/drinn_obelisk_frozen.fbx",
    brokenModel = "mod_assets/models/env/drinn_obelisk_broken.fbx",
    placement = "floor",
	repelProjectiles = true,
	health = 100,
	evasion = -1000,
	hitSound = "ice_hit",
	editorIcon = 56,
	onDie = function(self)
		spawn("fx",self.level,self.x,self.y,self.facing):setParticleSystem("blue_orb_explode")
		party:playScreenEffect("obelisk_shatter_screen")
		party:shakeCamera(0.8,3)
		playSound("orb_shatter")
		playSound("crumble_1")
		playSound("crumble_2")
		playSound("crumble_3")
		puz_obelisk.onShatter()
		return utility.replaceBlockage(self,"drinn_obelisk_broken")
	end
}
defineObject{
    name = "drinn_obelisk_broken",
    class = "Altar",
    model = "mod_assets/models/env/drinn_obelisk_broken.fbx",
    placement = "floor",
	repelProjectiles = true,
	editorIcon = 56,
}

-- regular ivy has some bad clipping with the temple wallset, so we use slightly
-- altered models
defineObject{
    name = "drinn_ivy_1",
    class = "Decoration",
    model = "mod_assets/models/env/dungeon_ivy_01.fbx",
    placement = "wall",
	editorIcon = 92,
}
defineObject{
    name = "drinn_ivy_2",
    class = "Decoration",
    model = "mod_assets/models/env/dungeon_ivy_02.fbx",
    placement = "wall",
	editorIcon = 92,
}
defineObject{
    name = "dungeon_ceiling_root_1",
    class = "Decoration",
    model = "assets/models/env/dungeon_ceiling_roots_01.fbx",
    placement = "wall",
	editorIcon = 92,
}
defineObject{
    name = "dungeon_ceiling_root_2",
    class = "Decoration",
    model = "assets/models/env/dungeon_ceiling_roots_02.fbx",
    placement = "wall",
	editorIcon = 92,
}
defineObject{
    name = "dungeon_ceiling_root_3",
    class = "Decoration",
    model = "assets/models/env/dungeon_ceiling_roots_03.fbx",
    placement = "wall",
	editorIcon = 92,
}
defineObject{
	name = "temple_pillar_algae",
	class = "Decoration",
	model = "mod_assets/models/env/temple_pillar_algae.fbx",
	placement = "pillar",
	editorIcon = 108,
}
defineObject{
	name = "drinn_cave_in",
	class = "Blockage",
	model = "assets/models/env/temple_cave_in.fbx",
	placement = "floor",
	repelProjectiles = true,
	hitSound = "impact_blunt",
	editorIcon = 144,
}

defineObject{
	name = "drinn_cave_in_ceiling",
	class = "Decoration",
	model = "assets/models/env/temple_cave_in_ceiling.fbx",
	placement = "ceiling",
	editorIcon = 144,
}

defineObject{
	name = "earthchamber_light",
	class = "LightSource",
	lightPosition = vec(0, 15, 0),
	lightRange = 30,
	lightColor = vec(0.9, 0.9, 1),
	brightness = 10,
	castShadow = true,
	placement = "floor",
	editorIcon = 88,
	model = "mod_assets/models/null.fbx",
}
defineObject{
	name = "teslaball_light",
	class = "LightSource",
	lightPosition = vec(0, 1.5, 0),
	lightRange = 10,
	lightColor = vec(0.9, 0.9, 1),
	brightness = 10,
	castShadow = true,
	placement = "floor",
	editorIcon = 88,
	model = "mod_assets/models/null.fbx",
}
defineObject{
	name = "gate_light",
	class = "LightSource",
	lightPosition = vec(0, 1.5, 0),
	lightRange = 30,
	lightColor = vec(1, 1, 1),
	brightness = 15,
	castShadow = true,
	placement = "floor",
	editorIcon = 88,
	model = "mod_assets/models/null.fbx",
}
defineObject{
	name = "drinn_ceiling_light_off",
	class = "Decoration",
	placement = "floor",
	editorIcon = 88,
	model = "mod_assets/models/env/drinn_ceiling_light_off.fbx",
}
defineObject{
	name = "drinn_ceiling_light_empty",
	class = "Decoration",
	placement = "floor",
	editorIcon = 88,
	model = "mod_assets/models/env/drinn_ceiling_light_empty.fbx",
}
defineObject{
	name = "drinn_ceiling_light_blue",
	class = "LightSource",
	lightPosition = vec(0, 3, 0),
	lightRange = 10,
	lightColor = vec(0.5, 0.5, 1),
	brightness = 10,
	castShadow = true,
	placement = "floor",
	editorIcon = 88,
	model = "mod_assets/models/env/drinn_ceiling_light_blue.fbx",
}
defineObject{
	name = "drinn_floor_light_blue",
	class = "LightSource",
	lightPosition = vec(-1.5, 0.52, -1.5),
	lightRange = 5,
	lightColor = vec(0.5, 0.5, 1),
	brightness = 5,
	castShadow = true,
	placement = "floor",
	editorIcon = 88,
	model = "mod_assets/models/env/drinn_floor_light.fbx",
}
defineObject{
	name = "drinn_floor_light_off",
	class = "Decoration",
	placement = "floor",
	editorIcon = 88,
	model = "mod_assets/models/env/drinn_floor_light_off.fbx",
}
defineObject{
	name = "drinn_wall_light_green",
	class = "LightSource",
--	0, 2.25, 1 is the center of the orb. However, z of 1 makes the wall's
--	pillars block the light, which we don't want, and y of 2.25 makes an
--	excessively large shadow with z of 1 and an excessively obviously wrong
--	shadow with z of 0.9. I (or you) may want to shrink the stand before
--	using y of 2.25, and extend the stand further out to take care of the
--	pillar issue (but be careful with the latter, you don't want the camera
--	going inside it).
	lightPosition = vec(0, 2.35, 0.9),
	lightRange = 10,
	lightColor = vec(0, 1, 0),
	brightness = 10,
	castShadow = true,
	placement = "floor",
	editorIcon = 88,
	model = "mod_assets/models/env/drinn_wall_light_green.fbx",
}
defineObject{
	name = "drinn_wall_light_blue",
	class = "LightSource",
	lightPosition = vec(0, 2.35, 0.9),
	lightRange = 10,
	lightColor = vec(0.5, 0.5, 1),
	brightness = 10,
	castShadow = true,
	placement = "floor",
	editorIcon = 88,
	model = "mod_assets/models/env/drinn_wall_light_blue.fbx",
}

defineObject{
    name = "drinn_huge_orb",
    class = "Blockage",
    model = "mod_assets/models/env/drinn_huge_orb.fbx",
    placement = "floor",
	repelProjectiles = true,
	hitSound = "impact_blade",
	editorIcon = 56,
}
defineObject{
    name = "gate",
    class = "Decoration",
    model = "mod_assets/models/env/gate.fbx",
    placement = "floor",
	editorIcon = 56,
}

defineObject{
    name = "drinn_huge_orb_light",
	class = "LightSource",
	lightPosition = vec(0, 1.5, 0),
	lightRange = 10,
	lightColor = vec(0.5, 0.5, 1),
	brightness = 100,
	castShadow = true,
	placement = "floor",
	editorIcon = 88,
    placement = "floor",
}
defineObject{
	name = "puz_spirit_light",
	class = "LightSource",
	lightPosition = vec(0, 6, 0),
	lightRange = 10,
	lightColor = vec(0.5, 0.5, 1),
	brightness = 15,
	castShadow = true,
	placement = "floor",
	editorIcon = 88,
}
defineObject{
	name = "sunlight",
	class = "LightSource",
	lightPosition = vec(0, 6, 0),
	lightRange = 15,
	lightColor = vec(1, 1, 0),
	brightness = 32,
	castShadow = true,
	placement = "floor",
	editorIcon = 88,
}
elements = {"fire","air","earth","ice"}
cols = {vec(0.75,0.4,0.25),vec(0.15,0.35,1),vec(0.8,1,0.2),vec(0.5,0.8,1)}
for i = 1, #elements do
	defineObject{
		name = "elemlight"..elements[i],
		class = "LightSource",
		lightPosition = vec(0, 0.95, 0),
		lightRange = 3,
		lightColor = cols[i],
		brightness = 20,
		castShadow = false,
		placement = "floor",
		editorIcon = 88,
		model = "mod_assets/models/null.fbx",
	}
end


defineObject{
	name = "drinn_pedestal",
	class = "Altar",
	model = "mod_assets/models/env/drinn_pedestal.fbx",
	placement = "floor",
	editorIcon = 52,
	-- returning false causes insertion attempts to turn into throws
	-- items thrown onto a pedestal will still land on it even if we return
	-- false, but that's okay, because throwing an item onto a covered
	-- pedestal is guaranteed to break the glass anyway!
	onInsertItem = function(self,item)
		for i in fix.newEntitiesAt(self.level,self.x,self.y) do
			if i.name:find("pedestal_cover") then return false end
		end
		return true
	end,
}
defineObject{
	name = "drinn_small_table",
	class = "Altar",
	model = "mod_assets/models/env/drinn_small_table.fbx",
	placement = "floor",
	editorIcon = 52,
}
defineObject{
	name = "alcove_closet",
	class = "Alcove",
	model = "mod_assets/models/env/statue_alcove_closet.fbx",
	replacesWall = true,
	anchorPos = vec(0, 0.7, 0.2),
	targetPos = vec(0,1,0),
	targetSize = vec(0.3, 0.5, 0.3),
	placement = "wall",
	editorIcon = 8,
}
defineObject{
	name = "alcove_closet_left",
	class = "Alcove",
	model = "mod_assets/models/null.fbx",
	replacesWall = false,
	anchorPos = vec(-0.5, 0.7, 0.2),
	anchorRotation = vec(0, -40, 0),
	targetPos = vec(-0.5,1,0),
	targetSize = vec(0.3, 0.5, 0.3),
	placement = "wall",
	editorIcon = 8,
}
defineObject{
	name = "alcove_closet_right",
	class = "Alcove",
	model = "mod_assets/models/null.fbx",
	replacesWall = false,
	anchorPos = vec(0.5, 0.7, 0.2),
	anchorRotation = vec(0, 60, 0),
	targetPos = vec(0.5,1,0),
	targetSize = vec(0.3, 0.5, 0.3),
	placement = "wall",
	editorIcon = 8,
}
defineObject{
	name = "alcove_shelf",
	class = "Alcove",
	model = "mod_assets/models/env/drinn_shelf.fbx",
	replacesWall = false,
	anchorPos = vec(-0.4, 1.28, 0),
	targetPos = vec(-0.4,1.28,0),
	targetSize = vec(0.3, 0.5, 0.3),
	placement = "wall",
	editorIcon = 8,
}

function oneItemAlcove(self,item)
	return self:getItemCount() == 0
end

for i = 1, 7 do
defineObject{
	name = "alcove_tray_"..i,
	class = "Alcove",
	model = "mod_assets/models/env/drinn_wall_tray_"..i..".fbx",
	replacesWall = false,
	anchorPos = vec(-1.42+i*0.35,1.14,-0.2),
	targetPos = vec(-1.42+i*0.35,1.2,-0.2),
	anchorRotation = vec(0,90,0),
	targetSize = vec(0.1, 0.2, 0.1),
	placement = "wall",
	editorIcon = 8,
	onInsertItem = oneItemAlcove,
}
end



defineObject{
	name = "drinn_crystal_plant",
	class = "Decoration",
	model = "mod_assets/models/env/drinn_crystal_plant.fbx",
	placement = "pillar",
	editorIcon = 108,
}
defineObject{
	-- the name is to remind me to put it NW of the plant, facing E
	name = "drinn_crystal_plant_light_NW_E",
	class = "LightSource",
	lightPosition = vec(1.5, 2, 1.5), -- another one that has to be placed way higher than the model
	lightRange = 5,
	lightColor = vec(0, 1, 0),
	brightness = 10,
	castShadow = true,
	placement = "floor",
	editorIcon = 88,
}

defineObject{
	name = "drinn_color_orb_stand_pillar",
	class = "Decoration",
	model = "mod_assets/models/env/drinn_color_orb_stand.fbx",
	placement = "pillar",
	editorIcon = 108,
}
defineObject{
	name = "drinn_color_orb_stand",
	class = "Blockage",
	model = "mod_assets/models/env/drinn_color_orb_stand.fbx",
	placement = "floor",
	repelProjectiles = true,
	hitSound = "impact_blade",
	editorIcon = 56,
}
defineObject{
	name = "drinn_color_orb_red",
	class = "Decoration",
	model = "mod_assets/models/env/color_orb_red.fbx",
	placement = "floor",
	editorIcon = 108,
}
defineObject{
	name = "drinn_color_orb_green",
	class = "Decoration",
	model = "mod_assets/models/env/color_orb_green.fbx",
	placement = "pillar",
	editorIcon = 108,
}
defineObject{
	name = "drinn_color_orb_cyan",
	class = "Decoration",
	model = "mod_assets/models/env/color_orb_cyan.fbx",
	placement = "floor",
	editorIcon = 108,
}
defineObject{
	name = "drinn_color_orb_magenta",
	class = "Decoration",
	model = "mod_assets/models/env/color_orb_magenta.fbx",
	placement = "pillar",
	editorIcon = 108,
}
defineObject{
	name = "drinn_color_orb_yellow",
	class = "Decoration",
	model = "mod_assets/models/env/color_orb_yellow.fbx",
	placement = "pillar",
	editorIcon = 108,
}
defineObject{
	name = "drinn_color_orb_blue",
	class = "Decoration",
	model = "mod_assets/models/env/color_orb_blue.fbx",
	placement = "pillar",
	editorIcon = 108,
}
defineObject{
	name = "drinn_color_orb_trans_pillar",
	class = "Decoration",
	model = "mod_assets/models/env/color_orb_trans.fbx",
	placement = "pillar",
	editorIcon = 108,
}
defineObject{
	name = "drinn_color_orb_trans",
	class = "Decoration",
	model = "mod_assets/models/env/color_orb_trans.fbx",
	placement = "floor",
	editorIcon = 108,
}





defineObject{
	name = "drinn_fountain_light_red",
	class = "LightSource",
	lightPosition = vec(0, 1.5, 0), -- center of red torus
	lightRange = 1,
	lightColor = vec(1, 0, 0),
	brightness = 50,
	castShadow = true,
	placement = "floor",
	editorIcon = 88,
}
defineObject{
	name = "drinn_fountain_light_green",
	class = "LightSource",
	lightPosition = vec(0, 0.75, 0), -- center of green torus
	lightRange = 1.5,
	lightColor = vec(0, 1, 0),
	brightness = 50,
	castShadow = true,
	placement = "floor",
	editorIcon = 88,
}
defineObject{
	name = "drinn_fountain_light_blue",
	class = "LightSource",
	lightPosition = vec(0, 0.01, 0), -- center of the basin, raised very slightly
	lightRange = 2,
	lightColor = vec(0, 0, 1),
	brightness = 50,
	castShadow = true,
	placement = "floor",
	editorIcon = 88,
}


--[[
defineObject{
	name = "drinn_levit_torusknot",
	class = "Crystal",
	model = "mod_assets/models/env/levit_torusknot.fbx",
	animation = "mod_assets/animations/levit_torusknot.fbx",
	particleSystem = "crystal",
	placement = "floor",
	editorIcon = 60,
}]]

defineObject{
    name = "teleporter_floor",
    class = "Decoration",
    model = "mod_assets/models/env/temple_floor_tele.fbx",
    placement = "floor",
	replacesFloor = true,
	editorIcon = 100,
}
defineObject{
    name = "teleporter_ceiling",
    class = "Decoration",
    model = "mod_assets/models/env/temple_ceiling_tele.fbx",
    placement = "ceiling",
	editorIcon = 100,
}




defineObject{
    name = "starting_sand",
    class = "Decoration",
    model = "mod_assets/models/env/starting_sand.fbx",
    placement = "floor",
	editorIcon = 100,
}
defineObject{
    name = "earth_chamber_terrain",
    class = "Decoration",
    model = "mod_assets/models/env/earth_chamber.fbx",
    placement = "floor",
	editorIcon = 100,
}


defineObject{
    name = "nothing",
    class = "Decoration",
    model = "mod_assets/models/null.fbx",
    placement = "floor",
   editorIcon = 100,
}
defineObject{
    name = "transit_destination",
    class = "Decoration",
    model = "mod_assets/models/null.fbx",
    placement = "floor",
   editorIcon = 100,
}
defineObject{
    name = "crystal_refresher",
    class = "Decoration",
    model = "mod_assets/models/null.fbx",
    placement = "floor",
   editorIcon = 100,
}
defineObject{
    name = "kill_floor",
    class = "Decoration",
    model = "mod_assets/models/null.fbx",
    placement = "floor",
	replacesFloor = true,
	editorIcon = 100,
}
defineObject{
    name = "kill_wall",
    class = "Decoration",
    model = "mod_assets/models/null.fbx",
    placement = "wall",
	replacesWall = true,
	editorIcon = 100,
}
defineObject{
	name = "kill_pillars",
	class = "Door",
	model = "mod_assets/models/sx_blocker.fbx",
	doorFrameModel = "mod_assets/models/sx_blocker.fbx",
	openSound = "silence",
	closeSound = "silence",
	lockSound = "silence",
	openVelocity = 1,
	closeVelocity = 1,
	closeAcceleration = -1,
	sparse = true,
	killPillars = true,
	secretDoor = true,
	placement = "wall",
	editorIcon = 120,
}
defineObject{
    name = "kill_ceiling",
    class = "Decoration",
    model = "mod_assets/models/null.fbx",
    placement = "ceiling",
	editorIcon = 100,
}
defineObject{
    name = "invis_blockage",
    class = "Blockage",
    model = "mod_assets/models/null.fbx",
    placement = "floor",
	repelProjectiles = true,
	editorIcon = 56,
}
defineObject{
    name = "temple_ceiling",
    class = "Decoration",
    model = "assets/models/env/temple_ceiling.fbx",
    placement = "ceiling",
	editorIcon = 100,
}
defineObject{
    name = "temple_floor",
    class = "Decoration",
    model = "assets/models/env/temple_floor_01.fbx",
    placement = "floor",
	replacesFloor = true,
	editorIcon = 100,
}
defineObject{
    name = "temple_wall",
    class = "Decoration",
    model = "assets/models/env/temple_wall_01.fbx",
    placement = "wall",
	replacesWall = true,
	editorIcon = 100,
}

defineObject{
    name = "temple_ceiling_frozen",
    class = "Decoration",
    model = "mod_assets/models/env/temple_ceiling_frozen.fbx",
    placement = "ceiling",
	editorIcon = 100,
}
defineObject{
    name = "temple_floor_frozen",
    class = "Decoration",
    model = "mod_assets/models/env/temple_floor_01_frozen.fbx",
    placement = "floor",
	editorIcon = 100,
}
defineObject{
    name = "temple_wall_frozen",
    class = "Decoration",
    model = "mod_assets/models/env/temple_wall_01_frozen.fbx",
    placement = "wall",
	editorIcon = 100,
}
defineObject{
    name = "temple_ceiling_shaft_frozen",
    class = "Decoration",
    model = "mod_assets/models/env/temple_ceiling_pit_frozen.fbx",
    placement = "ceiling",
	editorIcon = 100,
}
defineObject{
	name = "temple_pillar_frozen",
	class = "Decoration",
	model = "mod_assets/models/env/temple_pillar_frozen.fbx",
	placement = "pillar",
	editorIcon = 108,
}
defineObject{
    name = "dungeon_ceiling_root_1_frozen",
    class = "Decoration",
    model = "mod_assets/models/env/dungeon_ceiling_roots_01_frozen.fbx",
    placement = "wall",
	editorIcon = 92,
}
defineObject{
    name = "dungeon_ceiling_root_2_frozen",
    class = "Decoration",
    model = "mod_assets/models/env/dungeon_ceiling_roots_02_frozen.fbx",
    placement = "wall",
	editorIcon = 92,
}
defineObject{
    name = "dungeon_ceiling_root_3_frozen",
    class = "Decoration",
    model = "mod_assets/models/env/dungeon_ceiling_roots_03_frozen.fbx",
    placement = "wall",
	editorIcon = 92,
}
defineObject{
	name = "temple_door_ornament_frozen",
	class = "Door",
	model = "mod_assets/models/env/door_ornament_frozen.fbx",
	doorFrameModel = "mod_assets/models/env/temple_door_frame_frozen.fbx",
	pullChainModel = "assets/models/env/door_pullchain.fbx",
	pullChainAnim = "assets/animations/env/door_pullchain.fbx",
	openSound = "gate_open",
	closeSound = "gate_close",
	lockSound = "gate_lock",
	killPillars = true,
	openVelocity = 1.3,
	closeVelocity = 0,
	closeAcceleration = -10,
	placement = "wall",
	editorIcon = 124,
}




defineObject{
	name = "temple_wall_burnt",
	class = "Decoration",
	model = "mod_assets/models/env/temple_wall_burnt.fbx",
	placement = "wall",
	editorIcon = 100,
}
defineObject{
	name = "temple_floor_burnt",
	class = "Decoration",
	model = "mod_assets/models/env/temple_floor_burnt.fbx",
	placement = "floor",
	editorIcon = 100,
}













defineObject{
    name = "puz_ceiling_hint",
    class = "Decoration",
    model = "mod_assets/models/env/temple_ceiling_hint.fbx",
    placement = "ceiling",
	editorIcon = 100,
}




defineObject{
	name = "iceblock_hack_door",
	class = "Door",
	model = "mod_assets/models/null_door.fbx",
	doorFrameModel = "mod_assets/models/null.fbx",
	openSound = "silence",
	closeSound = "silence",
	lockSound = "silence",
	openVelocity = 100,
	closeVelocity = 0,
	closeAcceleration = -10,
	sparse = true,
	secretDoor = true,
	placement = "wall",
	editorIcon = 132,
}
defineObject{
	name = "temple_wall_grating",
	class = "Door",
	model = "assets/models/env/temple_wall_grating.fbx",
	openSound = "gate_open",
	closeSound = "gate_close",
	lockSound = "gate_lock",
	openVelocity = 1.3,
	closeVelocity = 0,
	closeAcceleration = -10,
	sparse = true,
	secretDoor = true,
	placement = "wall",
	editorIcon = 132,
}
defineObject{
	name = "temple_door_portcullis",
	class = "Door",
	model = "assets/models/env/door_portcullis.fbx",
	doorFrameModel = "assets/models/env/temple_door_frame.fbx",
	pullChainModel = "assets/models/env/door_pullchain.fbx",
	pullChainAnim = "assets/animations/env/door_pullchain.fbx",
	openSound = "gate_open",
	closeSound = "gate_close",
	lockSound = "gate_lock",
	killPillars = true,
	openVelocity = 1.3,
	closeVelocity = 0,
	closeAcceleration = -10,
	sparse = true,
	placement = "wall",
	editorIcon = 124,
}
defineObject{
	name = "temple_door_iron",
	class = "Door",
	model = "assets/models/env/door_iron.fbx",
	doorFrameModel = "assets/models/env/temple_door_frame_wide.fbx",
	pullChainModel = "assets/models/env/door_pullchain.fbx",
	pullChainAnim = "assets/animations/env/door_pullchain.fbx",
	openSound = "wall_sliding",
	closeSound = "wall_sliding",
	lockSound = "wall_sliding_lock",
	killPillars = true,
	doubleDoor = true,
	openVelocity = 0.5,
	closeVelocity = -0.5,
	closeAcceleration = 0,
	placement = "wall",
	editorIcon = 16,
}

defineObject{
	name = "temple_wall_grating",
	class = "Door",
	model = "assets/models/env/temple_wall_grating.fbx",
	openSound = "gate_open",
	closeSound = "gate_close",
	lockSound = "gate_lock",
	openVelocity = 1.3,
	closeVelocity = 0,
	closeAcceleration = -10,
	sparse = true,
	secretDoor = true,
	placement = "wall",
	editorIcon = 132,
}

defineObject{
	name = "temple_secret_door",
	class = "Door",
	model = "assets/models/env/temple_secret_door.fbx",
	openSound = "wall_sliding",
	closeSound = "wall_sliding",
	lockSound = "wall_sliding_lock",
	openVelocity = 0.5,
	closeVelocity = -0.5,
	secretDoor = true,
	placement = "wall",
	editorIcon = 120,
}
defineObject{
	name = "temple_secret_door_text",
	class = "Door",
	model = "mod_assets/models/env/temple_secret_door_text.fbx",
	openSound = "wall_sliding",
	closeSound = "wall_sliding",
	lockSound = "wall_sliding_lock",
	openVelocity = 0.5,
	closeVelocity = -0.5,
	secretDoor = true,
	placement = "wall",
	editorIcon = 120,
}

defineObject{
	name = "temple_pressure_plate",
	class = "PressurePlate",
	model = "assets/models/env/temple_pressure_plate.fbx",
	activateAnim = "assets/animations/env/temple_pressure_plate_down.fbx",
	deactivateAnim = "assets/animations/env/temple_pressure_plate_up.fbx",
	placement = "floor",
	editorIcon = 0,
}
defineObject{
	name = "temple_pressure_plate_panels",
	class = "PressurePlate",
	model = "mod_assets/models/env/temple_pressure_plate_panels.fbx",
	activateAnim = "assets/animations/env/temple_pressure_plate_down.fbx",
	deactivateAnim = "assets/animations/env/temple_pressure_plate_up.fbx",
	placement = "floor",
	editorIcon = 0,
}

defineObject{
	name = "lightcontroller_on",
	class = "PressurePlate",
	model = "assets/models/env/dungeon_pressure_plate.fbx",
	activateAnim = "assets/animations/env/dungeon_pressure_plate_down.fbx",
	deactivateAnim = "assets/animations/env/dungeon_pressure_plate_up.fbx",	
	hidden = true,
	silent = true,
	placement = "floor",
	editorIcon = 140,
}
defineObject{
	name = "lightcontroller_off",
	class = "PressurePlate",
	model = "assets/models/env/dungeon_pressure_plate.fbx",
	activateAnim = "assets/animations/env/dungeon_pressure_plate_down.fbx",
	deactivateAnim = "assets/animations/env/dungeon_pressure_plate_up.fbx",	
	hidden = true,
	silent = true,
	placement = "floor",
	editorIcon = 140,
}
defineObject{
	name = "xpplate",
	class = "PressurePlate",
	model = "assets/models/env/dungeon_pressure_plate.fbx",
	activateAnim = "assets/animations/env/dungeon_pressure_plate_down.fbx",
	deactivateAnim = "assets/animations/env/dungeon_pressure_plate_up.fbx",	
	hidden = true,
	silent = true,
	placement = "floor",
	editorIcon = 140,
}
defineObject{
	name = "hintzone",
	class = "PressurePlate",
	model = "assets/models/env/dungeon_pressure_plate.fbx",
	activateAnim = "assets/animations/env/dungeon_pressure_plate_down.fbx",
	deactivateAnim = "assets/animations/env/dungeon_pressure_plate_up.fbx",	
	hidden = true,
	silent = true,
	placement = "floor",
	editorIcon = 140,
}

defineObject{
	name = "temple_alcove",
	class = "Alcove",
	model = "assets/models/env/temple_wall_alcove.fbx",
	replacesWall = true,
	anchorPos = vec(0, 0.85, 0.2),
	targetPos = vec(0,1.3,0),
	targetSize = vec(0.6, 0.5, 0.6),
	placement = "wall",
	editorIcon = 8,
}

defineObject{
	name = "transit_alcove_up",
	class = "Alcove",
--	model = "assets/models/null.fbx",
	anchorPos = vec(0,2,0),
	targetPos = vec(0,1.7,0),
	targetSize = vec(0.5, 0.2, 0.1),
	placement = "wall",
	editorIcon = 8,
	onInsertItem = function(self, item)
		if item.name == "transit_gem" then
			transit.up()
		end
		return false
	end,
}
defineObject{
	name = "transit_alcove_down",
	class = "Alcove",
--	model = "assets/models/null.fbx",
	anchorPos = vec(0,2.5,0),
	targetPos = vec(0,1.1,0),
	targetSize = vec(0.5, 0.2, 0.1),
	placement = "wall",
	editorIcon = 8,
	onInsertItem = function(self, item)
		if item.name == "transit_gem" then
			transit.down()
		end
		return false
	end,
}
defineObject{
	name = "transitplate",
	class = "PressurePlate",
	model = "assets/models/env/dungeon_pressure_plate.fbx",
	activateAnim = "assets/animations/env/dungeon_pressure_plate_down.fbx",
	deactivateAnim = "assets/animations/env/dungeon_pressure_plate_up.fbx",	
	hidden = true,
	silent = true,
	placement = "floor",
	editorIcon = 140,
}



defineObject{
	name = "temple_stairs_down",
	class = "Stairs",
	model = "assets/models/env/temple_stairs_down.fbx",
	down = true,
	editorIcon = 48,
}

defineObject{
	name = "temple_stairs_up",
	class = "Stairs",
	model = "assets/models/env/temple_stairs_up.fbx",
	down = false,
	editorIcon = 44,
}

defineObject{
	name = "temple_wall_text",
	class = "WallText",
	model = "assets/models/env/temple_wall_text.fbx",
	placement = "wall",
	replacesWall = true,
	editorIcon = 28,
}

defineObject{
	name = "temple_wall_text_long",
	class = "WallText",
	model = "assets/models/env/temple_wall_text_long.fbx",
	placement = "wall",
	replacesWall = true,
	editorIcon = 28,
}

defineObject{
	name = "temple_wall_text_red",
	class = "WallText",
	model = "mod_assets/models/env/temple_wall_text_long_red.fbx",
	placement = "wall",
	replacesWall = true,
	editorIcon = 28,
}

defineObject{
	name = "temple_wall_text_yellow",
	class = "WallText",
	model = "mod_assets/models/env/temple_wall_text_long_yellow.fbx",
	placement = "wall",
	replacesWall = true,
	editorIcon = 28,
}

defineObject{
	name = "temple_wall_text_green",
	class = "WallText",
	model = "mod_assets/models/env/temple_wall_text_long_green.fbx",
	placement = "wall",
	replacesWall = true,
	editorIcon = 28,
}

defineObject{
	name = "temple_wall_text_cyan",
	class = "WallText",
	model = "mod_assets/models/env/temple_wall_text_long_cyan.fbx",
	placement = "wall",
	replacesWall = true,
	editorIcon = 28,
}

defineObject{
	name = "temple_wall_text_blue",
	class = "WallText",
	model = "mod_assets/models/env/temple_wall_text_long_blue.fbx",
	placement = "wall",
	replacesWall = true,
	editorIcon = 28,
}

defineObject{
	name = "temple_wall_text_magenta",
	class = "WallText",
	model = "mod_assets/models/env/temple_wall_text_long_magenta.fbx",
	placement = "wall",
	replacesWall = true,
	editorIcon = 28,
}

defineObject{
	name = "temple_wall_text_white",
	class = "WallText",
	model = "mod_assets/models/env/temple_wall_text_long_white.fbx",
	placement = "wall",
	replacesWall = true,
	editorIcon = 28,
}

defineObject{
	name = "temple_floor_drainage",
	class = "Decoration",
	model = "assets/models/env/temple_floor_drainage.fbx",
	placement = "floor",
	replacesFloor = true,
	editorIcon = 136,
}
defineObject{
	name = "temple_floor_drainage_bloody",
	class = "Decoration",
	model = "mod_assets/models/env/temple_floor_drainage_bloody.fbx",
	placement = "floor",
	replacesFloor = true,
	editorIcon = 136,
}

defineObject{
	name = "temple_wall_drainage",
	class = "Decoration",
	model = "assets/models/env/temple_wall_drainage.fbx",
	placement = "wall",
	replacesWall = true,
	editorIcon = 92,
}

-- interestingly neither of these seem to exist in the original game
defineObject{
    name = "temple_wall_dirt_1",
    class = "Decoration",
    model = "assets/models/env/temple_wall_dirt_01.fbx",
    placement = "wall",
	editorIcon = 92,
}

defineObject{
    name = "temple_wall_dirt_2",
    class = "Decoration",
    model = "assets/models/env/temple_wall_dirt_02.fbx",
    placement = "wall",
	editorIcon = 92,
}
defineObject{
    name = "floor_dirt",
    class = "Decoration",
    model = "assets/models/env/floor_dirt.fbx",
    placement = "floor",
	editorIcon = 100,
}
defineObject{
    name = "floor_dirt_pillar",
    class = "Decoration",
    model = "assets/models/env/floor_dirt.fbx",
    placement = "pillar",
	editorIcon = 108,
}

defineObject{
	name = "temple_ceiling_shaft",
	class = "Decoration",
	model = "assets/models/env/temple_ceiling_pit.fbx",
	placement = "ceiling",
	editorIcon = 104,
}

defineObject{
	name = "daemon_head",
	class = "Decoration",
	model = "assets/models/env/daemon_head.fbx",
	placement = "wall",
	editorIcon = 92,
}

defineObject{
    name = "iceblock",
    class = "Decoration",
    model = "mod_assets/models/env/iceblock.fbx",
    placement = "floor",
	editorIcon = 56,
}
defineObject{
    name = "simulacrum_dormant",
    class = "Blockage",
    model = "mod_assets/models/monsters/simulacrum_dormant.fbx",
    placement = "floor",
	repelProjectiles = true,
	hitSound = "impact_blade",
	editorIcon = 56,
}
defineObject{
    name = "dragon_statue",
    class = "Blockage",
    model = "assets/models/env/dragon_statue.fbx",
    placement = "floor",
	repelProjectiles = true,
	hitSound = "impact_blade",
	editorIcon = 56,
}
defineObject{
    name = "drinn_fountain_frozen",
    class = "Blockage",
    model = "mod_assets/models/env/drinn_fountain_frozen.fbx",
    placement = "floor",
	repelProjectiles = true,
	hitSound = "impact_blade",
	editorIcon = 56,
}

defineObject{
	name = "temple_pillar",
	class = "Decoration",
	model = "assets/models/env/temple_pillar.fbx",
	placement = "pillar",
	editorIcon = 108,
}

defineObject{
	name = "lock_round",
	class = "Lock",
	model = "assets/models/env/wall_lock_round.fbx",
	height = 1.375,
	placement = "wall",
	editorIcon = 20,
}

defineObject{
	name = "lock_ornate",
	class = "Lock",
	model = "assets/models/env/wall_lock_ornament.fbx",
	height = 1.375,
	placement = "wall",
	editorIcon = 20,
}

defineObject{
	name = "gobelin",
	class = "WallTapestry",
	model = "assets/models/env/gobelin.fbx",
	brokenModel = "assets/models/env/gobelin_torn.fbx",
	placement = "wall",
	editorIcon = 92,
}

defineObject{
	name = "lever",
	class = "Lever",
	model = "assets/models/env/wall_lever.fbx",
	activateAnim = "assets/animations/env/lever_down.fbx",
	deactivateAnim = "assets/animations/env/lever_up.fbx",
	placement = "wall",
	editorIcon = 12,
}

defineObject{
	name = "door_rock",
	class = "Door",
	model = "mod_assets/models/env/door_rock.fbx",
	doorFrameModel = "assets/models/env/temple_door_frame.fbx",
	pullChainModel = "assets/models/env/door_pullchain.fbx",
	pullChainAnim = "assets/animations/env/door_pullchain.fbx",
	openSound = "gate_iron_open",
	closeSound = "gate_close",
	lockSound = "gate_lock",
	killPillars = true,
	openVelocity = 1.3,
	closeVelocity = 0,
	closeAcceleration = -10,
	placement = "wall",
	editorIcon = 124,
}












-- define the 56 music gem slots automatically
-- naming convention is zzz_music_slot_[x][y]
for i = 1, 7 do for j = 1, 8 do
defineObject{
	name = "zzz_music_slot_"..i..j,
	class = "Alcove",
	anchorPos = vec(-0.41+i*0.19, 2.60-j*0.19, -0.05),
	targetPos = vec(-0.41+i*0.19, 2.60-j*0.19, -0.05),
	targetSize = vec(0.04, 0.04, 0.1),
	placement = "wall",
	onInsertItem = function(self, item)
		return false
	end,
	editorIcon = 8,
}
end end

defineObject{
	name = "zzz_music_slots",
	class = "Decoration",
	model = "mod_assets/models/env/drinn_music_slots.fbx",
	replacesWall = false,
	placement = "wall",
	editorIcon = 92,
}

defineObject{
	name = "zzz_music_background",
	class = "Decoration",
	model = "mod_assets/models/env/music_background.fbx",
	replacesWall = true,
	placement = "wall",
	editorIcon = 92,
}
