import "mod_assets/scripts/particles_guardians.lua"
import "mod_assets/scripts/particles_obelisk.lua"
import "mod_assets/scripts/particles_power.lua"
import "mod_assets/scripts/particles_spells.lua"
import "mod_assets/scripts/particles_music.lua"
import "mod_assets/scripts/particles_items.lua"
import "mod_assets/scripts/particles_intro.lua"
import "mod_assets/scripts/particles_gate.lua"

defineParticleSystem{
	name = "no_particles",
	emitters = {},
}

defineParticleSystem{
	name = "drinn_fountain",
	emitters = {
		{
			emissionRate = 500,
			emissionTime = math.huge,
			maxParticles = 10000,
			boxMin = {0.00, 2.00, 0.00},
			boxMax = {0.00, 2.00, 0.00},
			sprayAngle = {0,45},
			velocity = {0.8, 0.8},
			texture = "assets/textures/particles/goromorg_lantern.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {9, 9},
			colorAnimation = true,
			color0 = {1, 1, 1},
			color1 = {1, 0, 0},
			color2 = {0, 1, 0},
			color3 = {0, 0, 1},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 5,
			size = {0.050, 0.050},
			gravity = {0,-1,0},
			airResistance = 2.0,
			rotationSpeed = 0,
			blendMode = "Additive",
			objectSpace = true,
			clampToGroundPlane = true,
		},
	},
}
defineParticleSystem{
	name = "drinn_fountain_frozen",
	emitters = {
		{
			emissionRate = 50,
			emissionTime = math.huge,
			maxParticles = 10000,
			boxMin = {0.00, 2.00, 0.00},
			boxMax = {0.00, 2.00, 0.00},
			sprayAngle = {0,45},
			velocity = {0.8, 0.8},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {9, 9},
			colorAnimation = false,
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 5,
			size = {0.050, 0.050},
			gravity = {0,-1,0},
			airResistance = 2.0,
			rotationSpeed = 0,
			blendMode = "Additive",
			objectSpace = true,
			clampToGroundPlane = true,
		},
	},
}

defineParticleSystem{
	name = "blue_slime_trail",
	emitters = {
		{
			emissionRate = 50,
			emissionTime = 3,
			maxParticles = 200,
			boxMin = {-1.2, 0, -1.2},
			boxMax = {1.2, 0, 1.2},
			sprayAngle = {0,360},
			velocity = {0, 0},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {1, 3},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.20},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	},
}


defineParticleSystem{
	name = "key_explode",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 0,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {0,0.9,0},
			boxMax = {0,0.9,0},
			sprayAngle = {0,90},
			velocity = {2,2},
			objectSpace = false,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2, 4},
			color0 = {0.2, 0.6, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 2,
			size = {0.2, 0.3},
			gravity = {0,0,0},
			airResistance = 4,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "lever_poof",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 0,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.2,-0.25,-0.2},
			boxMax = {0.2,0.25,0.2},
			sprayAngle = {0,360},
			velocity = {0,0},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2, 7},
			color0 = {1, 2, 4},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 2,
			size = {0.2, 0.3},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 0.3,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "glass_shatter",
	emitters = {
		{
			spawnBurst = true,	
			maxParticles = 250,
			boxMin = {-0.25,-0.15,-0.25},
			boxMax = {0.25,0.2,0.25},
			sprayAngle = {0,360},
			velocity = {2,5},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 1,
			frameSize = 64,
			frameCount = 1,
			lifetime = {30, 60},
			color0 = {1, 0.6, 0.4},
			opacity = 0.5,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.020, 0.035},
			gravity = {0,-12,0},
			airResistance = 3,
			rotationSpeed = 0,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},
		{
			spawnBurst = true,	
			maxParticles = 100,
			boxMin = {0,-0.12,0},
			boxMax = {0,-0.12,0},
			sprayAngle = {90,90},
			velocity = {50,400},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 1,
			frameSize = 64,
			frameCount = 1,
			lifetime = {30, 60},
			color0 = {1, 0.6, 0.4},
			opacity = 0.5,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.020, 0.035},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},
	}
}

defineParticleSystem{
	name = "serpent_segment_x",
		emitters = {
		{	
			emissionRate = 80,
			emissionTime = math.huge,
			maxParticles = 500,
			sprayAngle = {0,30},
			velocity = {0.1,0.2},
			boxMin = {-1.5,0.1,-0.1},
			boxMax = {1.5,0.1,0.1},
			texture = "assets/textures/particles/goromorg_lantern.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5, 1},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.5,
			size = {0.1, 0.2},
			gravity = {0,2,0},
			airResistance = 0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "serpent_segment_y",
		emitters = {
		{	
			emissionRate = 80,
			emissionTime = math.huge,
			maxParticles = 500,
			sprayAngle = {0,30},
			velocity = {0.1,0.2},
			boxMin = {-0.1,0.1,-1.5},
			boxMax = {0.1,0.1,1.5},
			texture = "assets/textures/particles/goromorg_lantern.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5, 1},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.5,
			size = {0.1, 0.2},
			gravity = {0,2,0},
			airResistance = 0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "serpent_destroy_x",
		emitters = {
		{	
			spawnBurst = true,
			maxParticles = 120,
			sprayAngle = {0,30},
			velocity = {0.1,0.4},
			boxMin = {-1.5,0.1,-0.1},
			boxMax = {1.5,0.4,0.1},
			texture = "mod_assets/textures/particles/goromorg_lantern_white.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5, 1},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.5,
			size = {0.1, 0.2},
			gravity = {0,2,0},
			airResistance = 0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "serpent_destroy_y",
		emitters = {
		{	
			spawnBurst = true,
			maxParticles = 120,
			sprayAngle = {0,30},
			velocity = {0.1,0.4},
			boxMin = {-0.1,0.1,-1.5},
			boxMax = {0.1,0.4,1.5},
			texture = "mod_assets/textures/particles/goromorg_lantern_white.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5, 1},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.5,
			size = {0.1, 0.2},
			gravity = {0,2,0},
			airResistance = 0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "serpent_solve_x",
		emitters = {
		{	
			spawnBurst = true,
			maxParticles = 120,
			sprayAngle = {0,30},
			velocity = {0.1,0.4},
			boxMin = {-1.5,0.1,-0.1},
			boxMax = {1.5,0.4,0.1},
			texture = "mod_assets/textures/particles/goromorg_lantern_white.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5, 1},
			color0 = {0, 1, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.5,
			size = {0.1, 0.2},
			gravity = {0,2,0},
			airResistance = 0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "serpent_solve_y",
		emitters = {
		{	
			spawnBurst = true,
			maxParticles = 120,
			sprayAngle = {0,30},
			velocity = {0.1,0.4},
			boxMin = {-0.1,0.1,-1.5},
			boxMax = {0.1,0.4,1.5},
			texture = "mod_assets/textures/particles/goromorg_lantern_white.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5, 1},
			color0 = {0, 1, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.5,
			size = {0.1, 0.2},
			gravity = {0,2,0},
			airResistance = 0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}


defineParticleSystem{
	name = "dragon_eye",
		emitters = {
		{	
			emissionRate = 20,
			emissionTime = math.huge,
			maxParticles = 250,
			sprayAngle = {0,45},
			velocity = {0,0.1},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2, 0.8},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.020, 0.20},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}


defineParticleSystem{
	name = "blue_gem_buildup",
	emitters = {
		{
			spawnBurst = false,
			emissionRate = 40,
			emissionTime = 4,
			maxParticles = 160,
			boxMin = {-0.1,-0.1,-0.1},
			boxMax = {0.1,0.1,0.1},
			sprayAngle = {0,90},
			velocity = {0.01,0.02},
			objectSpace = false,
			texture = "assets/textures/particles/teleporter.tga",
			lifetime = {4, 5},
			color0 = {0.2,0.6,1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.2, 0.3},
			gravity = {0,0,0},
			airResistance = 0.001,
			rotationSpeed = 0,
			blendMode = "Additive",
		}
	}
}
defineParticleSystem{
	name = "green_gem_buildup",
	emitters = {
		{
			spawnBurst = false,
			emissionRate = 40,
			emissionTime = 4,
			maxParticles = 160,
			boxMin = {-0.1,-0.1,-0.1},
			boxMax = {0.1,0.1,0.1},
			sprayAngle = {0,90},
			velocity = {0.01,0.02},
			objectSpace = false,
			texture = "assets/textures/particles/teleporter.tga",
			lifetime = {4, 5},
			color0 = {0,1,0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.2, 0.3},
			gravity = {0,0,0},
			airResistance = 0.001,
			rotationSpeed = 0,
			blendMode = "Additive",
		}
	}
}


defineParticleSystem{
	name = "blue_gem_smoke_puff",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 0,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,90},
			velocity = {4,4},
			objectSpace = false,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2, 4},
			color0 = {0.2, 0.6, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 2,
			size = {0.2, 0.3},
			gravity = {0,0,0},
			airResistance = 4,
			rotationSpeed = 0,
			blendMode = "Additive",
		}
	}
}
defineParticleSystem{
	name = "green_gem_smoke_puff",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 0,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,90},
			velocity = {4,4},
			objectSpace = false,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2, 4},
			color0 = {0, 1, 0},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 2,
			size = {0.2, 0.3},
			gravity = {0,0,0},
			airResistance = 4,
			rotationSpeed = 0,
			blendMode = "Additive",
		}
	}
}

defineParticleSystem{
	name = "herder_frost",
	emitters = {
		{
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {-0.05,-0.05,-0.05},
			boxMax = {0.05,0.05,0.05},
			sprayAngle = {90,180},
			velocity = {0,0.1},
			objectSpace = false,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {0.2, 0.4},
			color0 = {0.6, 0.8, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.2,
			size = {0.05, 0.1},
			gravity = {0,-0.1,0},
			airResistance = 0.1,
			rotationSpeed = 0.4,
			blendMode = "Translucent",
		},
		{
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {-0.05,-0.05,-0.05},
			boxMax = {0.05,0.05,0.05},
			sprayAngle = {90,180},
			velocity = {0,0.1},
			objectSpace = false,
			texture = "assets/textures/particles/glow.tga",
			lifetime = {1, 2},
			color0 = {0.6, 0.8, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.01, 0.02},
			gravity = {0,-0.1,0},
			airResistance = 0.1,
			rotationSpeed = 0,
			blendMode = "Additive",
			clampToGroundPlane = true,
		},
	}
}

defineParticleSystem{
	name = "hit_ghost",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 30,
			sprayAngle = {0,40},
			velocity = {1.5,4},
			objectSpace = false,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {0.7,1.5},
			color0 = {0.5, 0.5, 0.5},
			opacity = 0.5,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.05, 0.1},
			gravity = {0,-7,0},
			airResistance = 0.2,
			rotationSpeed = 2,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},
		{
			spawnBurst = true,
			maxParticles = 40,
			sprayAngle = {0,100},
			velocity = {0.5,2},
			objectSpace = false,
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {0.3,1},
			color0 = {1,1,1},
			opacity = 0.3,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.4, 0.7},
			gravity = {0,0,0},
			airResistance = 2,
			rotationSpeed = 2,
			blendMode = "Translucent",
		},
		-- glow
		{
			spawnBurst = true,
			emissionRate = 1,
			emissionTime = 0,
			maxParticles = 1,
			boxMin = {0,0,-0.1},
			boxMax = {0,0,-0.1},
			sprayAngle = {0,30},
			velocity = {0,0},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {0.5, 0.5},
			colorAnimation = false,
			color0 = {1.5, 1.5, 1.5},
			opacity = 0.5,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {1, 1},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 2,
			blendMode = "Additive",
		}
	}
}



defineParticleSystem{
	name = "tesla",
	emitters = {
		{
			emissionRate = 20,
			emissionTime = math.huge,
			maxParticles = 500,
			boxMin = {-0.1, -0.1, -0.1},
			boxMax = {0.1, 0.1, 0.1},
			sprayAngle = {0,0},
			velocity = {0, 0},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.2},
			color0 = {2.5, 2.5, 2.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.30, 0.60},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}

defineParticleSystem{
	name = "lightning_screen_subtle",
	emitters = {
		{
			emissionRate = 100,
			emissionTime = 0.2,
			maxParticles = 100,
			sprayAngle = {0,360},
			velocity = {0,0.3},
			boxMin = {-1.1,-0.9,1},
			boxMax = {1.1,0.9,1},
			objectSpace = true,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.2},
			color0 = {2.5, 2.5, 2.5},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.15,
			size = {0.010, 0.25},
			gravity = {0,0,0},
			airResistance = 0.5,
			rotationSpeed = 2,
			blendMode = "Additive",
		},
	}
}





















defineParticleSystem{
	name = "iceblock_melt",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 1000,
			boxMin = {0,1.3,0}, 
			boxMax = {0,1.3,0},
			sprayAngle = {0,180},
			velocity = {0, 2048},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {3, 6},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.10, 0.40},
			gravity = {0,100,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "ghost_darkness",
	emitters = {
		{
			emissionRate = 10,
			emissionTime = 1.5,
			maxParticles = 10,
			boxMin = {0,0,1},
			boxMax = {0,0,1},
			sprayAngle = {0,30},
			velocity = {0,0},
			texture = "assets/textures/particles/damage_screen.tga",
			lifetime = {0.1, 0.2},
			colorAnimation = false,
			color0 = {0, 0, 0},
			opacity = 0.45,
			fadeIn = 0.001,
			fadeOut = 0.1,
			size = {2.3, 2.3},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Translucent",
			objectSpace = true,
		},
		{
			emissionRate = 5,
			emissionTime = 1.5,
			maxParticles = 10,
			boxMin = {0,0,1},
			boxMax = {0,0,1},
			sprayAngle = {0,30},
			velocity = {0,0},
			texture = "assets/textures/common/black.tga",
			lifetime = {0.01, 0.2},
			colorAnimation = false,
			color0 = {0, 0, 0},
			opacity = 0.45,
			fadeIn = 0.001,
			fadeOut = 0.1,
			size = {2.3, 2.3},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Translucent",
			objectSpace = true,
		}
	}
}

defineParticleSystem{
	name = "willowhisper",
	emitters = {
		{
			objectSpace = true,
			emissionRate = 256,
			maxParticles = 128,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {256,256},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			color0 = {0.8, 1, 1},
			lifetime = {0.3, 0.5},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.3,
			size = {0.01, 0.04},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{
			emissionRate = 32,
			maxParticles = 128,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {256,256},
			texture = "assets/textures/particles/goromorg_lantern.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5, 2},
			color0 = {1.5, 1.5, 1.5},
			opacity = 1,
			fadeIn = 0.3,
			fadeOut = 1,
			size = {0.05, 0.3},
			gravity = {0,200,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{
			emissionRate = 64,
			maxParticles = 128,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {256,256},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {1, 2},
			color0 = {0.8, 1, 1},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 1,
			size = {0.02, 0.05},
			gravity = {0,-200,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "willowhisper_explode",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 256,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {1,8},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			color0 = {0.8, 1, 1},
			lifetime = {1, 3},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.01, 0.04},
			gravity = {0,-9,0},
			airResistance = 4,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "thunderstruck_creating",
	emitters = {
		{ -- lightning
			spawnBurst = true,
			maxParticles = 100,
			boxMin = {-1, 0, 0},
			boxMax = {1, 0, 0},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.3},
			color0 = {2.5, 2.5, 2.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.2, 1},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{ -- lightning
			spawnBurst = true,
			maxParticles = 100,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,360},
			velocity = {1024, 1024},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.3},
			color0 = {2.5, 2.5, 2.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.2, 1},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "thunderstruck_created",
	emitters = {
		{ -- lightning
			spawnBurst = true,
			emissionRate = 512,
			emissionTime = 2,
			maxParticles = 512,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,90},
			velocity = {1024, 1024},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.3},
			color0 = {2.5, 2.5, 2.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.2, 1},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{ -- lightning
			emissionRate = 512,
			emissionTime = 2,
			maxParticles = 512,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,90},
			velocity = {1024, 1024},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.3},
			color0 = {2.5, 2.5, 2.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.2, 1},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "hit_slime_blue",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 100,
			sprayAngle = {0,40},
			velocity = {1,5},
			objectSpace = false,
			texture = "mod_assets/textures/particles/water.tga",
			frameRate = 40,
			frameSize = 32,
			frameCount = 40,
			lifetime = {0.7,1.5},
			colorAnimation = true,
			color0 = {3, 3, 4},
			color1 = {1.5, 1.5, 2},
			color2 = {0.7, 0.7, 1},
			color3 = {0.7, 0.7, 1},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.05, 0.2},
			gravity = {0,-10,0},
			airResistance = 0.1,
			rotationSpeed = 2,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},

		{
			spawnBurst = true,
			maxParticles = 50,
			sprayAngle = {0,360},
			velocity = {1,5},
			objectSpace = false,
			texture = "mod_assets/textures/particles/water.tga",
			frameRate = 30,
			frameSize = 32,
			frameCount = 40,
			lifetime = {0.5,0.7},
			color0 = {0.7, 0.7, 1},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.1, 0.3},
			gravity = {0,0,0},
			airResistance = 7,
			rotationSpeed = 2,
			blendMode = "Additive",
			clampToGroundPlane = true,
		},

		-- glow
		{
			spawnBurst = true,
			emissionRate = 1,
			emissionTime = 0,
			maxParticles = 1,
			boxMin = {0,0,-0.1},
			boxMax = {0,0,-0.1},
			sprayAngle = {0,30},
			velocity = {0,0},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {0.5, 0.5},
			colorAnimation = false,
			color0 = {1.5, 1.5, 1.5},
			opacity = 0.6,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {1.2, 1.2},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 2,
			blendMode = "Additive",
		}
	}
}

-- a particle system that will prevent an fx from being destroyed unless the player reloads the game
defineParticleSystem{
	name = "reload_dummy",
	emitters = {
		{
			emissionRate = 0,
			emissionTime = math.huge,
			maxParticles = 0,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,0},
			velocity = {0, 0},
			texture = "assets/textures/common/black.tga",
			lifetime = {0, 0},
			color0 = {0, 0, 0},
			opacity = 0,
			fadeIn = 0,
			fadeOut = 0,
			size = {0, 0},
			gravity = {0,0,0},
			airResistance = 0,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}

xpvals = {50,100,200}
for k,v in ipairs(xpvals) do
	defineParticleSystem{
		name = "xpgain"..v,
		emitters = {
			{
				objectSpace = true,
				spawnBurst = true,
				maxParticles = 1,
				boxMin = {0,0,20},
				boxMax = {0,0,20},
				sprayAngle = {0,0},
				velocity = {0,0},
				texture = "mod_assets/textures/particles/xp"..v..".tga",
				lifetime = {1.9,1.9},
				color0 = {1, 1, 1},
				opacity = 1,
				fadeIn = 0.9,
				fadeOut = 0.9,
				size = {v/50, v/50},
				gravity = {0,0,-44},
				airResistance = 4,
				rotationSpeed = v/25,
				blendMode = "Translucent",
				depthBias = -2,
			},
		}
	}
end
