defineParticleSystem{
	name = "light_smash",
	emitters = {
		{
			spawnBurst = true,	
			maxParticles = 250,
			boxMin = {-0.1,-0.1,-0.1},
			boxMax = {0.1,0.1,0.1},
			sprayAngle = {0,360},
			velocity = {2,5},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {1, 2},
			color0 = {1, 1, 1},
			opacity = 0.8,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.020, 0.1},
			gravity = {0,-12,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},
	}
}

defineParticleSystem{
	name = "gate_sparks",
	emitters = {
		{
			emissionRate = 250,
			emissionTime = 21,
			maxParticles = 250,
			boxMin = {-0.1,-0.1,-2},
			boxMax = {0.1,0.1,2},
			sprayAngle = {0,360},
			velocity = {0,0},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.10, 0.20},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{
			emissionRate = 250,
			emissionTime = 21,
			maxParticles = 250,
			boxMin = {-1.5,-1.5,-4.3},
			boxMax = {1.5,1.5,4.3},
			sprayAngle = {0,360},
			velocity = {0,0},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.10, 0.20},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "gate_portal",
	emitters = {
		{
			emissionRate = 50,
			emissionTime = 17,
			maxParticles = 2500,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,360},
			velocity = {800,1600},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {1,17},
			color0 = {1,1,1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.10, 0.80},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{
			emissionRate = 50,
			emissionTime = 17,
			maxParticles = 2500,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,360},
			velocity = {800,1600},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1,17},
			color0 = {1,1,1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.10, 0.80},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{
			emissionRate = 50,
			emissionTime = 17,
			maxParticles = 2500,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,360},
			velocity = {800,1600},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1,17},
			color0 = {1,1,1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.10, 0.40},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{
			emissionRate = 50,
			emissionTime = 17,
			maxParticles = 2500,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,360},
			velocity = {800,1600},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {1,17},
			color0 = {1,1,1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.10, 0.40},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{
			emissionRate = 50,
			emissionTime = 17,
			maxParticles = 2500,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,360},
			velocity = {800,1600},
			texture = "mod_assets/textures/particles/lightning_white.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {1,17},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.10, 0.40},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "gate_lightning",
	emitters = {
		{
			emissionRate = 500,
			emissionTime = 17,
			maxParticles = 2500,
			boxMin = {-40,-1.5,-20},
			boxMax = {1.5,1.5,20},
			sprayAngle = {0,0},
			velocity = {0,0},
			texture = "mod_assets/textures/particles/lightning_white.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.1,
			size = {0.10, 0.80},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "gate_chaos",
	emitters = {
		{
			emissionRate = 500,
			emissionTime = 17,
			maxParticles = 2500,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,360},
			velocity = {2,8},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1,4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.10, 0.80},
			gravity = {-4,0,0},
			airResistance = 0.3,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "gate_earthquake",
	emitters = {
		-- earthquake rocks
		{
			emissionRate = 1000,
			emissionTime = 17,
			maxParticles = 10000,
			boxMin = {-20, 3.1,-20.0},
			boxMax = { 20, 3.1, 20.0},
			sprayAngle = {150,180},
			velocity = {1,3},
			texture = "assets/textures/particles/rock_shard.tga",
			frameRate = 20,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2,17},
			color0 = {0.25, 0.25, 0.5},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.02, 0.08},
			gravity = {0,-12,0},
			airResistance = 1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},
		-- dust
		{
			emissionRate = 500,
			emissionTime = 17,
			maxParticles = 10000,
			boxMin = {-20, 3.1,-20.0},
			boxMax = { 20, 3.1, 20.0},
			sprayAngle = {150,180},
			velocity = {0.1,1},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2,17},
			color0 = {0.1, 0.08, 0.20},
			opacity = 0.2,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.8, 2.0},
			gravity = {0,0,0},
			airResistance = 0.4,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
		},

		{
			emissionRate = 500,
			emissionTime = 17,
			maxParticles = 10000,
			boxMin = {-20, 3.3,-20.0},
			boxMax = { 20, 3.3, 20.0},
			sprayAngle = {175,180},
			velocity = {0.1,1},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1.5,17},
			color0 = {0.15, 0.12, 0.3},
			opacity = 0.6,
			fadeIn = 0.3,
			fadeOut = 1,
			size = {0.1, 0.2},
			gravity = {0,-0.75,0},
			airResistance = 1.1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
		}
	}
}

epicols = {	{0,0,0},
		{0,0,1},
		{1,0,1},
		{1,0,0},
		{1,1,0},
		{0,1,0},
		{0,1,1},
		{1,1,1},
		{0,0,0}}
for i = 1, 9 do
defineParticleSystem{
	name = "epilogue"..i,
	emitters = {
		{
			objectSpace = true,
			emissionTime = math.huge,
			emissionRate = 500,
			maxParticles = 10000,
			boxMin = {-5,3,2},
			boxMax = {5,-3,2},
			sprayAngle = {0,180},
			velocity = {0.015,0.045},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {4,7},
			color0 = epicols[i],
			opacity = 1,
			fadeIn = 2,
			fadeOut = 2,
			size = {0.007, 0.021},
			gravity = {0,0,0},
			airResistance = -0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		}
	}
}
end
