defineParticleSystem{
	name = "guardian_yellow_intro",
	emitters = {
		{	-- globe
			spawnBurst = true,
			maxParticles = 1000,
			sprayAngle = {0,180},
			boxMin = {0,1.5,0},
			boxMax = {0,1.5,0},
			velocity = {16,16},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {1, 2},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.8,
			size = {0.05, 0.2},
			gravity = {0,0,0},
			airResistance = 8,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{	-- ring
			spawnBurst = true,
			maxParticles = 1000,
			sprayAngle = {90,90},
			boxMin = {0,1,0},
			boxMax = {0,1,0},
			velocity = {64,64},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {1, 2},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.8,
			size = {0.05, 0.2},
			gravity = {0,0,0},
			airResistance = 16,
			rotationSpeed = 1,
			blendMode = "Additive",
		},

	}
}

defineParticleSystem{
	name = "guardian_green",
	emitters = {
		{	
			emissionRate = 32,
			maxParticles = 128,
			sprayAngle = {0,180},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			velocity = {800,1200},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {2, 3},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.1, 0.4},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.4,
			blendMode = "Translucent",
		},
		{	
			emissionRate = 32,
			maxParticles = 128,
			sprayAngle = {0,180},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			velocity = {800,1200},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {2, 3},
			color0 = {0.2, 0.2, 0},
			opacity = 1,
			fadeIn = 0.2,
			fadeOut = 1,
			size = {0.1, 0.4},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.4,
			blendMode = "Translucent",
		},
	}
}


defineParticleSystem{
	name = "guardian_cyan_intro",
	emitters = {
		-- sparks
		{
			emissionRate = 1000,
			emissionTime = 0.3,
			maxParticles = 500,
			boxMin = {-6, -1, -6},
			boxMax = {6,  2,  6},
			sprayAngle = {0,360},
			velocity = {0,0},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.2, 2.5},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
		{
			spawnBurst = true,
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {-1, -1, -1},
			boxMax = {1,  1, 1},
			sprayAngle = {0,360},
			velocity = {0,0},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.5, 1.5},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "hit_lightning",
	emitters = {
		-- sparks
		{
			spawnBurst = true,
			maxParticles = 50,
			sprayAngle = {0,360},
			velocity = {0,512},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.2, 2.5},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "guardian_blue_intro",
	emitters = {
		{	-- globe
			spawnBurst = true,
			maxParticles = 300,
			sprayAngle = {0,180},
			boxMin = {0,1.5,0},
			boxMax = {0,1.5,0},
			velocity = {2,8},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {2, 3},
			color0 = {0, 0, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 2,
			size = {0.8, 1.6},
			gravity = {0,0,0},
			airResistance = 3,
			rotationSpeed = 0.4,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "guardian_blue_hit",
	emitters = {
		{	-- globe
			spawnBurst = true,
			maxParticles = 20,
			sprayAngle = {0,180},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			velocity = {400,800},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {1, 2},
			color0 = {0, 0, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.8, 1.6},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.4,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "guardian_cyan",
	emitters = {
		-- sparks
		{
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,360},
			velocity = {1200,1200},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.2, 2},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
		-- clouds
		{
			emissionRate = 20,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.5, -0.5, -0.5},
			boxMax = {0.5, 0.5, 0.5},
			sprayAngle = {0,360},
			velocity = {0,0.2},
			objectSpace = false,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1,2},
			color0 = {0.7,1,1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.2, 0.8},
			gravity = {0,0,0},
			airResistance = 0.05,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		},
		-- clouds out of butt
		{
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-1, -0.3, -0.3},
			boxMax = {-1, 0.3, 0.3},
			sprayAngle = {0,180},
			velocity = {600,600},
			objectSpace = false,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {0.5,2},
			color0 = {0.7,1,1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.2, 0.8},
			gravity = {50,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}

defineParticleSystem{
	name = "guardian_blue",
	emitters = {
		{
			emissionRate = 30,
			emissionTime = 0,
			maxParticles = 500,
			sprayAngle = {0,180},
			velocity = {1600,1600},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {2, 2},
			color0 = {0, 0, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.9,
			size = {0.2, 0.8},
			gravity = {0,0,0},
			airResistance = 1600,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	},
}

defineParticleSystem{
	name = "nightburst",
	emitters = {
		{
			spawnBurst = true,
			emissionTime = 0,
			maxParticles = 100,
			sprayAngle = {0,180},
			velocity = {10,10},
			boxMin = {0,1.5,0},
			boxMax = {0,1.5,0},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1000, 1000}, -- grimrock doesnt like math.huge here
			color0 = {0, 0, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.001,
			size = {0.1, 0.3},
			gravity = {0,0,0},
			airResistance = 8,
			rotationSpeed = 0.1,
			blendMode = "Additive",
		},
	},
}

defineParticleSystem{
	name = "nightburst_arrival",
	emitters = {
		{
			spawnBurst = true,
			emissionTime = 0,
			maxParticles = 50,
			sprayAngle = {0,180},
			velocity = {20,20},
			boxMin = {0,1.5,0},
			boxMax = {0,1.5,0},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {1, 2},
			color0 = {0, 0, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.2, 0.8},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0.1,
			blendMode = "Additive",
		},
		{
			spawnBurst = true,
			emissionTime = 0,
			maxParticles = 150,
			sprayAngle = {0,180},
			velocity = {20,20},
			boxMin = {0,1.5,0},
			boxMax = {0,1.5,0},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {0, 0, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.05, 0.1},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0.1,
			blendMode = "Additive",
		},
	},
}

defineParticleSystem{
	name = "nightburst_damage",
	emitters = {
		{
			spawnBurst = true,
			emissionTime = 0,
			maxParticles = 50,
			sprayAngle = {0,180},
			velocity = {1200,1200},
			boxMin = {0,1.5,0},
			boxMax = {0,1.5,0},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2, 0.4},
			color0 = {0, 0, 2.5},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.3,
			size = {0.2, 2.5},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}

defineParticleSystem{
	name = "guardian_magenta_intro",
	emitters = {
		-- sparks
		{
			emissionRate = 500,
			emissionTime = 0.3,
			maxParticles = 500,
			boxMin = {-6, -1, -6},
			boxMax = {6,  2,  6},
			sprayAngle = {0,360},
			velocity = {0,0},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,0.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.2, 2.5},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
		{
			spawnBurst = true,
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 250,
			boxMin = {-1, -1, -1},
			boxMax = {1,  1, 1},
			sprayAngle = {0,360},
			velocity = {0,0},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,0.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.5, 1.5},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "magenta_chase_tile",
	emitters = {
		-- sparks
		{
			emissionRate = 20,
			emissionTime = 2,
			maxParticles = 50,
			boxMin = {-1.5, 0, -1.5},
			boxMax = {1.5,  0,  1.5},
			sprayAngle = {0,360},
			velocity = {0,0},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,0.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.2, 0.5},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
		{
			spawnBurst = true,
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 250,
			boxMin = {0, 1.5, 0},
			boxMax = {0,  1.5, 0},
			sprayAngle = {0,360},
			velocity = {1200,1200},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,0.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.5, 1.5},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "arcanebolt_hit",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 250,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,360},
			velocity = {1200,1200},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,0.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.5, 1.5},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "arcanebolt",
	emitters = {
		{
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 250,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,360},
			velocity = {50,50},
			objectSpace = false,
			texture = "assets/textures/particles/goromorg_lantern.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2,0.4},
			color0 = {2.5,0.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.5, 1.5},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "arcane_arrival",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 250,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {60,120},
			velocity = {20,40},
			objectSpace = false,
			texture = "assets/textures/particles/goromorg_lantern.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5,1},
			color0 = {1,0,0.5},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.4,
			size = {0.2, 0.4},
			gravity = {0,0,0},
			airResistance = 5,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "guardian_magenta",
	emitters = {
		-- sparks
		{
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,360},
			velocity = {1200,1200},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,0.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.2, 2},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
		-- glowy
		{
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,360},
			velocity = {1200,1200},
			objectSpace = false,
			texture = "assets/textures/particles/goromorg_lantern.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5,1},
			color0 = {1,0,0.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.4,
			size = {0.2, 0.4},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
		{
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {-1, -0.3, -0.3},
			boxMax = {-1, 0.3, 0.3},
			sprayAngle = {90,180},
			velocity = {0.1,2},
			objectSpace = false,
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {0.5,2},
			color0 = {1,0,1},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 1,
			size = {0.2, 0.8},
			gravity = {0,-1,0},
			airResistance = 0.01,
			rotationSpeed = 0,
			clampToGroundPlane = true,
			blendMode = "Additive",
		},
	},
}

defineParticleSystem{
	name = "guardian_red",
	emitters = {
			{
			emissionRate = 10,
			emissionTime = 0,
			maxParticles = 500,
			sprayAngle = {135,180},
			velocity = {0.1,0.5},
			boxMin = {-1, -0.3, -0.3},
			boxMax = {-1, 0.3, 0.3},
			texture = "assets/textures/particles/blood.tga",
			frameRate = 40,
			frameSize = 32,
			frameCount = 40,
			lifetime = {1, 3},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.9,
			size = {0.2, 0.4},
			gravity = {0,-15,0},
			airResistance = 2,
			rotationSpeed = 1,
			clampToGroundPlane = true,
			blendMode = "Translucent",
		},
		{
			emissionRate = 30,
			emissionTime = 0,
			maxParticles = 500,
			sprayAngle = {0,180},
			velocity = {1600,1600},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {2, 2},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.9,
			size = {0.2, 0.8},
			gravity = {0,0,0},
			airResistance = 1600,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	},
}


defineParticleSystem{
	name = "firepillar",
	emitters = {
		{	-- pillar
			spawnBurst = true,
			maxParticles = 1000,
			sprayAngle = {90,90},
			boxMin = {0,-1.2,0},
			boxMax = {0,2,0},
			velocity = {1200,1200},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5, 1},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.4,
			size = {0.05, 0.2},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{	-- smoke
			spawnBurst = true,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, -1.2, 0},
			boxMax = {0, 2, 0},
			sprayAngle = {80,90},
			velocity = {100, 2400},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {1,3},
			color0 = {0.25, 0.25, 0.25},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 2,
			size = {0.020, 0.5},
			gravity = {0,50,0},
			airResistance = 2000,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
		{	-- the bottom ring burst
			spawnBurst = true,
			maxParticles = 250,
			sprayAngle = {0,90},
			boxMin = {-1,-1.2,-1},
			boxMax = {1,-1.2,1},
			velocity = {1,8},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5, 1},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.4,
			size = {0.05, 0.2},
			gravity = {0,-10,0},
			airResistance = 2,
			rotationSpeed = 1,
			blendMode = "Additive",
			clampToGroundPlane = true,
		},
	}
}

defineParticleSystem{
	name = "firepillar_buildup",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 100,
			sprayAngle = {90,90},
			boxMin = {0,0.04,0},
			boxMax = {0,0.04,0},
			velocity = {0.5,0.5},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {2, 2},
			colorAnimation = true,
			-- reversed colours
			color0 = {1.0, 0.3, 0.1},
			color1 = {1.0, 0.5, 0.25},
			color2 = {1.0, 1.0, 1.0},
			color3 = {2, 2, 2},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.001,
			size = {0.05, 0.2},
			gravity = {0,0,0},
			airResistance = 0.01, -- values nearer 0 result in extremely weird behaviour
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "guardian_red_intro",
		emitters = {
		{	
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 500,
			sprayAngle = {0,180},
			velocity = {10,20},
			boxMin = {0,1.5,0},
			boxMax = {0,1.5,0},
			texture = "assets/textures/particles/blood.tga",
			frameRate = 40,
			frameSize = 32,
			frameCount = 40,
			lifetime = {1, 3},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.9,
			size = {0.2, 0.4},
			gravity = {0,-15,0},
			airResistance = 2,
			rotationSpeed = 1,
			clampToGroundPlane = true,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "guardian_red_buildup",
		emitters = {
		{	
			emissionRate = 100,
			emissionTime = 2,
			maxParticles = 500,
			sprayAngle = {0,180},
			velocity = {1200,2400},
			boxMin = {0,1.5,0},
			boxMax = {0,1.5,0},
			texture = "assets/textures/particles/blood.tga",
			frameRate = 40,
			frameSize = 32,
			frameCount = 40,
			lifetime = {2, 2},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.9,
			size = {0.2, 0.4},
			gravity = {0,0,0},
			airResistance = 1600,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},

		{	
			emissionRate = 10,
			emissionTime = 2,
			maxParticles = 500,
			sprayAngle = {0,180},
			velocity = {800,1200},
			boxMin = {0,1.5,0},
			boxMax = {0,1.5,0},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {2, 2},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.9,
			size = {1, 3},
			gravity = {0,0,0},
			airResistance = 1600,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "bloodbolt",
		emitters = {
		{	
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 500,
			sprayAngle = {0,180},
			velocity = {1,2},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			texture = "assets/textures/particles/blood.tga",
			frameRate = 40,
			frameSize = 32,
			frameCount = 40,
			lifetime = {1, 1},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.9,
			size = {0.2, 0.4},
			gravity = {0,-12,0},
			airResistance = 0.5,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},

		{	
			emissionRate = 10,
			emissionTime = 0,
			maxParticles = 50,
			sprayAngle = {0,180},
			velocity = {200,200},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {0.3, 0.6},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.4,
			size = {0.3, 0.8},
			gravity = {0,0,0},
			airResistance = 1600,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "bloodbolt_hit",
		emitters = {
		{	
			spawnBurst = true,
			maxParticles = 150,
			sprayAngle = {0,180},
			velocity = {1,3},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			texture = "assets/textures/particles/blood.tga",
			frameRate = 40,
			frameSize = 32,
			frameCount = 40,
			lifetime = {0.5, 1},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.9,
			size = {0.2, 0.4},
			gravity = {0,-12,0},
			airResistance = 0.5,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	}
}

BLOOD_RES = 16 -- number of emitters for each tile
BLOOD_DENSITY = 150 -- number of particles for each tile (not each emitter)
bbemittersNW = {} -- used for NW and SE; name is just so i remember which one is which
bbemittersSW = {}

for i = 1, BLOOD_RES do
	bbemittersNW[i] = {	
	spawnBurst = true,
	emissionRate = 50,
	maxParticles = BLOOD_DENSITY/BLOOD_RES,
	sprayAngle = {0,180},
	velocity = {200,200},
	boxMin = {i*3/BLOOD_RES,1.5,-i*3/BLOOD_RES},
	boxMax = {i*3/BLOOD_RES,1.5,-i*3/BLOOD_RES},
	texture = "assets/textures/particles/blood.tga",
	frameRate = 40,
	frameSize = 32,
	frameCount = 40,
	lifetime = {0.2, 0.6},
	color0 = {1, 0, 0},
	opacity = 1,
	fadeIn = 0.001,
	fadeOut = 0.4,
	size = {0.2, 0.4},
	gravity = {0,0,0},
	airResistance = 1200,
	rotationSpeed = 1,
	blendMode = "Translucent",
	}

	-- reverse one sign...
	bbemittersSW[i] = {	
	spawnBurst = true,
	emissionRate = 50,
	maxParticles = BLOOD_DENSITY/BLOOD_RES,
	sprayAngle = {0,180},
	velocity = {200,200},
	boxMin = {i*3/BLOOD_RES,1.5,i*3/BLOOD_RES},
	boxMax = {i*3/BLOOD_RES,1.5,i*3/BLOOD_RES},
	texture = "assets/textures/particles/blood.tga",
	frameRate = 40,
	frameSize = 32,
	frameCount = 40,
	lifetime = {0.2, 0.6},
	color0 = {1, 0, 0},
	opacity = 1,
	fadeIn = 0.001,
	fadeOut = 0.4,
	size = {0.2, 0.4},
	gravity = {0,0,0},
	airResistance = 1200,
	rotationSpeed = 1,
	blendMode = "Translucent",
	}

end

defineParticleSystem{
	name = "bloodbeamNW",
	emitters = bbemittersNW
}
defineParticleSystem{
	name = "bloodbeamSW",
	emitters = bbemittersSW
}



defineParticleSystem{
	name = "blood_ceiling_shaft",
		emitters = {
		{	
			emissionRate = 100,
			emissionTime = math.huge,
			maxParticles = 500,
			sprayAngle = {0,0},
			velocity = {1,2},
			boxMin = {-0.5,20,-0.5},
			boxMax = {0.5,20,0.5},
			texture = "assets/textures/particles/blood.tga",
			frameRate = 40,
			frameSize = 32,
			frameCount = 40,
			lifetime = {4, 4},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.001,
			size = {0.2, 0.4},
			gravity = {0,-10,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	}
}
col = {"red","yellow","green","cyan","blue","magenta"}
vec = {{1,0,0},{1,1,0},{0,1,0},{0,1,1},{0,0,1},{1,0,1}}

for i = 1,6 do
defineParticleSystem{
	name = "color_orb_buildup_"..col[i],
		emitters = {
		{	
			emissionRate = 100,
			emissionTime = 3,
			maxParticles = 300,
			sprayAngle = {0,150},
			velocity = {600,600},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {2, 4},
			color0 = vec[i],
			opacity = 1,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.020, 0.20},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}
end

for i = 1,6 do
defineParticleSystem{
	name = "color_orb_blast_"..col[i],
		emitters = {
		{	
			spawnBurst = true,
			maxParticles = 300,
			sprayAngle = {0,150},
			velocity = {1,4},
			boxMin = {-0.2,-0.1,-0.2},
			boxMax = {0.2,0.2,0.2},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2, 4},
			color0 = vec[i],
			opacity = 1,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.050, 0.30},
			gravity = {0,0,0},
			airResistance = 2,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}
end
gravc = {{-50,0,-150},{50,0,-150},{100,0,0},{50,0,150},{-50,0,150},{-100,0,0}}
gravcc = {{-50,0,150},{-100,0,0},{-50,0,-150},{50,0,-150},{100,0,0},{50,0,150}}
for i = 1, 6 do
defineParticleSystem{
	name = "color_orb_lines_"..col[i],
		emitters = {
		{	
			emissionRate = 25,
			emissionTime = math.huge,
			maxParticles = 100,
			sprayAngle = {0,0},
			velocity = {0,0},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {1, 1},
			color0 = vec[i],
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.2, 0.2},
			gravity = gravc[i],
			airResistance = 50,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
		{	
			emissionRate = 50,
			emissionTime = math.huge,
			maxParticles = 500,
			sprayAngle = {0,0},
			velocity = {0,0},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {1, 1},
			color0 = vec[i],
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.2, 0.2},
			gravity = gravcc[i],
			airResistance = 50,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}
end

defineParticleSystem{
	name = "bloodgem_destroy",
	emitters = {
		{
			spawnBurst = true,
			emissionTime = 0,
			maxParticles = 100,
			sprayAngle = {0,90},
			velocity = {0.5,5},
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			texture = "assets/textures/particles/blood.tga",
			frameRate = 40,
			frameSize = 32,
			frameCount = 40,
			lifetime = {1, 2},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.9,
			size = {0.2, 0.4},
			gravity = {0,-15,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			clampToGroundPlane = true,
			blendMode = "Translucent",
		},
		{
			spawnBurst = true,
			emissionTime = 0,
			maxParticles = 10,
			sprayAngle = {0,60},
			velocity = {0.2,1},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {1, 3},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.9,
			size = {0.1, 0.3},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	},
}

defineParticleSystem{
	name = "skyshaft_poof",
	emitters = {
		{
			spawnBurst = true,
			emissionTime = 0,
			maxParticles = 30,
			sprayAngle = {0,0},
			velocity = {0,0},
			boxMin = {-1.5,-0.3,-1.5},
			boxMax = {1.5,-0.3,1.5},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2, 3},
			color0 = {0, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1.9,
			size = {0.2, 0.6},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 0.2,
			blendMode = "Translucent",
		},
	},
}

defineParticleSystem{
	name = "elec_buildup",
	emitters = {
		-- sparks
		{
			emissionRate = 20,
			emissionTime = 1.5,
			maxParticles = 50,
			boxMin = {-1.5, 0.1, -1.5},
			boxMax = {1.5,  0.1,  1.5},
			sprayAngle = {0,360},
			velocity = {0,0},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.2, 0.5},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "nightbolt",
		emitters = {
		{	
			emissionRate = 30,
			emissionTime = 0,
			maxParticles = 100,
			sprayAngle = {0,180},
			velocity = {400,400},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {0.3, 1},
			color0 = {0, 0, 0},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.4,
			size = {0.3, 0.8},
			gravity = {0,0,0},
			airResistance = 1600,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "nightbolt_hit",
		emitters = {
		{	
			spawnBurst = true,
			maxParticles = 100,
			sprayAngle = {0,180},
			velocity = {10,20},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {0.3, 1},
			color0 = {0, 0, 0},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.4,
			size = {0.3, 0.8},
			gravity = {0,0,0},
			airResistance = 5,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "unblind",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 1,
			emissionTime = 0,
			maxParticles = 1,
			boxMin = {0,0,1},
			boxMax = {0,0,1},
			sprayAngle = {0,30},
			velocity = {0,0},
			texture = "assets/textures/common/black.tga",
			lifetime = {1, 1},
			colorAnimation = false,
			color0 = {0, 0, 0},
			opacity = 1,
			fadeIn = 0.00001,
			fadeOut = 1,
			size = {4, 4},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Translucent",
			objectSpace = true,
		}
	}
}


defineParticleSystem{
	name = "rockfall_shadow",
	emitters = {
		{
			emissionRate = 31,
			emissionTime = 2,			
			maxParticles = 63,
			sprayAngle = {180,180},
			boxMin = {-0.2,15,-0.2},
			boxMax = {0.2,30,0.2},
			velocity = {0,8},
			texture = "assets/textures/particles/rock_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {4, 5},
			color0 = {0.1, 0.1, 0.1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.5,
			size = {0.02, 0.2},
			gravity = {0,-4,0},
			airResistance = 0.1,
			rotationSpeed = 1,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},
	}
}
defineParticleSystem{
	name = "rockfall_impact",
	emitters = {
		{
			spawnBurst = true,		
			maxParticles = 31,
			sprayAngle = {0,90},
			boxMin = {-0.2,-1,-0.2},
			boxMax = {0.2,-0.8,0.2},
			velocity = {1,6},
			texture = "assets/textures/particles/rock_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {1, 2},
			color0 = {0.1, 0.1, 0.1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.5,
			size = {0.02, 0.2},
			gravity = {0,-8,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},
	}
}
defineParticleSystem{
	name = "lifefall_shadow",
	emitters = {
		{
			emissionRate = 31,
			emissionTime = 2,			
			maxParticles = 63,
			sprayAngle = {180,180},
			boxMin = {-0.2,15,-0.2},
			boxMax = {0.2,30,0.2},
			velocity = {0,8},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {4, 5},
			color0 = {0, 1, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.5,
			size = {0.02, 0.2},
			gravity = {0,-4,0},
			airResistance = 0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
			clampToGroundPlane = true,
		},
	}
}

defineParticleSystem{
	name = "lifegem_destroy",
	emitters = {
		{
			spawnBurst = true,	
			maxParticles = 128,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,80},
			velocity = {0.5,0.5},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {1, 5},
			color0 = {0, 1, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.010, 0.020},
			gravity = {0,0,0},
			airResistance = 4,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
		{
			spawnBurst = true,	
			maxParticles = 128,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,80},
			velocity = {0.5,0.5},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1, 5},
			color0 = {0, 1, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.03,0.1},
			gravity = {0,0,0},
			airResistance = 4,
			rotationSpeed = 1,
			blendMode = "Additive",
		},

	},
}

defineParticleSystem{
	name = "icefall_shadow",
	emitters = {
		{
			emissionRate = 63,
			emissionTime = 2,			
			maxParticles = 127,
			sprayAngle = {180,180},
			boxMin = {-1,15,-1},
			boxMax = {1,30,1},
			velocity = {0,8},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {4, 5},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.5,
			size = {0.02, 0.2},
			gravity = {0,-4,0},
			airResistance = 0.1,
			rotationSpeed = 1,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},
	}
}
defineParticleSystem{
	name = "icefall_impact",
	emitters = {
		{
			spawnBurst = true,		
			maxParticles = 63,
			sprayAngle = {0,90},
			boxMin = {-0.2,-1,-0.2},
			boxMax = {0.2,-0.8,0.2},
			velocity = {1,4},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2, 3},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.5,
			size = {0.05, 0.3},
			gravity = {0,-8,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},
	}
}
defineParticleSystem{
	name = "hit_sim",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 15,
			sprayAngle = {0,40},
			velocity = {1.5,4},
			objectSpace = false,
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {0.7,1.5},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.05, 0.1},
			gravity = {0,-7,0},
			airResistance = 0.2,
			rotationSpeed = 2,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},
	}
}

defineParticleSystem{
	name = "hit_arcane",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 200,
			sprayAngle = {0,40},
			velocity = {1,4.5},
			objectSpace = false,
			texture = "assets/textures/particles/flame.tga",
			frameRate = 40,
			frameSize = 32,
			frameCount = 40,
			lifetime = {0.7,1.5},
			colorAnimation = true,
			color0 = {0.5, 0, 2.0},
			color1 = {0.25, 0, 1.0},
			color2 = {0.25, 0, 0.25},
			color3 = {0.25, 0, 0.1},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.05, 0.17},
			gravity = {0,-10,0},
			airResistance = 0.1,
			rotationSpeed = 2,
			blendMode = "Additive",
			clampToGroundPlane = true,
		},
		{
			spawnBurst = true,
			maxParticles = 30,
			sprayAngle = {0,360},
			velocity = {1,4},
			objectSpace = false,
			texture = "assets/textures/particles/flame.tga",
			frameRate = 30,
			frameSize = 32,
			frameCount = 40,
			lifetime = {0.3,0.5},
			color0 = {0.25, 0, 1},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.2, 0.4},
			gravity = {0,0,0},
			airResistance = 10,
			rotationSpeed = 2,
			blendMode = "Additive",
			clampToGroundPlane = true,
		},

		-- glow
		{
			spawnBurst = true,
			emissionRate = 1,
			emissionTime = 0,
			maxParticles = 1,
			boxMin = {0,0,-0.1},
			boxMax = {0,0,-0.1},
			sprayAngle = {0,30},
			velocity = {0,0},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {0.5, 0.5},
			colorAnimation = false,
			color0 = {1.5, 0, 1.5},
			opacity = 0.6,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {1.2, 1.2},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 2,
			blendMode = "Additive",
		}
	}
}






defineParticleSystem{
	name = "fountain_domebuildup",
	emitters = {
		{
			emissionTime = 5,
			emissionRate = 64,
			maxParticles = 512,
			boxMin = {0,0,0},
			boxMax = {0,1.5,0},
			sprayAngle = {0,90},
			velocity = {1600,1600},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {10, 10},
			color0 = {5, 5, 5},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 0.001,
			size = {0.010, 0.050},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}
defineParticleSystem{
	name = "fountain_laser",
	emitters = {
		{
			emissionTime = 3.7,
			emissionRate = 4096,
			maxParticles = 8192,
			boxMin = {0,-0.5,0},
			boxMax = {0,-0.5,0},
			sprayAngle = {0,180},
			velocity = {1600,1600},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2, 0.2},
			color0 = {10, 10, 5},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.001,
			size = {0.20, 0.80},
			gravity = {0,25600,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}

for i = 0, 5 do
defineParticleSystem{
	name = "prismatic_intro_"..i,
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 16*(2^i),
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {64*2^i,64*2^i},
			texture = "mod_assets/textures/particles/lightning_white.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2, 0.2},
			color0 = {3, 3, 3},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.3,
			size = {0.02*2^i, 0.05*2^i},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}
end

defineParticleSystem{
	name = "prismatic_appear",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 1,
			emissionTime = 0,
			maxParticles = 1,
			boxMin = {0,0,1},
			boxMax = {0,0,1},
			sprayAngle = {0,30},
			velocity = {0,0},
			texture = "assets/textures/common/white.tga",
			lifetime = {2, 2},
			colorAnimation = false,
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 2,
			size = {4, 4},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Additive",
			objectSpace = true,
		}
	}
}

defineParticleSystem{
	name = "prismatic_depart",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 32,
			boxMin = {-0.3,-0.5,-0.3},
			boxMax = {0.3,0.5,0.3},
			sprayAngle = {0,0},
			velocity = {16,16},
			texture = "mod_assets/textures/particles/lightning_white.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2, 0.2},
			colorAnimation = false,
			color0 = {3, 3, 3},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.001,
			size = {0.5, 1.5},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
		}
	}
}
defineParticleSystem{
	name = "prismatic_shaftblast",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 16,
			boxMin = {-0.3,3.5,-0.3},
			boxMax = {0.3,4.5,0.3},
			sprayAngle = {180,180},
			velocity = {32,32},
			texture = "mod_assets/textures/particles/lightning_white.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2, 0.2},
			colorAnimation = false,
			color0 = {3, 3, 3},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.001,
			size = {0.2, 0.8},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
		}
	}
}
defineParticleSystem{
	name = "prismatic_shaftblast_burst",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 64,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,90},
			velocity = {128,128},
			texture = "mod_assets/textures/particles/lightning_white.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.7, 1},
			colorAnimation = false,
			color0 = {3, 3, 3},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.7,
			size = {0.2, 0.8},
			gravity = {0,0,0},
			airResistance = 128,
			rotationSpeed = 1,
			blendMode = "Additive",
		}
	}
}
defineParticleSystem{
	name = "prismatic_return",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 32,
			boxMin = {-0.3,3.5,-0.3},
			boxMax = {0.3,4.5,0.3},
			sprayAngle = {180,180},
			velocity = {16,16},
			texture = "mod_assets/textures/particles/lightning_white.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2, 0.2},
			colorAnimation = false,
			color0 = {3, 3, 3},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.001,
			size = {0.5, 1.5},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
		}
	}
}

defineParticleSystem{
	name = "prismatic_return_blast",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 512,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {2048,2048},
			texture = "mod_assets/textures/particles/lightning_white.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2, 0.2},
			color0 = {3, 3, 3},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.3,
			size = {0.2, 0.5},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		}
	}
}
defineParticleSystem{
	name = "prismatic_crossblast_buildup",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 256,
			sprayAngle = {0,180},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			velocity = {0.01,0.01},
			texture = "mod_assets/textures/particles/lightning_white.tga",
			frameRate = 15,
			frameSize = 256,
			frameCount = 4,
			lifetime = {3,3},
			color0 = {3,3,3},
			opacity = 1,
			fadeIn = 3,
			fadeOut = 0.001,
			size = {0.1, 0.3},
			gravity = {0,0,0},
			airResistance = -1.72,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}
crossblastEmitters = {}
for i = 1, 8 do
	crossblastEmitters[i] = {
			emissionTime = 3.7,
			emissionRate = 1024,
			maxParticles = 2048,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {800,800},
			texture = "mod_assets/textures/particles/lightning_white.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.8, 0.8},
			color0 = {5, 5, 5},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.001,
			size = {0.20, 0.80},
			gravity = {(i ~= 1 and i ~= 5 and 25600 or 0) * (i > 5 and -1 or 1),0,(i ~= 3 and i ~= 7 and 25600 or 0) * (i ~= 8 and i > 3 and 1 or -1)},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		}
end
defineParticleSystem{
	name = "prismatic_crossblast",
	emitters = crossblastEmitters,
}
defineParticleSystem{
	name = "safe",
	emitters = {
			{
			spawnBurst = true,
			maxParticles = 128,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {90,90},
			velocity = {3,3},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {4,4},
			color0 = {0, 2, 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.2, 0.3},
			gravity = {0,0,0},
			airResistance = 2,
			rotationSpeed = 0.2,
			blendMode = "Additive",
			},
		},
}
defineParticleSystem{
	name = "uggardian_prismatic",
	emitters = {
		{
			emissionRate = 256,
			maxParticles = 256,
			sprayAngle = {0,180},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			velocity = {1200,1200},
			texture = "mod_assets/textures/particles/lightning_white.tga",
			frameRate = 15,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {3,3,3},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.3,
			size = {0.1, 0.3},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}
defineParticleSystem{
	name = "prismbolt",
	emitters = {
		{
			emissionRate = 128,
			maxParticles = 128,
			sprayAngle = {0,180},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			velocity = {64,64},
			texture = "mod_assets/textures/particles/lightning_white.tga",
			frameRate = 15,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {3,3,3},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.3,
			size = {0.1, 0.3},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}
defineParticleSystem{
	name = "prismbolt_hit",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 128,
			sprayAngle = {0,180},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			velocity = {512,512},
			texture = "mod_assets/textures/particles/lightning_white.tga",
			frameRate = 15,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {3,3,3},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.3,
			size = {0.1, 0.3},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}

defineParticleSystem{
	name = "ceiling_crumble",
	emitters = {
		-- earthquake rocks
		{
			emissionRate = 20,
			emissionTime = 2,
			maxParticles = 200,
			boxMin = {-1.5, 3.1,-1.5},
			boxMax = { 1.5, 3.1, 1.5},
			sprayAngle = {150,180},
			velocity = {1,3},
			texture = "assets/textures/particles/rock_shard.tga",
			frameRate = 20,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2,2},
			color0 = {0.25, 0.25, 0.5},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.02, 0.08},
			gravity = {0,-12,0},
			airResistance = 1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},

		-- earthquake rocks burst
		{
			spawnBurst = true,
			maxParticles = 256,
			boxMin = {-1.5, 3.1,-1.5},
			boxMax = { 1.5, 3.1, 1.5},
			sprayAngle = {150,180},
			velocity = {1,3},
			texture = "assets/textures/particles/rock_shard.tga",
			frameRate = 20,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2,2},
			color0 = {0.25, 0.25, 0.5},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.02, 0.12},
			gravity = {0,-12,0},
			airResistance = 1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},

		-- dust
		{
			emissionRate = 10,
			emissionTime = 2,
			maxParticles = 100,
			boxMin = {-1.5, 3.1,-1.5},
			boxMax = { 1.5, 3.1, 1.5},
			sprayAngle = {150,180},
			velocity = {0.1,1},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2,3.5},
			color0 = {0.1, 0.08, 0.20},
			opacity = 0.2,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.8, 2.0},
			gravity = {0,0,0},
			airResistance = 0.4,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
		},

		{
			emissionRate = 10,
			emissionTime = 2,
			maxParticles = 100,
			boxMin = {-1.5, 3.3,-1.5},
			boxMax = { 1.5, 3.3, 1.5},
			sprayAngle = {175,180},
			velocity = {0.1,1},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1.5,2},
			color0 = {0.15, 0.12, 0.3},
			opacity = 0.6,
			fadeIn = 0.3,
			fadeOut = 1,
			size = {0.1, 0.2},
			gravity = {0,-0.75,0},
			airResistance = 1.1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
		},
	}
}

gemcolors = {"red","green","blue"}
for i, v in ipairs(gemcolors) do
defineParticleSystem{
	name = "primary_gemlaser_"..v,
	emitters = {
		{
			emissionTime = 5,
			emissionRate = 60,
			maxParticles = 1024,
			sprayAngle = {0,0},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			velocity = {0,0},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {5,5},
			color0 = {v == "red" and 1 or 0,v == "green" and 1 or 0,v == "blue" and 1 or 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.001,
			size = {0.1, 0.1},
			gravity = v == "red" and {0,300,1764} or {(v == "blue" and -1 or 1)*1450,300,-400},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	},
}

defineParticleSystem{
	name = "gem_laser_break_"..v,
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 256,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,90},
			velocity = {4,4},
			objectSpace = false,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2, 4},
			color0 = {v == "red" and 1 or 0,v == "green" and 1 or 0,v == "blue" and 1 or 0},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 2,
			size = {0.2, 0.3},
			gravity = {0,0,0},
			airResistance = 4,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
--[[		{
			spawnBurst = true,
			maxParticles = 256,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {128,128},
			objectSpace = false,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {0.1, 0.1},
			color0 = {v == "red" and 1 or 0,v == "green" and 1 or 0,v == "blue" and 1 or 0},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.001,
			size = {0.2, 0.3},
			gravity = v == "red" and {0,3000,17640} or {(v == "blue" and -1 or 1)*14500,3000,-4000},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
		},]]
	},
}
end

defineParticleSystem{
	name = "gem_orb",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 128,
			sprayAngle = {0,180},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			velocity = {0.015,0.015},
			texture = "mod_assets/textures/particles/lightning_white.tga",
			frameRate = 15,
			frameSize = 256,
			frameCount = 4,
			lifetime = {5,5},
			color0 = {3,3,3},
			opacity = 1,
			fadeIn = 5,
			fadeOut = 0.001,
			size = {0.05, 0.1},
			gravity = {0,0,0},
			airResistance = -0.5,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}
