FIRE = 		{
			objectSpace = true,
			emissionTime = math.huge,
			emissionRate = 1000,
			maxParticles = 5000,
			boxMin = {-5,-1.5,2},
			boxMax = {5,-1.5,2},
			sprayAngle = {0,30},
			velocity = {0.1,0.3},
			texture = "assets/textures/particles/flame.tga",
			frameRate = 30,
			frameSize = 32,
			frameCount = 40,
			lifetime = {0.5,4/3},
			color0 = {2, 1, 0.5},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.02, 0.1},
			gravity = {0,0.4,0},
			airResistance = 0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		}
BLUESTUFF = 	{
			objectSpace = true,
			emissionTime = math.huge,
			emissionRate = 500,
			maxParticles = 5000,
			boxMin = {-5,3,2},
			boxMax = {5,-3,2},
			sprayAngle = {0,180},
			velocity = {0.015,0.045},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {4,7},
			color0 = {0.2, 0.7, 1.5},
			opacity = 1,
			fadeIn = 2,
			fadeOut = 2,
			size = {0.007, 0.021},
			gravity = {0,0,0},
			airResistance = -0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		}
STORM = {
		{
			objectSpace = true,
			emissionTime = math.huge,
			emissionRate = 200,
			maxParticles = 400,
			boxMin = {-5,1.2,2},
			boxMax = {5,1.5,2},
			sprayAngle = {0,180},
			velocity = {0,0},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {2,2},
			color0 = {0.5, 0.5, 0.5},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.03, 0.3},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 0.01,
			blendMode = "Translucent",
		},
		{
			objectSpace = true,
			emissionTime = math.huge,
			emissionRate = 200,
			maxParticles = 400,
			boxMin = {-5,1.2,2},
			boxMax = {5,1.5,2},
			sprayAngle = {0,180},
			velocity = {0,0},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2,2},
			color0 = {0.4, 0.4, 0.4},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.03, 0.3},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 0.01,
			blendMode = "Translucent",
		},
		{
			objectSpace = true,
			emissionTime = math.huge,
			emissionRate = 200,
			maxParticles = 400,
			boxMin = {-5,1.2,2},
			boxMax = {5,1.5,2},
			sprayAngle = {0,180},
			velocity = {0,0},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {2,2},
			color0 = {0.4, 0.4, 1.5},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.03, 0.3},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 0.01,
			blendMode = "Translucent",
		},
		{
			objectSpace = true,
			emissionTime = math.huge,
			emissionRate = 20,
			maxParticles = 20,
			boxMin = {-5,1.2,2},
			boxMax = {5,1.5,2},
			sprayAngle = {0,180},
			velocity = {0,0},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1,0.3},
			color0 = {1.5, 1.5, 1.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.2,
			size = {0.03, 0.1},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{
			objectSpace = true,
			emissionTime = math.huge,
			emissionRate = 1000,
			maxParticles = 5000,
			boxMin = {5,5,2},
			boxMax = {5,-1.5,2},
			sprayAngle = {0,180},
			velocity = {0,1},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {4,4},
			color0 = {0.6, 0.8, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.001,
			size = {0.008, 0.016},
			gravity = {-4,-2,0},
			airResistance = 2,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
GOLD = 		{
			objectSpace = true,
			emissionTime = math.huge,
			emissionRate = 100,
			maxParticles = 5000,
			boxMin = {-5,-1.55,2},
			boxMax = {5,-1.55,2},
			sprayAngle = {0,30},
			velocity = {0,0.05},
			texture = "assets/textures/particles/glitter_gold.tga",
			lifetime = {2,3},
			color0 = {2, 2, 2},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 2,
			size = {0.005, 0.05},
			gravity = {0,0.1,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
		}
defineParticleSystem{
	name = "intro1",
	emitters = {
		{
			objectSpace = true,
			emissionTime = math.huge,
			emissionRate = 500,
			maxParticles = 5000,
			boxMin = {-5,3,2},
			boxMax = {5,-3,2},
			sprayAngle = {0,180},
			velocity = {0.01,0.03},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {4,7},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 2,
			fadeOut = 2,
			size = {0.005, 0.014},
			gravity = {0,0,0},
			airResistance = -0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "intro2",
	emitters = {
		{
			objectSpace = true,
			emissionTime = math.huge,
			emissionRate = 500,
			maxParticles = 5000,
			boxMin = {-5,3,2},
			boxMax = {5,-3,2},
			sprayAngle = {0,180},
			velocity = {0.0125,0.0375},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {4,7},
			color0 = {0.5, 0.8, 1},
			opacity = 1,
			fadeIn = 2,
			fadeOut = 2,
			size = {0.006, 0.016},
			gravity = {0,0,0},
			airResistance = -0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "intro3",
	emitters = {
		BLUESTUFF
	}
}
defineParticleSystem{
	name = "intro4",
	emitters = {
		FIRE
	}
}
defineParticleSystem{
	name = "intro5",
	emitters = {
		{
			objectSpace = true,
			emissionTime = math.huge,
			emissionRate = 750,
			maxParticles = 5000,
			boxMin = {-5,3,2},
			boxMax = {5,-3,2},
			sprayAngle = {0,180},
			velocity = {0.1,0.2},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {4,7},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 2,
			fadeOut = 2,
			size = {0.002, 0.01},
			gravity = {0,0,2},
			airResistance = 0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "intro6",
	emitters = {
		{
			objectSpace = true,
			emissionTime = math.huge,
			emissionRate = 750,
			maxParticles = 5000,
			boxMin = {-5,3,2},
			boxMax = {5,-3,2},
			sprayAngle = {0,180},
			velocity = {0.1,0.2},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {4,7},
			color0 = {0.2, 0.7, 2},
			opacity = 1,
			fadeIn = 2,
			fadeOut = 2,
			size = {0.002, 0.01},
			gravity = {0,0,2},
			airResistance = 0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "intro7",
	emitters = STORM
}
defineParticleSystem{
	name = "intro8",
	emitters = {
		GOLD
	}
}
defineParticleSystem{
	name = "intro9",
	emitters = {
		BLUESTUFF
	}
}
defineParticleSystem{
	name = "intro10",
	emitters = STORM
}
defineParticleSystem{
	name = "intro11",
	emitters = {
		FIRE
	}
}
defineParticleSystem{
	name = "intro12",
	emitters = {
		GOLD
	}
}
defineParticleSystem{
	name = "intro13",
	emitters = {
		GOLD
	}
}
defineParticleSystem{
	name = "intro14",
	emitters = {
		GOLD
	}
}
defineParticleSystem{
	name = "intro15",
	emitters = {
		GOLD
	}
}
defineParticleSystem{
	name = "intro16",
	emitters = {
		GOLD
	}
}
defineParticleSystem{
	name = "intro17",
	emitters = {
		BLUESTUFF
	}
}
defineParticleSystem{
	name = "intro18",
	emitters = {
		GOLD
	}
}
defineParticleSystem{
	name = "intro19",
	emitters = {
		GOLD
	}
}
defineParticleSystem{
	name = "intro20",
	emitters = {
		FIRE
	}
}
