defineParticleSystem{
	name = "break_blue_crystal",
	emitters = {
		{ -- shards
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.3, 0, -0.3},
			boxMax = {0.3, 0, 0.3},
			sprayAngle = {0,180},
			velocity = {1, 3},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {5, 8},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.010, 0.035},
			gravity = {0,-8,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Translucent",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},
		{ -- energy
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.3, 0, -0.3},
			boxMax = {0.3, 0, 0.3},
			sprayAngle = {0,180},
			velocity = {0.1, 0.2},
			texture = "assets/textures/particles/fog.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {1, 2},
			color0 = {0.5, 0.7, 1},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 1,
			size = {0.010, 0.035},
			gravity = {0,0,0},
			airResistance = -6,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}

defineParticleSystem{
	name = "break_red_crystal",
	emitters = {
		{ -- shards
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.3, 0, -0.3},
			boxMax = {0.3, 0, 0.3},
			sprayAngle = {0,180},
			velocity = {1, 3},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {5, 8},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.010, 0.035},
			gravity = {0,-8,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Translucent",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},
		{ -- energy
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.3, 0, -0.3},
			boxMax = {0.3, 0, 0.3},
			sprayAngle = {0,180},
			velocity = {0.1, 0.2},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {1, 2},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 1,
			size = {0.010, 0.035},
			gravity = {0,0,0},
			airResistance = -6,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}

defineParticleSystem{
	name = "break_green_crystal",
	emitters = {
		{ -- shards
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.3, 0, -0.3},
			boxMax = {0.3, 0, 0.3},
			sprayAngle = {0,180},
			velocity = {1, 3},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {5, 8},
			color0 = {0, 1, 0},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.010, 0.035},
			gravity = {0,-8,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Translucent",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},
		{ -- energy
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.3, 0, -0.3},
			boxMax = {0.3, 0, 0.3},
			sprayAngle = {0,180},
			velocity = {0.1, 0.2},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {1, 2},
			color0 = {0, 1, 0},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 1,
			size = {0.010, 0.035},
			gravity = {0,0,0},
			airResistance = -6,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}


defineParticleSystem{
	name = "thunderlash_glitter",
	emitters = {
		{
			emissionRate = 500,
			maxParticles = 100,
			boxMin = {-0.48, 0.02, -0.04},
			boxMax = {-0.24, 0.02, 0.02},
			sprayAngle = {0,360},
			velocity = {0, 0},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.02, 0.1},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.020, 0.20},
			gravity = {0,0,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}
defineParticleSystem{
	name = "spike_force_glitter",
	emitters = {
		{
			emissionRate = 1024,
			maxParticles = 512,
			boxMin = {-0.24, 0.02, 0},
			boxMax = {0, 0.02, 0},
			sprayAngle = {0,360},
			velocity = {0, 0},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.3},
			color0 = {2.5, 2.5, 0},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.050, 0.070},
			gravity = {0,0,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}
lifeglitterVelocity = {0.01, 0.05}
lifeglitterTex = "assets/textures/particles/glitter_silver.tga"
lifeglitterLife = {1, 2}
lifeglitterColor = {1.2, 1.6, 2}
lifeglitterFadeIn = 0.5
lifeglitterFadeOut = 0.5
lifeglitterSize = {0.020, 0.20}
lifeglitterAirRes = -1
lifeglitterRotSpeed = 1
defineParticleSystem{
	name = "lifeglitter_helm",
	emitters = {
		{
			emissionRate = 50,
			maxParticles = 100,
			boxMin = {-0.15, 0, -0.15},
			boxMax = {0.15, 0.4, 0.15},
			sprayAngle = {0,360},
			velocity = lifeglitterVelocity,
			texture = lifeglitterTex,
			lifetime = lifeglitterLife,
			color0 = lifeglitterColor,
			opacity = 1,
			fadeIn = lifeglitterFadeIn,
			fadeOut = lifeglitterFadeOut,
			size = lifeglitterSize,
			gravity = {0,0,0},
			airResistance = lifeglitterAirRes,
			rotationSpeed = lifeglitterRotSpeed,
			blendMode = "Additive",
		},
	},
}

defineParticleSystem{
	name = "bloodgem",
	emitters = {
		{
			emissionRate = 2,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,90},
			velocity = {0.05, 0.1},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 8},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.20},
			gravity = {0,0,0},
			airResistance = -0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}
defineParticleSystem{
	name = "lifegem",
	emitters = {
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 256,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,90},
			velocity = {0.05, 0.1},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 8},
			color0 = {0, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.20},
			gravity = {0,0,0},
			airResistance = -0.1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}

amuletMin = {0.003,0.04,-0.06}
amuletMax = {-0.063,0.06,-0.14}
defineParticleSystem{
	name = "amulet_fire",
	emitters = {
		{
			emissionRate = 64,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = amuletMin,
			boxMax = amuletMax,
			sprayAngle = {0,90},
			velocity = {0, 0.1},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2, 0.8},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,1,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{
			emissionRate = 64,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = amuletMin, 
			boxMax = amuletMax,
			sprayAngle = {0,180},
			velocity = {64, 64},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2, 0.8},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
			depthBias = -0.002,
		},
	},
}

defineParticleSystem{
	name = "amulet_air",
	emitters = {
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 64,
			boxMin = amuletMin, 
			boxMax = amuletMax,
			sprayAngle = {0,180},
			velocity = {0, 0},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.12, 0.3},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
			depthBias = -0.002,
		},
	},
}

defineParticleSystem{
	name = "amulet_earth",
	emitters = {
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 64,
			boxMin = amuletMin, 
			boxMax = amuletMax,
			sprayAngle = {0,180},
			velocity = {96, 96},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 64,
			boxMin = amuletMin, 
			boxMax = amuletMax,
			sprayAngle = {0,180},
			velocity = {96, 96},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {1, 2},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.040, 0.20},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
	},
}

defineParticleSystem{
	name = "amulet_ice",
	emitters = {
		{
			emissionRate = 64,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = amuletMin, 
			boxMax = amuletMax,
			sprayAngle = {0,180},
			velocity = {8, 96},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1, 2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.010, 0.15},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
			depthBias = -0.002,
		},
	},
}

wandOrbCenter = {0.58, 0.075, 0}
defineParticleSystem{
	name = "wand_fire_glitter1",
	emitters = {
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 64,
			boxMin = {0.55, 0.1, -0.025},
			boxMax = {0.60, 0.15, 0.025},
			sprayAngle = {0,90},
			velocity = {0, 0.1},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2, 0.8},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,1,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 64,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {64, 64},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2, 0.8},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
			depthBias = -0.002,
		},
	},
}

defineParticleSystem{
	name = "wand_fire_glitter2",
	emitters = {
		{
			emissionRate = 64,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = {0.55, 0.1, -0.025},
			boxMax = {0.60, 0.15, 0.025},
			sprayAngle = {0,90},
			velocity = {0, 0.12},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2, 1.0},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.020, 0.15},
			gravity = {0,1.2,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{
			emissionRate = 64,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {64, 64},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2, 0.8},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.020, 0.15},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
			depthBias = -0.002,
		},
	},
}

defineParticleSystem{
	name = "wand_fire_glitter3",
	emitters = {
		{
			emissionRate = 96,
			emissionTime = 0,
			maxParticles = 192,
			boxMin = {0.55, 0.1, -0.025},
			boxMax = {0.60, 0.15, 0.025},
			sprayAngle = {0,90},
			velocity = {0, 0.15},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2, 1.2},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.020, 0.2},
			gravity = {0,1.4,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{
			emissionRate = 92,
			emissionTime = 0,
			maxParticles = 196,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {64, 64},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2, 0.8},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.020, 0.2},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
			depthBias = -0.002,
		},
		{
			emissionRate = 16,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,60},
			velocity = {0.1, 2},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.6, 2},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.010, 0.020},
			gravity = {0,-4,0},
			airResistance = 4,
			rotationSpeed = 1,
			blendMode = "Additive",
			clampToGroundPlane = true,
		},
	},
}

defineParticleSystem{
	name = "wand_fire_glitter4",
	emitters = {
		{
			emissionRate = 160,
			emissionTime = 0,
			maxParticles = 320,
			boxMin = {0.55, 0.1, -0.025},
			boxMax = {0.60, 0.15, 0.025},
			sprayAngle = {0,90},
			velocity = {0, 0.25},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2, 1.6},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.020, 0.3},
			gravity = {0,1.4,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{
			emissionRate = 128,
			emissionTime = 0,
			maxParticles = 256,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {64, 64},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2, 0.8},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.020, 0.3},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
			depthBias = -0.002,
		},
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,30},
			velocity = {0.1, 6},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.6, 2},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.010, 0.020},
			gravity = {0,-4,0},
			airResistance = 4,
			rotationSpeed = 1,
			blendMode = "Additive",
			clampToGroundPlane = true,
		},
		{
			emissionRate = 64,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = {-0.55, 0.05, 0},
			boxMax = {0.55, 0.05, 0},
			sprayAngle = {0,180},
			velocity = {64, 64},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2, 0.8},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,100,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
			depthBias = -0.002,
		},
	},
}

defineParticleSystem{
	name = "wand_ice_glitter1",
	emitters = {
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 64,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {96, 96},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1, 2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
			depthBias = -0.002,
		},
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 64,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {96, 96},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
			depthBias = -0.002,
		},
	},
}

defineParticleSystem{
	name = "wand_ice_glitter2",
	emitters = {
		{
			emissionRate = 64,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {96, 96},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1, 2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.15},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
			depthBias = -0.002,
		},
		{
			emissionRate = 64,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {96, 96},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.20},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
			depthBias = -0.002,
		},
	},
}

defineParticleSystem{
	name = "wand_ice_glitter3",
	emitters = {
		{
			emissionRate = 96,
			emissionTime = 0,
			maxParticles = 192,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,100},
			velocity = {96, 256},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1, 2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.2},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
			depthBias = -0.002,
		},
		{
			emissionRate = 64,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {96, 96},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.30},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
			depthBias = -0.002,
		},
		{
			emissionRate = 4,
			emissionTime = 0,
			maxParticles = 32,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,100},
			velocity = {96, 512},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2, 6},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.020, 0.030},
			gravity = {0,-50,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},
	},
}

defineParticleSystem{
	name = "wand_ice_glitter4",
	emitters = {
		{
			emissionRate = 192,
			emissionTime = 0,
			maxParticles = 512,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,100},
			velocity = {96, 512},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1, 2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.2},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
			depthBias = -0.002,
		},
		{
			emissionRate = 64,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {96, 96},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.30},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
			depthBias = -0.002,
		},
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 256,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,100},
			velocity = {96, 512},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2, 6},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.020, 0.030},
			gravity = {0,-50,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},
	},
}

defineParticleSystem{
	name = "wand_air_glitter1",
	emitters = {
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 64,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {64, 64},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.06, 0.15},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
			depthBias = -0.002,
		},
	},
}

defineParticleSystem{
	name = "wand_air_glitter2",
	emitters = {
		{
			emissionRate = 64,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {64, 64},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.06, 0.3},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
			depthBias = -0.002,
		},
	},
}

defineParticleSystem{
	name = "wand_air_glitter3",
	emitters = {
		{
			emissionRate = 96,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {64, 64},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.06, 0.3},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
			depthBias = -0.002,
		},
		{
			emissionRate = 8,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,60},
			velocity = {0.2, 2},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 15,
			frameSize = 256,
			frameCount = 4,
			lifetime = {1,2},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.02, 0.04},
			gravity = {0,-6,0},
			airResistance = 2,
			rotationSpeed = 20,
			blendMode = "Additive",
			clampToGroundPlane = true,
		--	depthBias = -0.001,
		},
		{
			emissionRate = 2,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,60},
			velocity = {-1, 6},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 15,
			frameSize = 256,
			frameCount = 4,
			lifetime = {1,2},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.02, 0.04},
			gravity = {0,-6,0},
			airResistance = 2,
			rotationSpeed = 20,
			blendMode = "Additive",
			clampToGroundPlane = true,
		--	depthBias = -0.001,
		},
	},
}

defineParticleSystem{
	name = "wand_air_glitter4",
	emitters = {
		{
			emissionRate = 256,
			emissionTime = 0,
			maxParticles = 256,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {64, 128},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.06, 0.4},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
			depthBias = -0.002,
		},
		{
			emissionRate = 8,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,60},
			velocity = {0.2, 2},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 15,
			frameSize = 256,
			frameCount = 4,
			lifetime = {1,2},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.02, 0.06},
			gravity = {0,-6,0},
			airResistance = 2,
			rotationSpeed = 20,
			blendMode = "Additive",
			clampToGroundPlane = true,
		--	depthBias = -0.001,
		},
		{
			emissionRate = 2,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,60},
			velocity = {-1, 6},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 15,
			frameSize = 256,
			frameCount = 4,
			lifetime = {1,2},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.02, 0.08},
			gravity = {0,-6,0},
			airResistance = 2,
			rotationSpeed = 20,
			blendMode = "Additive",
			clampToGroundPlane = true,
		--	depthBias = -0.001,
		},
	},
}

defineParticleSystem{
	name = "wand_air_glitter5",
	emitters = {
		{
			emissionRate = 512,
			emissionTime = 0,
			maxParticles = 512,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,100},
			velocity = {64, 256},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.06, 0.5},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
			depthBias = -0.002,
		},
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,60},
			velocity = {0.2, 2},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 15,
			frameSize = 256,
			frameCount = 4,
			lifetime = {1,2},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.02, 0.08},
			gravity = {0,-6,0},
			airResistance = 2,
			rotationSpeed = 20,
			blendMode = "Additive",
			clampToGroundPlane = true,
		--	depthBias = -0.001,
		},
		{
			emissionRate = 16,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,60},
			velocity = {-1, 6},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 15,
			frameSize = 256,
			frameCount = 4,
			lifetime = {1,2},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.02, 0.08},
			gravity = {0,-6,0},
			airResistance = 2,
			rotationSpeed = 20,
			blendMode = "Additive",
			clampToGroundPlane = true,
		--	depthBias = -0.001,
		},
		{
			emissionRate = 256,
			emissionTime = 0,
			maxParticles = 256,
			boxMin = {-0.55, 0.05, 0},
			boxMax = {0.55, 0.05, 0},
			sprayAngle = {0,100},
			velocity = {32, 32},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.06, 0.2},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0,
			blendMode = "Additive",
			depthBias = -0.002,
		},
	},
}

defineParticleSystem{
	name = "wand_earth_glitter1",
	emitters = {
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 64,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {96, 96},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 64,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {96, 96},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {1, 2},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.040, 0.20},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
	},
}

defineParticleSystem{
	name = "wand_earth_glitter2",
	emitters = {
		{
			emissionRate = 64,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {96, 128},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
		{
			emissionRate = 32,
			emissionTime = 0,
			maxParticles = 64,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {96, 96},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {1, 2},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.040, 0.30},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
		{
			emissionRate = 64,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {0.01, 0.1},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0.1,0},
			airResistance = 0.01,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
	},
}

defineParticleSystem{
	name = "wand_earth_glitter3",
	emitters = {
		{
			emissionRate = 96,
			emissionTime = 0,
			maxParticles = 192,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {96, 128},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
		{
			emissionRate = 64,
			emissionTime = 0,
			maxParticles = 128,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {96, 96},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {1, 2},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.040, 0.30},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
		{
			emissionRate = 128,
			emissionTime = 0,
			maxParticles = 256,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {0.01, 0.1},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0.2,0},
			airResistance = 0.01,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
		{
			emissionRate = 128,
			emissionTime = 0,
			maxParticles = 256,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {0.01, 0.1},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {0, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0.2,0},
			airResistance = 0.01,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
	},
}

defineParticleSystem{
	name = "wand_earth_glitter4",
	emitters = {
		{
			emissionRate = 128,
			emissionTime = 0,
			maxParticles = 256,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {96, 128},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
		{
			emissionRate = 96,
			emissionTime = 0,
			maxParticles = 192,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {96, 96},
			texture = "assets/textures/particles/poison_cloud.tga",
			lifetime = {1, 2},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.040, 0.30},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
		{
			emissionRate = 128,
			emissionTime = 0,
			maxParticles = 256,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {0.02, 0.2},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0.2,0},
			airResistance = 0.01,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
		{
			emissionRate = 128,
			emissionTime = 0,
			maxParticles = 256,
			boxMin = wandOrbCenter, 
			boxMax = wandOrbCenter,
			sprayAngle = {0,180},
			velocity = {0.02, 0.2},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {0, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0.2,0},
			airResistance = 0.01,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},
		{
			emissionRate = 128,
			emissionTime = 0,
			maxParticles = 256,
			boxMin = {-0.55, 0.05, 0},
			boxMax = {0.55, 0.05, 0},
			sprayAngle = {0,180},
			velocity = {0.02, 0.2},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {1, 2},
			color0 = {1, 1, 0},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.020, 0.10},
			gravity = {0,0.2,0},
			airResistance = 0.01,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		--	depthBias = -0.002,
		},

	},
}

defineParticleSystem{
	name = "everlight_magic",
	emitters = {
		{
			emissionRate = 15,
			maxParticles = 250,
			boxMin = {0, 0.2, -0.05},
			boxMax = {0, 0.2, -0.05},
			sprayAngle = {0,360},
			velocity = {0,0},
			texture = "assets/textures/particles/goromorg_lantern.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2,0.4},
			color0 = {1.5,1.5,1.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.1, 0.2},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
			depthBias = -0.005,
		},
		{
			emissionRate = 30,
			maxParticles = 250,
			boxMin = {0, 0.2, -0.05},
			boxMax = {0, 0.2, -0.05},
			sprayAngle = {0,360},
			velocity = {0,0},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {0.1,0.1},
			color0 = {0.25,0.25,0.5},
			opacity = 1,
			fadeIn = 0.05,
			fadeOut = 0.05,
			size = {0.19, 0.2},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
			depthBias = -0.005,
		},
	}
}
defineParticleSystem{
	name = "everlight_torch",
	emitters = {
		{
			emissionRate = 15,
			maxParticles = 250,
			boxMin = {0, 0.2, -0.05},
			boxMax = {0, 0.2, -0.05},
			sprayAngle = {0,360},
			velocity = {0,0},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2,0.4},
			color0 = {1.5,1.5,1.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.1, 0.2},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
			depthBias = -0.005,
		},
		{
			emissionRate = 30,
			maxParticles = 250,
			boxMin = {0, 0.2, -0.05},
			boxMax = {0, 0.2, -0.05},
			sprayAngle = {0,360},
			velocity = {0,0},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {0.1,0.1},
			color0 = {0.75,0.45,0.15},
			opacity = 1,
			fadeIn = 0.05,
			fadeOut = 0.05,
			size = {0.19, 0.2},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
			depthBias = -0.005,
		},
	}
}
