
defineParticleSystem{
	name = "piano_hit_fx",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 0,
			emissionTime = 0,
			maxParticles = 10,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,90},
			velocity = {0.1,0.2},
			objectSpace = false,
			texture = "assets/textures/particles/goromorg_lantern.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5, 1},
			color0 = {0, 1, 0},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.1, 0.1},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "choir_hit_fx",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 0,
			emissionTime = 0,
			maxParticles = 10,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,90},
			velocity = {0.1,0.2},
			objectSpace = false,
			texture = "assets/textures/particles/goromorg_lantern.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5, 1},
			color0 = {0, 0.5, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.1, 0.1},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "perc_hit_fx",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 0,
			emissionTime = 0,
			maxParticles = 10,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,90},
			velocity = {0.1,0.2},
			objectSpace = false,
			texture = "assets/textures/particles/goromorg_lantern.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5, 1},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.1, 0.1},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "music_win_perc",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 0,
			emissionTime = 0,
			maxParticles = 20,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {40,40},
			objectSpace = false,
			texture = "assets/textures/particles/goromorg_lantern.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {12, 12},
			color0 = {1, 0, 0},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.25,
			size = {0.1, 0.1},
			gravity = {-25,-25,-800},
			airResistance = 800,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "music_win_choir",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 0,
			emissionTime = 0,
			maxParticles = 20,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {40,40},
			objectSpace = false,
			texture = "assets/textures/particles/goromorg_lantern.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {12, 12},
			color0 = {0, 0.5, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.25,
			size = {0.1, 0.1},
			gravity = {-25,-25,-800},
			airResistance = 800,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "music_win_piano",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 0,
			emissionTime = 0,
			maxParticles = 20,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {40,40},
			objectSpace = false,
			texture = "assets/textures/particles/goromorg_lantern.tga",
			frameRate = 45,
			frameSize = 64,
			frameCount = 16,
			lifetime = {12, 12},
			color0 = {0, 1, 0},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.25,
			size = {0.1, 0.1},
			gravity = {-25,-25,-800},
			airResistance = 800,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

noteparts = {"c4","c#4","d#4","f4","g4","g#4","a#4",
	"c5","c#5","d#5","f5","g5","g#5","a#5",
	"c6","c#6","d#6","f6","g6","g#6","a#6"}
notecols = {{0,0,1},{1,0,1},{1,1,1},{1,0,0},{1,1,0},{0,1,0},{0,1,1},
	{0,0,1},{1,0,1},{1,1,1},{1,0,0},{1,1,0},{0,1,0},{0,1,1},
	{0,0,1},{1,0,1},{1,1,1},{1,0,0},{1,1,0},{0,1,0},{0,1,1}}

for i = 1, #noteparts do
defineParticleSystem{
	name = noteparts[i],
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 10,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {10,10},
			texture = "mod_assets/textures/particles/note.tga",
			lifetime = {1, 2},
			color0 = notecols[i],
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.1, 0.1},
			gravity = {0,0,0},
			airResistance = 8,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
end
