defineParticleSystem{
	name = "obelisk_pit_nothing",
	emitters = {
		{
			emissionRate = 100,
			emissionTime = 0.3,
			maxParticles = 100,
			boxMin = {-1.2, 0.8, -1.2},
			boxMax = {1.2,  2.2,  1.2},
			sprayAngle = {0,360},
			velocity = {0,0},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.2, 2.5},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
		{
			spawnBurst = true,
			emissionRate = 25,
			emissionTime = 0,
			maxParticles = 25,
			boxMin = {-0.2, -1.3, -0.2},
			boxMax = {0.2,  1.7, 0.2},
			sprayAngle = {0,360},
			velocity = {0,0},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.5, 1.5},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "obelisk_pit_fire",
	emitters = {
		{
			emissionRate = 500,
			emissionTime = math.huge,
			maxParticles = 500,
			boxMin = {0, 0.6, 0},
			boxMax = {0, 0.6, 0},
			sprayAngle = {90,100},
			velocity = {100, 2400},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2, 0.8},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.020, 0.20},
			gravity = {0,500,0},
			airResistance = 2000,
			rotationSpeed = 1,
			blendMode = "Additive",
		},

		{
			emissionRate = 1000,
			emissionTime = math.huge,
			maxParticles = 1000,
			boxMin = {0, 1.5, 0},
			boxMax = {0, 1.5, 0},
			sprayAngle = {0,180},
			velocity = {1200, 1200},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.2, 0.8},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.020, 0.20},
			gravity = {0,0,0},
			airResistance = 2000,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}
defineParticleSystem{
	name = "obelisk_pit_cold",
	emitters = {
		{
			emissionRate = 100,
			emissionTime = math.huge,
			maxParticles = 500,
			boxMin = {0, 0.6, 0},
			boxMax = {0, 0.6, 0},
			sprayAngle = {90,100},
			velocity = {100, 2400},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2, 4},
			colorAnimation = true,
			color0 = {1, 1, 1},
			color1 = {0.6, 1, 1},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.010, 0.30},
			gravity = {0,100,0},
			airResistance = 2000,
			rotationSpeed = 1,
			blendMode = "Additive",
		},

		{
			emissionRate = 250,
			emissionTime = math.huge,
			maxParticles = 2000,
			boxMin = {0, 1.5, 0},
			boxMax = {0, 1.5, 0},
			sprayAngle = {0,180},
			velocity = {1000, 1200},
			texture = "assets/textures/particles/ice_shard.tga",
			color0 = {1, 1, 1},
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2, 4},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.010, 0.050},
			gravity = {0,-50,0},
			airResistance = 2000,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
		{
			emissionRate = 25,
			emissionTime = math.huge,
			maxParticles = 200,
			boxMin = {0, 1.5, 0},
			boxMax = {0, 1.5, 0},
			sprayAngle = {0,180},
			velocity = {400, 1200},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2, 4},
			colorAnimation = true,
			color0 = {1, 1, 1},
			color1 = {0.6, 1, 1},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.050, 0.30},
			gravity = {0,-50,0},
			airResistance = 2000,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		},
		{	-- smoke from the flames
			spawnBurst = true,
			emissionTime = 0,
			maxParticles = 250,
			boxMin = {0, 0.6, 0},
			boxMax = {0, 0.6, 0},
			sprayAngle = {80,90},
			velocity = {100, 2400},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {1,3},
			color0 = {0.25, 0.25, 0.25},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 2,
			size = {0.3, 0.6},
			size = {0.020, 0.20},
			gravity = {0,50,0},
			airResistance = 2000,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
		{	-- smoke from the flames
			spawnBurst = true,
			emissionTime = 0,
			maxParticles = 250,
			boxMin = {0, 1.5, 0},
			boxMax = {0, 1.5, 0},
			sprayAngle = {0,180},
			velocity = {800, 1600},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {1,3},
			color0 = {0.25, 0.25, 0.25},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 2,
			size = {0.3, 0.6},
			size = {0.020, 0.20},
			gravity = {0,50,0},
			airResistance = 2000,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	},
}
defineParticleSystem{
	name = "obelisk_pit_elec",
	emitters = {
		{
			emissionRate = 250,
			emissionTime = math.huge,
			maxParticles = 500,
			boxMin = {0, 0.6, 0},
			boxMax = {0, 0.6, 0},
			sprayAngle = {90,100},
			velocity = {100, 2400},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.2},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.020, 0.60},
			gravity = {0,100,0},
			airResistance = 2000,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{
			emissionRate = 5000,
			emissionTime = math.huge,
			maxParticles = 1000,
			boxMin = {0, 1.5, 0},
			boxMax = {0, 1.5, 0},
			sprayAngle = {0,180},
			velocity = {1200, 1200},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.2},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.10, 0.20},
			gravity = {0,0,0},
			airResistance = 2000,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
		{ -- shards from the ice orb
			spawnBurst = true,
			emissionRate = 500,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {-0.4, 1.1, -0.4},
			boxMax = {0.4, 1.9, 0.4},
			sprayAngle = {0,90},
			velocity = {2, 4},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {5, 8},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.010, 0.035},
			gravity = {0,-8,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Translucent",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},
	},
}

defineParticleSystem{
	name = "obelisk_gun_fire_x",
	emitters = {
		{
			-- the "beam flash"
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-2.5, 1.5, 0},
			boxMax = {2.5, 1.5, 0},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/particle.tga",
			lifetime = {0.5, 1},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.35, 0.015},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{
			-- sparks; create the ground flicker effect
			spawnBurst = true,
			emissionRate = 500,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {-2.5, 1.5, 0},
			boxMax = {2.5, 1.5, 0},
			sprayAngle = {0,360},
			velocity = {1, 5},
			texture = "mod_assets/textures/particles/spark.tga",
			lifetime = {1, 3},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.01, 0.05},
			gravity = {0,-10,0},
			airResistance = 3,
			rotationSpeed = 60,
			blendMode = "Additive",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},

		{	-- flame clouds
			spawnBurst = false,
			emissionRate = 1000,
			emissionTime = 0.5,
			maxParticles = 500,
			boxMin = {-2.5, 1.5, 0},
			boxMax = {2.5, 1.5, 0},
			sprayAngle = {0,360},
			velocity = {0.1, 0.3},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {1, 2.5},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.15,
			fadeOut = 1,
			size = {0.020, 0.20},
			gravity = {0,0.2,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{	-- floaty sparks; negative air resistance gives the illusion of flitting
			spawnBurst = false,
			emissionRate = 500,
			emissionTime = 0.5,
			maxParticles = 250,
			boxMin = {-2.5, 1.5, 0},
			boxMax = {2.5, 1.5, 0},
			sprayAngle = {0,360},
			velocity = {0.1, 0.5},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {3, 4},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 2,
			size = {0.005, 0.020},
			gravity = {0,0,0},
			airResistance = -0.5,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{	-- smoke
			emissionRate = 30,
			emissionTime = 1,
			maxParticles = 100,
			boxMin = {-2.5, 1.5, 0},
			boxMax = {2.5, 1.5, 0},
			sprayAngle = {0,360},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {1,2.5},
			color0 = {0.25, 0.25, 0.25},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.9,
			size = {0.1, 0.2},
			gravity = {0,0.2,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "obelisk_gun_fire_y", -- or should it be z??
	emitters = {
		{
			-- the "beam flash"
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 1.5, -2.5},
			boxMax = {0, 1.5, 2.5},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/particle.tga",
			lifetime = {0.5, 1},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.35, 0.015},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{
			-- sparks; create the ground flicker effect
			spawnBurst = true,
			emissionRate = 500,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {0, 1.5, -2.5},
			boxMax = {0, 1.5, 2.5},
			sprayAngle = {0,360},
			velocity = {1, 5},
			texture = "mod_assets/textures/particles/spark.tga",
			lifetime = {1, 3},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.01, 0.05},
			gravity = {0,-10,0},
			airResistance = 3,
			rotationSpeed = 60,
			blendMode = "Additive",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},

		{	-- flame clouds
			spawnBurst = false,
			emissionRate = 1000,
			emissionTime = 0.5,
			maxParticles = 500,
			boxMin = {0, 1.5, -2.5},
			boxMax = {0, 1.5, 2.5},
			sprayAngle = {0,360},
			velocity = {0.1, 0.3},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {1, 2.5},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.15,
			fadeOut = 1,
			size = {0.020, 0.20},
			gravity = {0,0.2,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{	-- floaty sparks; negative air resistance gives the illusion of flitting
			spawnBurst = false,
			emissionRate = 500,
			emissionTime = 0.5,
			maxParticles = 250,
			boxMin = {0, 1.5, -2.5},
			boxMax = {0, 1.5, 2.5},
			sprayAngle = {0,360},
			velocity = {0.1, 0.5},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {3, 4},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 2,
			size = {0.005, 0.020},
			gravity = {0,0,0},
			airResistance = -0.5,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{	-- smoke
			emissionRate = 30,
			emissionTime = 1,
			maxParticles = 100,
			boxMin = {0.0, 1.5, -2.5},
			boxMax = {0.0, 1.5, 2.5},
			sprayAngle = {0,360},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {1,2.5},
			color0 = {0.25, 0.25, 0.25},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.9,
			size = {0.1, 0.2},
			gravity = {0,0.2,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "obelisk_gun_cold_x",
	emitters = {
		{
			-- the "beam flash"
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-2.5, 1.5, 0},
			boxMax = {2.5, 1.5, 0},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/particle.tga",
			lifetime = {0.5, 1},
			colorAnimation = true,
			color0 = {1, 1, 1},
			color1 = {0.8, 0.9, 1},
			color2 = {0.6, 0.8, 1},
			color3 = {0.3, 0.7, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.35, 0.015},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{
			-- condensation
			emissionRate = 100,
			emissionTime = 1,
			maxParticles = 1000,
			boxMin = {-2.5, 0.5, -1},
			boxMax = {2.5, 2.5, 1},
			sprayAngle = {0,360},
			velocity = {0, 0.1},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {1, 6},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.010, 0.035},
			gravity = {0,-0.2,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Translucent",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},

		{
			-- smoke
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-2.5, 1.5, 0},
			boxMax = {2.5, 1.5, 0},
			sprayAngle = {0,360},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {0.8,2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.4,
			size = {0.2, 0.7},
			gravity = {0,-0.1,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
		},

		{
			-- sparse smoke
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-2.5, 0.7, -0.8},
			boxMax = {2.5, 2.3, 0.8},
			sprayAngle = {0,360},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {0.8,2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.4,
			fadeOut = 0.4,
			size = {0.07, 0.2},
			gravity = {0,0,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "obelisk_gun_cold_y",
	emitters = {
		{
			-- the "beam flash"
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 1.5, -2.5},
			boxMax = {0, 1.5, 2.5},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/particle.tga",
			lifetime = {0.5, 1},
			colorAnimation = true,
			color0 = {1, 1, 1},
			color1 = {0.8, 0.9, 1},
			color2 = {0.6, 0.8, 1},
			color3 = {0.3, 0.7, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.35, 0.015},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{
			-- condensation
			emissionRate = 100,
			emissionTime = 1,
			maxParticles = 1000,
			boxMin = {-1, 0.5, -2.5},
			boxMax = {1, 2.5, 2.5},
			sprayAngle = {0,360},
			velocity = {0, 0.1},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {1, 6},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.010, 0.035},
			gravity = {0,-0.2,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Translucent",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},

		{
			-- smoke
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 1.5, -2.5},
			boxMax = {0, 1.5, 2.5},
			sprayAngle = {0,360},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {0.8,2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.4,
			size = {0.2, 0.7},
			gravity = {0,-0.1,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
		},

		{
			-- sparse smoke
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.8, -0.7, -2.5},
			boxMax = {0.8, 2.3, 2.5},
			sprayAngle = {0,360},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {0.8,2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.4,
			fadeOut = 0.4,
			size = {0.07, 0.2},
			gravity = {0,0,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "obelisk_gun_elec_x",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-2.5, 1.5, 0},
			boxMax = {2.5, 1.5, 0},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.3},
			color0 = {1.5, 1.5, 1.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.5, 3},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}

defineParticleSystem{
	name = "obelisk_gun_elec_y",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 1.5, -2.5},
			boxMax = {0, 1.5, 2.5},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.3},
			color0 = {1.5, 1.5, 1.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.5, 3},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}

-- obelisk stuff
defineParticleSystem{
	name = "drinn_obelisk_hot",
	emitters = {
		{	-- flames
			emissionRate = 100,
			emissionTime = math.huge,
			maxParticles = 1000,
			boxMin = {-0.5, 0, -0.5},
			boxMax = {0.5, 2.5, 0.5},
			sprayAngle = {90,90},
			velocity = {600, 600},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {2, 2.5},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.4,
			fadeOut = 1,
			size = {0.35, 0.015},
			gravity = {0,500,0},
			airResistance = 2400,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		--[[
		{	-- smoke
			emissionRate = 30,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.5, 0, -0.5},
			boxMax = {0.5, 2.5, 0.5},
			sprayAngle = {0,20},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {1,2.5},
			color0 = {0.25, 0.25, 0.25},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.9,
			size = {0.1, 0.2},
			gravity = {0,0.2,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
		]]
	}
}

defineParticleSystem{
	name = "drinn_obelisk_charged",
	emitters = {
		{
			emissionRate = 1000,
			emissionTime = math.huge,
			maxParticles = 1000,
			boxMin = {-0.5, 0, -0.5},
			boxMax = {0.5, 2.5, 0.5},
			sprayAngle = {90,90},
			velocity = {600, 600},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.3},
			color0 = {1.5, 1.5, 1.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.1, 0.3},
			gravity = {0,0,0},
			airResistance = 2400,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}

defineParticleSystem{
	name = "obelisk_explode",
	emitters = {
		{	
			spawnBurst = true,
			emissionRate = 2000,
			emissionTime = 0,
			maxParticles = 2000,
			boxMin = {-0.4, 0.4, -0.4},
			boxMax = {0.4, 2.6, 0.4},
			sprayAngle = {0,180},
			velocity = {2, 16},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {5, 8},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.010, 0.035},
			gravity = {0,-8,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Translucent",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},
		{	
			spawnBurst = true,
			emissionRate = 200,
			emissionTime = 0,
			maxParticles = 200,
			boxMin = {-1, 0.4, -1},
			boxMax = {1, 2.6, 1},
			sprayAngle = {80,100},
			velocity = {200, 16000},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2, 8},
			colorAnimation = true,
			color0 = {1, 1, 1},
			color1 = {0.8, 1, 1},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 6,
			size = {0.010, 0.60},
			gravity = {0,-100,0},
			airResistance = 4000,
			rotationSpeed = 0.2,
			blendMode = "Translucent",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},
	}
}

defineParticleSystem{
	name = "obelisk_shatter_screen",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 500,
			sprayAngle = {0,360},
			velocity = {0,0.3},
			boxMin = {-1.1,-0.9,1},
			boxMax = {1.1,0.9,1},
			objectSpace = true,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {0.1, 2},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 2,
			size = {0.05, 1},
			gravity = {0,0,0},
			airResistance = 0.5,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "obelisk_shatter_screen_xp",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 500,
			sprayAngle = {0,360},
			velocity = {0,0.3},
			boxMin = {-1.1,-0.9,1},
			boxMax = {1.1,0.9,1},
			objectSpace = true,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {0.1, 2},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 2,
			size = {0.05, 1},
			gravity = {0,0,0},
			airResistance = 0.5,
			rotationSpeed = 0.2,
			blendMode = "Additive",
		},
		{
			objectSpace = true,
			spawnBurst = true,
			maxParticles = 1,
			boxMin = {0,0,20},
			boxMax = {0,0,20},
			sprayAngle = {0,0},
			velocity = {0,0},
			texture = "mod_assets/textures/particles/xp200.tga",
			lifetime = {1.9,1.9},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.9,
			fadeOut = 0.9,
			size = {4, 4},
			gravity = {0,0,-44},
			airResistance = 4,
			rotationSpeed = 8,
			blendMode = "Translucent",
			depthBias = -2,
		},
	}
}

