defineParticleSystem{
	name = "shock_light_a",
	emitters = {
		{ -- lightning
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, -2, 0},
			boxMax = {0, 1, 0},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.3},
			color0 = {1.5, 1.5, 1.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.5, 3},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		-- lamp fog
		{
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.1, 0.1, -0.1},
			boxMax = {0.1, 0.1, 0.1},
			sprayAngle = {0,360},
			velocity = {1, 4},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1, 1.5},
			color0 = {0.3, 0.3, 1.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.9,
			size = {0.1, 0.2},
			gravity = {0,0,0},
			airResistance = 16,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		-- earthquake rocks
		{
			emissionRate = 100,
			emissionTime = 2,
			maxParticles = 200,
			boxMin = {-9.0, 0.1,-9.0},
			boxMax = { 9.0, 0.1, 9.0},
			sprayAngle = {150,180},
			velocity = {1,3},
			texture = "assets/textures/particles/rock_shard.tga",
			frameRate = 20,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2,2},
			color0 = {0.25, 0.25, 0.5},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.02, 0.08},
			gravity = {0,-12,0},
			airResistance = 1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},

		-- earthquake rocks burst
		{
			spawnBurst = true,
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 50,
			boxMin = {-9.0, 0.1,-9.0},
			boxMax = { 9.0, 0.1, 9.0},
			sprayAngle = {150,180},
			velocity = {1,3},
			texture = "assets/textures/particles/rock_shard.tga",
			frameRate = 20,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2,2},
			color0 = {0.25, 0.25, 0.5},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.02, 0.08},
			gravity = {0,-12,0},
			airResistance = 1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},

		-- dust
		{
			emissionRate = 50,
			emissionTime = 2,
			maxParticles = 100,
			boxMin = {-9.0, 0.1,-9.0},
			boxMax = { 9.0, 0.1, 9.0},
			sprayAngle = {150,180},
			velocity = {0.1,1},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2,3.5},
			color0 = {0.1, 0.08, 0.20},
			opacity = 0.2,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.8, 2.0},
			gravity = {0,0,0},
			airResistance = 0.4,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
		},

		{
			emissionRate = 50,
			emissionTime = 2,
			maxParticles = 100,
			boxMin = {-9.0, 0.3,-9.0},
			boxMax = { 9.0, 0.3, 9.0},
			sprayAngle = {175,180},
			velocity = {0.1,1},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1.5,2},
			color0 = {0.15, 0.12, 0.3},
			opacity = 0.6,
			fadeIn = 0.3,
			fadeOut = 1,
			size = {0.1, 0.2},
			gravity = {0,-0.75,0},
			airResistance = 1.1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
		}
	}
}

defineParticleSystem{
	name = "shock_light_b",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 0, 0},
			boxMax = {9, 0, 0},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.3},
			color0 = {1.5, 1.5, 1.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.5, 3},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.1, 0.1, -0.1},
			boxMax = {0.1, 0.1, 0.1},
			sprayAngle = {0,360},
			velocity = {1, 4},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1, 1.5},
			color0 = {0.3, 0.3, 1.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.9,
			size = {0.1, 0.2},
			gravity = {0,0,0},
			airResistance = 16,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}

defineParticleSystem{
	name = "shock_light_c",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-9, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.3},
			color0 = {1.5, 1.5, 1.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.5, 3},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.1, 0.1, -0.1},
			boxMax = {0.1, 0.1, 0.1},
			sprayAngle = {0,360},
			velocity = {1, 4},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1, 1.5},
			color0 = {0.3, 0.3, 1.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.9,
			size = {0.1, 0.2},
			gravity = {0,0,0},
			airResistance = 16,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}

defineParticleSystem{
	name = "shock_light_d",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 0, -9},
			boxMax = {0, 0, 0},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.3},
			color0 = {1.5, 1.5, 1.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.5, 3},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.1, 0.1, -0.1},
			boxMax = {0.1, 0.1, 0.1},
			sprayAngle = {0,360},
			velocity = {1, 4},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1, 1.5},
			color0 = {0.3, 0.3, 1.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.9,
			size = {0.1, 0.2},
			gravity = {0,0,0},
			airResistance = 16,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}

defineParticleSystem{
	name = "shock_light_e",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 9},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.3},
			color0 = {1.5, 1.5, 1.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.5, 3},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.1, 0.1, -0.1},
			boxMax = {0.1, 0.1, 0.1},
			sprayAngle = {0,360},
			velocity = {1, 4},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1, 1.5},
			color0 = {0.3, 0.3, 1.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.9,
			size = {0.1, 0.2},
			gravity = {0,0,0},
			airResistance = 16,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}



defineParticleSystem{
	name = "blue_orb_explode",
	emitters = {
		{ -- shards
			spawnBurst = true,
			emissionRate = 1000,
			emissionTime = 0,
			maxParticles = 1000,
			boxMin = {-0.1, 1, -0.1},
			boxMax = {0.1, 1, 0.1},
			sprayAngle = {0,90},
			velocity = {2, 16},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {5, 8},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.010, 0.035},
			gravity = {0,-8,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Translucent",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},

		-- sparks
		{
			emissionRate = 500,
			emissionTime = 0.3,
			maxParticles = 500,
			boxMin = {-6, -1, -6},
			boxMax = {6,  2,  6},
			sprayAngle = {0,360},
			velocity = {0,0},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.2, 2.5},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
		{
			spawnBurst = true,
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 50,
			boxMin = {-0.2, -0.2, -0.2},
			boxMax = {0.2,  0.2, 0.2},
			sprayAngle = {0,360},
			velocity = {0,0},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.5, 1.5},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Additive",
		},

		-- earthquake rocks
		{
			emissionRate = 500,
			emissionTime = 2,
			maxParticles = 1000,
			boxMin = {-9.0, 2.1,-9.0},
			boxMax = { 9.0, 2.1, 9.0},
			sprayAngle = {150,180},
			velocity = {1,3},
			texture = "assets/textures/particles/rock_shard.tga",
			frameRate = 20,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2,2},
			color0 = {0.25, 0.25, 0.5},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.02, 0.08},
			gravity = {0,-12,0},
			airResistance = 1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},

		-- earthquake rocks burst
		{
			spawnBurst = true,
			emissionRate = 250,
			emissionTime = 0,
			maxParticles = 250,
			boxMin = {-9.0, 2.1,-9.0},
			boxMax = { 9.0, 2.1, 9.0},
			sprayAngle = {150,180},
			velocity = {1,3},
			texture = "assets/textures/particles/rock_shard.tga",
			frameRate = 20,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2,2},
			color0 = {0.25, 0.25, 0.5},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.02, 0.08},
			gravity = {0,-12,0},
			airResistance = 1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},

		-- dust
		{
			emissionRate = 250,
			emissionTime = 2,
			maxParticles = 500,
			boxMin = {-9.0, 2.1,-9.0},
			boxMax = { 9.0, 2.1, 9.0},
			sprayAngle = {150,180},
			velocity = {0.1,1},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2,3.5},
			color0 = {0.1, 0.08, 0.20},
			opacity = 0.2,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.8, 2.0},
			gravity = {0,0,0},
			airResistance = 0.4,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
		},

		{
			emissionRate = 250,
			emissionTime = 2,
			maxParticles = 500,
			boxMin = {-9.0, 2.3,-9.0},
			boxMax = { 9.0, 2.3, 9.0},
			sprayAngle = {175,180},
			velocity = {0.1,1},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1.5,2},
			color0 = {0.15, 0.12, 0.3},
			opacity = 0.6,
			fadeIn = 0.3,
			fadeOut = 1,
			size = {0.1, 0.2},
			gravity = {0,-0.75,0},
			airResistance = 1.1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
		}
	},
}

