defineParticleSystem{
	name = "slimeburst",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 500,
			sprayAngle = {0,180},
			boxMin = {-0.5,-0.5,-0.5},
			boxMax = {0.5,0.5,0.5},
			velocity = {1,5},
			objectSpace = false,
			texture = "assets/textures/particles/slime.tga",
			frameRate = 40,
			frameSize = 32,
			frameCount = 40,
			lifetime = {0.7,1.5},
			colorAnimation = true,
			color0 = {4, 4, 4},
			color1 = {2, 2, 2},
			color2 = {1, 1, 1},
			color3 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.05, 0.2},
			gravity = {0,-10,0},
			airResistance = 0.1,
			rotationSpeed = 2,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},
	}
}

defineParticleSystem{
	name = "flamespit",
	emitters = {
		{
			objectSpace = true,
			emissionRate = 10,
			emissionTime = 0,
			maxParticles = 1000,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {0.1,0.2},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {1.5, 3},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.2, 0.4},
			gravity = {0,-2,0},
			airResistance = 1,
			rotationSpeed = 1,
			clampToGroundPlane = true,
			blendMode = "Additive",
		}
	}
}
defineParticleSystem{
	name = "flamespit_hit",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 10,
			boxMin = {0,-1.4,0},
			boxMax = {0,-1.4,0},
			sprayAngle = {0,180},
			velocity = {1,4},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {1, 3},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.05, 0.1},
			gravity = {0,-6,0},
			airResistance = 1,
			rotationSpeed = 1,
			clampToGroundPlane = true,
			blendMode = "Additive",
		}
	}
}
defineParticleSystem{
	name = "thunderspit",
	emitters = {
		{
			objectSpace = true,
			emissionRate = 10,
			emissionTime = 0,
			maxParticles = 1000,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {0.1,0.2},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {1.5, 3},
			color0 = {2.5, 2.5, 2.5},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.2, 0.4},
			gravity = {0,-2,0},
			airResistance = 1,
			rotationSpeed = 1,
			clampToGroundPlane = true,
			blendMode = "Additive",
		}
	}
}
defineParticleSystem{
	name = "thunderspit_hit",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 1,
			boxMin = {0,-1.4,0},
			boxMax = {0,0,0},
			sprayAngle = {0,90},
			velocity = {1200,1200},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2, 0.4},
			color0 = {2.5, 2.5, 2.5},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.2,
			size = {0.2, 0.4},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		}
	}
}
defineParticleSystem{
	name = "thunderstone",
	emitters = {
		{
			emissionRate = 20,
			emissionTime = 0,
			maxParticles = 1000,
			boxMin = {-0.2,-0.2,-0.2},
			boxMax = {0.2,0.2,0.2},
			sprayAngle = {0,180},
			velocity = {0,0},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2, 0.4},
			color0 = {2.5, 2.5, 2.5},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.2, 0.4},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 1,
			clampToGroundPlane = true,
			blendMode = "Additive",
		}
	}
}

defineParticleSystem{
	name = "flamedance",
	emitters = {
		{
			objectSpace = true,
			emissionRate = 500,
			emissionTime = 0.125,
			maxParticles = 1000,
			boxMin = {-1,0,-1},
			boxMax = {1,0,1},
			sprayAngle = {90,90},
			velocity = {3200,6400},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {0.5, 1},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.5,
			size = {0.2, 0.4},
			gravity = {0,400,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		}
	}
}

defineParticleSystem{
	name = "firebeam_tile_x",
	emitters = {
		{
			-- the "beam flash"
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-1.5, 0, 0},
			boxMax = {1.5, 0, 0},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/particle.tga",
			lifetime = {0.5, 1},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.35, 0.015},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{
			-- sparks; create the ground flicker effect
			spawnBurst = true,
			emissionRate = 500,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {-1.5, -0.3, -0.3},
			boxMax = {1.5, 0.3, 0.3},
			sprayAngle = {0,360},
			velocity = {1, 5},
			texture = "mod_assets/textures/particles/spark.tga",
			lifetime = {1, 3},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.01, 0.05},
			gravity = {0,-10,0},
			airResistance = 3,
			rotationSpeed = 60,
			blendMode = "Additive",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},

		{	-- flame clouds
			spawnBurst = false,
			emissionRate = 1000,
			emissionTime = 0.5,
			maxParticles = 500,
			boxMin = {-1.5, -0.3, -0.3},
			boxMax = {1.5, 0.3, 0.3},
			sprayAngle = {0,360},
			velocity = {0.1, 0.3},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {1, 2.5},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.15,
			fadeOut = 1,
			size = {0.020, 0.20},
			gravity = {0,0.2,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{	-- floaty sparks; negative air resistance gives the illusion of flitting
			spawnBurst = false,
			emissionRate = 500,
			emissionTime = 0.5,
			maxParticles = 250,
			boxMin = {-1.5, -0.3, -0.3},
			boxMax = {1.5, 0.3, 0.3},
			sprayAngle = {0,360},
			velocity = {0.1, 0.5},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {3, 4},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 2,
			size = {0.005, 0.020},
			gravity = {0,0,0},
			airResistance = -0.5,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{	-- smoke
			emissionRate = 30,
			emissionTime = 1,
			maxParticles = 100,
			boxMin = {-1.5, -0.3, -0.3},
			boxMax = {1.5, 0.3, 0.3},
			sprayAngle = {0,360},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {1,2.5},
			color0 = {0.25, 0.25, 0.25},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.9,
			size = {0.1, 0.2},
			gravity = {0,0.2,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "firebeam_tile_y", -- or should it be z??
	emitters = {
		{
			-- the "beam flash"
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 0, -1.5},
			boxMax = {0, 0, 1.5},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/particle.tga",
			lifetime = {0.5, 1},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.35, 0.015},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{
			-- sparks; create the ground flicker effect
			spawnBurst = true,
			emissionRate = 500,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {-0.3, -0.3, -1.5},
			boxMax = {0.3, 0.3, 1.5},
			sprayAngle = {0,360},
			velocity = {1, 5},
			texture = "mod_assets/textures/particles/spark.tga",
			lifetime = {1, 3},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.01, 0.05},
			gravity = {0,-10,0},
			airResistance = 3,
			rotationSpeed = 60,
			blendMode = "Additive",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},

		{	-- flame clouds
			spawnBurst = false,
			emissionRate = 1000,
			emissionTime = 0.5,
			maxParticles = 500,
			boxMin = {-0.3, -0.3, -1.5},
			boxMax = {0.3, 0.3, 1.5},
			sprayAngle = {0,360},
			velocity = {0.1, 0.3},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {1, 2.5},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.15,
			fadeOut = 1,
			size = {0.020, 0.20},
			gravity = {0,0.2,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{	-- floaty sparks; negative air resistance gives the illusion of flitting
			spawnBurst = false,
			emissionRate = 500,
			emissionTime = 0.5,
			maxParticles = 250,
			boxMin = {-0.3, -0.3, -1.5},
			boxMax = {0.3, 0.3, 1.5},
			sprayAngle = {0,360},
			velocity = {0.1, 0.5},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {3, 4},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 2,
			size = {0.005, 0.020},
			gravity = {0,0,0},
			airResistance = -0.5,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{	-- smoke
			emissionRate = 30,
			emissionTime = 1,
			maxParticles = 100,
			boxMin = {-0.3, -0.3, -1.5},
			boxMax = {0.3, 0.3, 1.5},
			sprayAngle = {0,360},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {1,2.5},
			color0 = {0.25, 0.25, 0.25},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.9,
			size = {0.1, 0.2},
			gravity = {0,0.2,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "dragonbeam_tile_y", -- or should it be z??
	emitters = {
		{
			-- the "beam flash"
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 0.6, -1.5},
			boxMax = {0, 0.6, 1.5},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/particle.tga",
			lifetime = {0.5, 1},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.35, 0.015},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{
			-- sparks; create the ground flicker effect
			spawnBurst = true,
			emissionRate = 500,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {-0.3, 0.30, -1.5},
			boxMax = {0.3, 0.90, 1.5},
			sprayAngle = {0,360},
			velocity = {1, 5},
			texture = "mod_assets/textures/particles/spark.tga",
			lifetime = {1, 3},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.01, 0.05},
			gravity = {0,-10,0},
			airResistance = 3,
			rotationSpeed = 60,
			blendMode = "Additive",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},

		{	-- flame clouds
			spawnBurst = false,
			emissionRate = 1000,
			emissionTime = 0.5,
			maxParticles = 500,
			boxMin = {-0.3, 0.30, -1.5},
			boxMax = {0.3, 0.90, 1.5},
			sprayAngle = {0,360},
			velocity = {0.1, 0.3},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {1, 2.5},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.15,
			fadeOut = 1,
			size = {0.020, 0.20},
			gravity = {0,0.2,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{	-- floaty sparks; negative air resistance gives the illusion of flitting
			spawnBurst = false,
			emissionRate = 500,
			emissionTime = 0.5,
			maxParticles = 250,
			boxMin = {-0.3, 0.30, -1.5},
			boxMax = {0.3, 0.90, 1.5},
			sprayAngle = {0,360},
			velocity = {0.1, 0.5},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {3, 4},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 2,
			size = {0.005, 0.020},
			gravity = {0,0,0},
			airResistance = -0.5,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{	-- smoke
			emissionRate = 30,
			emissionTime = 1,
			maxParticles = 100,
			boxMin = {-0.3, 0.30, -1.5},
			boxMax = {0.3, 0.90, 1.5},
			sprayAngle = {0,360},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {1,2.5},
			color0 = {0.25, 0.25, 0.25},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.9,
			size = {0.1, 0.2},
			gravity = {0,0.2,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "dragonbeam_mouth",
	emitters = {
		{
			-- the "beam flash"
			spawnBurst = true,
			emissionRate = 33,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 0.6, 0.5},
			boxMax = {0, 0.6, 1.5},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/particle.tga",
			lifetime = {0.5, 1},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.35, 0.015},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{
			-- sparks; create the ground flicker effect
			spawnBurst = true,
			emissionRate = 167,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {-0.3, 0.30, 0.5},
			boxMax = {0.3, 0.90, 1.5},
			sprayAngle = {0,360},
			velocity = {1, 5},
			texture = "mod_assets/textures/particles/spark.tga",
			lifetime = {1, 3},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.01, 0.05},
			gravity = {0,-10,0},
			airResistance = 3,
			rotationSpeed = 60,
			blendMode = "Additive",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},

		{	-- flame clouds
			spawnBurst = false,
			emissionRate = 333,
			emissionTime = 0.5,
			maxParticles = 500,
			boxMin = {-0.3, 0.30, 0.5},
			boxMax = {0.3, 0.90, 1.5},
			sprayAngle = {0,360},
			velocity = {0.1, 0.3},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {1, 2.5},
			colorAnimation = true,
			color0 = {2, 2, 2},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.15,
			fadeOut = 1,
			size = {0.020, 0.20},
			gravity = {0,0.2,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{	-- floaty sparks; negative air resistance gives the illusion of flitting
			spawnBurst = false,
			emissionRate = 167,
			emissionTime = 0.5,
			maxParticles = 250,
			boxMin = {-0.3, 0.30,0.5},
			boxMax = {0.3, 0.90, 1.5},
			sprayAngle = {0,360},
			velocity = {0.1, 0.5},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {3, 4},
			colorAnimation = true,
			color0 = {1, 1, 0.1},
			color1 = {1, 0.5, 0.1},
			color2 = {1, 0.3, 0.1},
			color3 = {1.0, 0.2, 0.1},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 2,
			size = {0.005, 0.020},
			gravity = {0,0,0},
			airResistance = -0.5,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{	-- smoke
			emissionRate = 10,
			emissionTime = 1,
			maxParticles = 100,
			boxMin = {-0.3, 0.30, 0.5},
			boxMax = {0.3, 0.90, 1.5},
			sprayAngle = {0,360},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {1,2.5},
			color0 = {0.25, 0.25, 0.25},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.9,
			size = {0.1, 0.2},
			gravity = {0,0.2,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	}
}


defineParticleSystem{
	name = "flashfire",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 1000,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,360},
			velocity = {0, 1200},
			texture = "assets/textures/particles/torch_flame.tga",
			frameRate = 35,
			frameSize = 64,
			frameCount = 16,
			lifetime = {1, 2.5},
			colorAnimation = true,
			color0 = {5, 5, 5},
			color1 = {3.0, 3.0, 3.0},
			color2 = {3.0, 1.5, 0.75},
			color3 = {3.0, 0.9, 0.3},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.020, 0.20},
			gravity = {0,200,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}

defineParticleSystem{
	name = "stoneskin_on",
	emitters = {
		{
			objectSpace = true,
			emissionRate = 40,
			emissionTime = 1,
			maxParticles = 100,
			boxMin = {-1,-1,1.5},
			boxMax = {1,1,1.5},
			sprayAngle = {0,180},
			velocity = {0.1,0.3},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1,2},
			color0 = {0.4, 0.4, 0.4},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 1,
			size = {0.1, 0.6},
			gravity = {0,-0.1,0},
			airResistance = 0.01,
			rotationSpeed = 0.4,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "stoneskin_off",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 250,
			boxMin = {-1,-1,-1},
			boxMax = {1,1,1},
			sprayAngle = {0,90},
			velocity = {0.5,2},
			objectSpace = false,
			texture = "assets/textures/particles/rock_shard.tga",
			frameRate = 20,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2,3},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.2,
			size = {0.02, 0.06},
			gravity = {0,-8,0},
			airResistance = 2,
			rotationSpeed = 1,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},
		{
			spawnBurst = true,
			maxParticles = 100,
			boxMin = {-1,-1,-1},
			boxMax = {1,1,1},
			sprayAngle = {0,180},
			velocity = {0.1,0.3},
			objectSpace = false,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1,2},
			color0 = {0.4, 0.4, 0.4},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 1,
			size = {0.1, 0.6},
			gravity = {0,-0.1,0},
			airResistance = 0.01,
			rotationSpeed = 0.4,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "stoneshatter",
	emitters = {
		{
			objectSpace = true,
			spawnBurst = true,
			maxParticles = 1,
			boxMin = {0,0,2},
			boxMax = {0,0,2},
			sprayAngle = {0,0},
			velocity = {0.1,0.3},
			texture = "mod_assets/textures/particles/ring.tga",
			lifetime = {0.3,0.3},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.001,
			size = {1, 1},
			gravity = {0,0,-2000},
			airResistance = 200,
			rotationSpeed = 0,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "stoneshatter_tile",
	emitters = {
		-- earthquake rocks
		{
			emissionRate = 20,
			emissionTime = 2,
			maxParticles = 200,
			boxMin = {-1.5, 3.1,-1.5},
			boxMax = { 1.5, 3.1, 1.5},
			sprayAngle = {150,180},
			velocity = {1,3},
			texture = "assets/textures/particles/rock_shard.tga",
			frameRate = 20,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2,2},
			color0 = {0.25, 0.25, 0.5},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.02, 0.08},
			gravity = {0,-12,0},
			airResistance = 1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},

		-- earthquake rocks burst
		{
			spawnBurst = true,
			emissionRate = 10,
			emissionTime = 0,
			maxParticles = 10,
			boxMin = {-1.5, 3.1,-1.5},
			boxMax = { 1.5, 3.1, 1.5},
			sprayAngle = {150,180},
			velocity = {1,3},
			texture = "assets/textures/particles/rock_shard.tga",
			frameRate = 20,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2,2},
			color0 = {0.25, 0.25, 0.5},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.02, 0.08},
			gravity = {0,-12,0},
			airResistance = 1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},

		-- dust
		{
			emissionRate = 10,
			emissionTime = 2,
			maxParticles = 100,
			boxMin = {-1.5, 3.1,-1.5},
			boxMax = { 1.5, 3.1, 1.5},
			sprayAngle = {150,180},
			velocity = {0.1,1},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2,3.5},
			color0 = {0.1, 0.08, 0.20},
			opacity = 0.2,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.8, 2.0},
			gravity = {0,0,0},
			airResistance = 0.4,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
		},

		{
			emissionRate = 10,
			emissionTime = 2,
			maxParticles = 100,
			boxMin = {-1.5, 3.3,-1.5},
			boxMax = { 1.5, 3.3, 1.5},
			sprayAngle = {175,180},
			velocity = {0.1,1},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1.5,2},
			color0 = {0.15, 0.12, 0.3},
			opacity = 0.6,
			fadeIn = 0.3,
			fadeOut = 1,
			size = {0.1, 0.2},
			gravity = {0,-0.75,0},
			airResistance = 1.1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
		},
	}
}
defineParticleSystem{
	name = "stoneshatter_tile_ice",
	emitters = {
		-- earthquake rocks
		{
			emissionRate = 20,
			emissionTime = 2,
			maxParticles = 200,
			boxMin = {-1.5, 3.1,-1.5},
			boxMax = { 1.5, 3.1, 1.5},
			sprayAngle = {150,180},
			velocity = {1,3},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 20,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2,2},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.02, 0.08},
			gravity = {0,-12,0},
			airResistance = 1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},

		-- earthquake rocks burst
		{
			spawnBurst = true,
			emissionRate = 10,
			emissionTime = 0,
			maxParticles = 10,
			boxMin = {-1.5, 3.1,-1.5},
			boxMax = { 1.5, 3.1, 1.5},
			sprayAngle = {150,180},
			velocity = {1,3},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 20,
			frameSize = 64,
			frameCount = 32,
			lifetime = {2,2},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0,
			fadeOut = 0.5,
			size = {0.02, 0.08},
			gravity = {0,-12,0},
			airResistance = 1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		},

		-- dust
		{
			emissionRate = 10,
			emissionTime = 2,
			maxParticles = 100,
			boxMin = {-1.5, 3.1,-1.5},
			boxMax = { 1.5, 3.1, 1.5},
			sprayAngle = {150,180},
			velocity = {0.1,1},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {2,3.5},
			color0 = {1.6, 1.8, 2},
			opacity = 0.4,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.8, 2.0},
			gravity = {0,0,0},
			airResistance = 0.4,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
		},

		{
			emissionRate = 10,
			emissionTime = 2,
			maxParticles = 100,
			boxMin = {-1.5, 3.3,-1.5},
			boxMax = { 1.5, 3.3, 1.5},
			sprayAngle = {175,180},
			velocity = {0.1,1},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1.5,2},
			color0 = {1.6, 1.8, 2},
			opacity = 1,
			fadeIn = 0.3,
			fadeOut = 1,
			size = {0.1, 0.2},
			gravity = {0,-0.75,0},
			airResistance = 1.1,
			rotationSpeed = 0.3,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "ice_dart",
	emitters = {
		{
			objectSpace = true,
			emissionRate = 5,
			emissionTime = 0,
			maxParticles = 1000,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,360},
			velocity = {0, 0.1},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {0.2, 0.4},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.2,
			size = {0.04, 0.08},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Translucent",
			--depthBias = -0.002,
		},
		{
			emissionRate = 50,
			emissionTime = 0,
			maxParticles = 1000,
			boxMin = {0, 0, 0},
			boxMax = {0, 0, 0},
			sprayAngle = {0,360},
			velocity = {0.2, 2},
			texture = "assets/textures/particles/glitter_silver.tga",
			lifetime = {0.05, 0.1},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.05,
			size = {0.08, 0.16},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}

defineParticleSystem{
	name = "gelid_barrier_activate",
	emitters = {
		{
			spawnBurst = true,
			emissionRate = 1,
			emissionTime = 0,
			maxParticles = 1,
			boxMin = {0,0,1},
			boxMax = {0,0,1},
			sprayAngle = {0,30},
			velocity = {0,0},
			texture = "assets/textures/particles/damage_screen.tga",
			lifetime = {1.6, 1.6},
			colorAnimation = false,
			color0 = {0.5, 0.7, 0.7},
			opacity = 0.45,
			fadeIn = 0.001,
			fadeOut = 0.001,
			size = {2.3, 2.3},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Translucent",
			objectSpace = true,
		}
	}
}

defineParticleSystem{
	name = "gelid_barrier_expire",
	emitters = {
		{
			spawnBurst = true,	
			maxParticles = 250,
			boxMin = {-1.5,-1.5,1},
			boxMax = {1.5,1.5,1},
			sprayAngle = {0,360},
			velocity = {2,6},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {1, 2},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 1,
			size = {0.020, 0.035},
			gravity = {0,-8,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Translucent",
			clampToGroundPlane = true,
		}
	}
}

defineParticleSystem{
	name = "glacial_cold",
	emitters = {
		{
			-- condensation
			emissionRate = 50,
			emissionTime = 15,
			maxParticles = 1000,
			boxMin = {-1.2, -1.5, -1.2},
			boxMax = {1.2, 1.5, 1.2},
			sprayAngle = {0,360},
			velocity = {0, 0.1},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {4, 6},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.010, 0.035},
			gravity = {0,-0.2,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Translucent",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},
		{
			emissionRate = 50,
			emissionTime = 15,
			maxParticles = 1000,
			boxMin = {-1.2, -1.5, -1.2},
			boxMax = {1.2, 1.5, 1.2},
			sprayAngle = {0,360},
			velocity = {0, 0.1},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {2, 3},
			color0 = {0.6, 0.8, 1},
			opacity = 1,
			fadeIn = 1,
			fadeOut = 1,
			size = {0.01, 0.05},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},
	}
}

GLACIAL_CONE_STEPS = 8 -- number of rings in the cone
GLACIAL_CONE_DENSITY = 100 -- number of particles at the bottom
GLACIAL_CONE_BASE = -1.25 -- y position of lowest ring
GLACIAL_CONE_HEIGHT = 2.75 -- height of cone
GLACIAL_CONE_VELOCITY = 10 -- velocity of particles in lowest ring
GLACIAL_CONE_AIR_RES = 5 -- obvious
GLACIAL_CONE_BASE_ROT = 1 -- rotation speed of lowest ring

glacialConeEmitters = {}
for i = 1, GLACIAL_CONE_STEPS do
	local m = i/GLACIAL_CONE_STEPS
	local mz = (i-1)/GLACIAL_CONE_STEPS
	glacialConeEmitters[i] = {
		spawnBurst = true,
		maxParticles = GLACIAL_CONE_DENSITY*m,
		boxMin = {0, (GLACIAL_CONE_BASE+GLACIAL_CONE_HEIGHT)-m*GLACIAL_CONE_HEIGHT, 0},
		boxMax = {0, (GLACIAL_CONE_BASE+GLACIAL_CONE_HEIGHT)-m*GLACIAL_CONE_HEIGHT, 0},
		sprayAngle = {90,90},
		velocity = {GLACIAL_CONE_VELOCITY*mz, GLACIAL_CONE_VELOCITY*mz},
		texture = "assets/textures/particles/fog.tga",
		lifetime = {1, 2},
		color0 = {0.8, 1, 1},
		opacity = 1,
		fadeIn = 0.001,
		fadeOut = 1,
		size = {0.2, 0.2},
		gravity = {0,0,0},
		airResistance = GLACIAL_CONE_AIR_RES,
		rotationSpeed = GLACIAL_CONE_BASE_ROT/m, -- we want higher rings rotating *faster*
		blendMode = "Additive",
	}
	glacialConeEmitters[i+GLACIAL_CONE_STEPS] = {
		spawnBurst = true,
		maxParticles = GLACIAL_CONE_DENSITY*m,
		boxMin = {0, (GLACIAL_CONE_BASE+GLACIAL_CONE_HEIGHT)-m*GLACIAL_CONE_HEIGHT, 0},
		boxMax = {0, (GLACIAL_CONE_BASE+GLACIAL_CONE_HEIGHT)-m*GLACIAL_CONE_HEIGHT, 0},
		sprayAngle = {30,90},
		velocity = {0, GLACIAL_CONE_VELOCITY*mz},
		texture = "assets/textures/particles/ice_shard.tga",
		frameRate = 30,
		frameSize = 64,
		frameCount = 32,
		lifetime = {4, 6},
		color0 = {1, 1, 1},
		opacity = 1,
		fadeIn = 0.001,
		fadeOut = 3,
		size = {0.010, 0.05},
		gravity = {0,-4,0},
		airResistance = GLACIAL_CONE_AIR_RES,
		rotationSpeed = 1,
		blendMode = "Additive",
		clampToGroundPlane = true,
	}
end

defineParticleSystem{
	name = "glacial_power",
	emitters = glacialConeEmitters, 
}

defineParticleSystem{
	name = "shocksheet_segment_x",
		emitters = {
		{	
			emissionRate = 200,
			emissionTime = 0.5,
			maxParticles = 200,
			sprayAngle = {0,180},
			velocity = {0.1,0.2},
			boxMin = {-1.5,0.1,-0.1},
			boxMax = {1.5,0.1,0.1},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1,0.2},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.05,
			fadeOut = 0.1,
			size = {0.3, 0.6},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "shocksheet_segment_y",
		emitters = {
		{	
			emissionRate = 200,
			emissionTime = 0.5,
			maxParticles = 200,
			sprayAngle = {0,180},
			velocity = {0.1,0.2},
			boxMin = {-0.1,0.1,-1.5},
			boxMax = {0.1,0.1,1.5},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1,0.2},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.05,
			fadeOut = 0.1,
			size = {0.3, 0.6},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "sparksphere_buildup",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 256,
			sprayAngle = {0,180},
			boxMin = {0,1,0},
			boxMax = {0,1,0},
			velocity = {0.01,0.01},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 15,
			frameSize = 256,
			frameCount = 4,
			lifetime = {3,3},
			color0 = {1,1,1},
			opacity = 1,
			fadeIn = 3,
			fadeOut = 0.001,
			size = {0.1, 0.3},
			gravity = {0,0,0},
			airResistance = -1.72,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	},
}
defineParticleSystem{
	name = "sparksphere",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 800,
			sprayAngle = {0,180},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			velocity = {1200,1200},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.3, 1},
			gravity = {0,0,0},
			airResistance = 1200,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "coldbeam_tile_x",
	emitters = {
		{
			-- the "beam flash"
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-1.5, 0, 0},
			boxMax = {1.5, 0, 0},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/particle.tga",
			lifetime = {0.5, 1},
			colorAnimation = true,
			color0 = {1, 1, 1},
			color1 = {0.8, 0.9, 1},
			color2 = {0.6, 0.8, 1},
			color3 = {0.3, 0.7, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.35, 0.015},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{
			-- condensation
			emissionRate = 100,
			emissionTime = 1,
			maxParticles = 1000,
			boxMin = {-1.5, -1, -1},
			boxMax = {1.5, 1, 1},
			sprayAngle = {0,360},
			velocity = {0, 0.1},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {1, 6},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.010, 0.035},
			gravity = {0,-0.2,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Translucent",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},

		{
			-- smoke
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-1.5, 0, 0},
			boxMax = {1.5, 0, 0},
			sprayAngle = {0,360},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {0.8,2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.4,
			size = {0.2, 0.7},
			gravity = {0,-0.1,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
		},

		{
			-- sparse smoke
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-1.5, -0.8, -0.8},
			boxMax = {1.5, 0.8, 0.8},
			sprayAngle = {0,360},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {0.8,2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.4,
			fadeOut = 0.4,
			size = {0.07, 0.2},
			gravity = {0,0,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "coldbeam_tile_y",
	emitters = {
		{
			-- the "beam flash"
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 0, -1.5},
			boxMax = {0, 0, 1.5},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/particle.tga",
			lifetime = {0.5, 1},
			colorAnimation = true,
			color0 = {1, 1, 1},
			color1 = {0.8, 0.9, 1},
			color2 = {0.6, 0.8, 1},
			color3 = {0.3, 0.7, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {0.35, 0.015},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},

		{
			-- condensation
			emissionRate = 100,
			emissionTime = 1,
			maxParticles = 1000,
			boxMin = {-1, -1, -1.5},
			boxMax = {1, 1, 1.5},
			sprayAngle = {0,360},
			velocity = {0, 0.1},
			texture = "assets/textures/particles/ice_shard.tga",
			frameRate = 30,
			frameSize = 64,
			frameCount = 32,
			lifetime = {1, 6},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.010, 0.035},
			gravity = {0,-0.2,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Translucent",
			--depthBias = -0.002,
			clampToGroundPlane = true,
		},

		{
			-- smoke
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, 0, -1.5},
			boxMax = {0, 0, 1.5},
			sprayAngle = {0,360},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {0.8,2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.4,
			size = {0.2, 0.7},
			gravity = {0,-0.1,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
		},

		{
			-- sparse smoke
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-0.8, -0.8, -1.5},
			boxMax = {0.8, 0.8, 1.5},
			sprayAngle = {0,360},
			velocity = {0.05,0.15},
			texture = "assets/textures/particles/fog.tga",
			lifetime = {0.8,2},
			color0 = {0.8, 0.9, 1},
			opacity = 1,
			fadeIn = 0.4,
			fadeOut = 0.4,
			size = {0.07, 0.2},
			gravity = {0,0,0},
			airResistance = 0.2,
			rotationSpeed = 1,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "thunderbeam_tile_x",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 50,
			boxMin = {-1.5, 1, -1},
			boxMax = {1.5, -1, 1},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.3, 0.6},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}
defineParticleSystem{
	name = "thunderbeam_tile_y",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 50,
			boxMin = {-1, 1, -1.5},
			boxMax = {1, -1, 1.5},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.3, 0.6},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}

defineParticleSystem{
	name = "thundershatter_tile",
	emitters = {
		{ -- lightning
			spawnBurst = true,
			emissionRate = 100,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {0, -1, 0},
			boxMax = {0, 2, 0},
			sprayAngle = {0,360},
			velocity = {0.01, 0.02},
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.1, 0.3},
			color0 = {2.5, 2.5, 2.5},
			opacity = 1,
			fadeIn = 0.01,
			fadeOut = 0.1,
			size = {0.5, 3},
			gravity = {0,0,0},
			airResistance = 0.01,
			rotationSpeed = 1,
			blendMode = "Additive",
			--depthBias = -0.002,
		},
	}
}









defineParticleSystem{
	name = "thunderstruck_sacrifice",
	emitters = {
		{
			objectSpace = true,
			spawnBurst = true,
			maxParticles = 1,
			boxMin = {0,0,2},
			boxMax = {0,0,2},
			sprayAngle = {0,0},
			velocity = {0.1,0.3},
			texture = "mod_assets/textures/particles/ring.tga",
			lifetime = {0.3,0.3},
			color0 = {0.6, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.001,
			size = {1, 1},
			gravity = {0,0,-2000},
			airResistance = 200,
			rotationSpeed = 0,
			blendMode = "Translucent",
		},
		{
			emissionRate = 1000,
			emissionTime = 1,
			maxParticles = 1000,
			boxMin = {-6, -1, -6},
			boxMax = {6,  2,  6},
			sprayAngle = {0,360},
			velocity = {0,0},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.2, 2.5},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}
defineParticleSystem{
	name = "thunderstruck_awaken",
	emitters = {
		{
			emissionRate = 1000,
			emissionTime = 1,
			maxParticles = 1000,
			boxMin = {-6, -1, -6},
			boxMax = {6,  2,  6},
			sprayAngle = {0,360},
			velocity = {0,0},
			objectSpace = false,
			texture = "assets/textures/particles/lightning01.tga",
			frameRate = 4,
			frameSize = 256,
			frameCount = 4,
			lifetime = {0.2,0.4},
			color0 = {2.5,2.5,2.5},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.2, 2.5},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 0,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "ghostbolt",
	emitters = {
		{
			objectSpace = true,
			emissionRate = 10,
			maxParticles = 1000,
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			sprayAngle = {0,180},
			velocity = {0.1,0.2},
			texture = "mod_assets/textures/particles/skull.tga",
			lifetime = {1.2, 2},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.2,
			fadeOut = 1,
			size = {0.05, 0.1},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 1,
			blendMode = "Translucent",
		}
	}
}
defineParticleSystem{
	name = "ghostbolt_hit",
		emitters = {
		{	
			spawnBurst = true,
			maxParticles = 100,
			sprayAngle = {0,180},
			velocity = {1,6},
			boxMin = {0,0,0},
			boxMax = {0,0,0},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {0.3, 1},
			color0 = {0.75, 0.75, 0.75},
			opacity = 0.4,
			fadeIn = 0.1,
			fadeOut = 0.4,
			size = {0.1, 0.3},
			gravity = {0,0,0},
			airResistance = 5,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	}
}
defineParticleSystem{
	name = "ghost_poof",
		emitters = {
		{	
			spawnBurst = true,
			maxParticles = 256,
			sprayAngle = {0,180},
			velocity = {1,6},
			boxMin = {-0.7,-0.8,-0.7},
			boxMax = {-0.7,0.8,0.7},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {0.3, 1},
			color0 = {0.75, 0.75, 0.75},
			opacity = 0.4,
			fadeIn = 0.1,
			fadeOut = 0.4,
			size = {0.1, 0.6},
			gravity = {0,0,0},
			airResistance = 5,
			rotationSpeed = 1,
			blendMode = "Translucent",
		},
	}
}
defineParticleSystem{
	name = "skull_screen",
	emitters = {
		{
			objectSpace = true,
			spawnBurst = true,
			maxParticles = 1,
			boxMin = {0,0,2},
			boxMax = {0,0,2},
			sprayAngle = {0,0},
			velocity = {0.1,0.3},
			texture = "mod_assets/textures/particles/skull.tga",
			lifetime = {0.5,0.5},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.001,
			fadeOut = 0.5,
			size = {1, 1},
			gravity = {0,0,-1000},
			airResistance = 200,
			rotationSpeed = 0,
			blendMode = "Translucent",
		},
	}
}
