-- Some standard assets are needed before the Grimrock Scripting Framework initialization.

recursing = false
defineObject{
	name = "party",
	class = "Party",
	editorIcon = 32
}

defineObject{
	name = "temple_door_ornament",
	class = "Door",
	model = "assets/models/env/door_ornament.fbx",
	doorFrameModel = "assets/models/env/temple_door_frame.fbx",
	pullChainModel = "assets/models/env/door_pullchain.fbx",
	pullChainAnim = "assets/animations/env/door_pullchain.fbx",
	openSound = "gate_open",
	closeSound = "gate_close",
	lockSound = "gate_lock",
	killPillars = true,
	openVelocity = 1.3,
	closeVelocity = 0,
	closeAcceleration = -10,
	placement = "wall",
	editorIcon = 124,
}

defineObject{
	name = "pressure_plate_hidden",
	class = "PressurePlate",
	model = "assets/models/env/dungeon_pressure_plate.fbx",
	activateAnim = "assets/animations/env/dungeon_pressure_plate_down.fbx",
	deactivateAnim = "assets/animations/env/dungeon_pressure_plate_up.fbx",	
	hidden = true,
	silent = true,
	placement = "floor",
	editorIcon = 140,
}

defineObject{
	name = "teleporter",
	class = "Teleporter",
	particleSystem = "teleporter",
	placement = "floor",
	editorIcon = 36,
}

defineObject{
	name = "altar",
	class = "Altar",
	model = "assets/models/env/altar.fbx",
	placement = "floor",
	editorIcon = 52,
	onInsertItem = function(self,item)
		for i in fix.newEntitiesAt(self.level,self.x,self.y) do
			if i.name == "iceblock" then return false end
		end
		return true
	end,
}

defineObject{
	name = "receptor",
	class = "Receptor",
	model = "assets/models/env/spell_receptor.fbx",
	placement = "wall",
	editorIcon = 72,
}

defineObject{
	name = "receptor_hidden",
	class = "Receptor",
	model = "assets/models/env/spell_receptor.fbx",
	hidden = true,
	placement = "wall",
	editorIcon = 72,
}

defineObject{
	name = "lock",
	class = "Lock",
	model = "assets/models/env/wall_lock.fbx",
	height = 1.375,
	placement = "wall",
	editorIcon = 20,
}

defineObject{
	name = "healing_crystal",
	class = "Crystal",
	model = "assets/models/env/healing_crystal.fbx",
	animation = "assets/animations/env/healing_crystal_spin.fbx",
	particleSystem = "crystal",
	placement = "floor",
	editorIcon = 60,
}

defineObject{
	name = "timer",
	class = "Timer",
	tags = { "scripting" },
	editorIcon = 64,
}

defineObject{
	name = "counter",
	class = "Counter",
	tags = { "scripting" },
	editorIcon = 68,
}

defineObject{
	name = "spawner",
	class = "Spawner",
	tags = { "scripting" },
	editorIcon = 80,
}

defineObject{
	name = "blocker",
	class = "Blocker",
	tags = { "scripting" },
	editorIcon = 96,
}

defineObject{
	name = "fx",
	class = "FX",
	editorIcon = 100,
}

defineObject{
	name = "secret",
	class = "Secret",
	editorIcon = 76,
}

defineObject{
	name = "map_marker",
	class = "MapMarker",
	editorIcon = 100,
}

defineObject{
	name = "script_entity",
	class = "ScriptEntity",
	tags = { "scripting" },
	editorIcon = 148,
}

defineObject{
	name = "blob",
	class = "Blob",
	tags = { "spell" },
}
