--------------------------------------------------------------------------------
-- Spells
--------------------------------------------------------------------------------

-- actually prismbolt
defineObject{
	name = "fireball",
	class = "ProjectileSpell",
	particleSystem = "prismbolt",
	hitParticleEffect = "prismbolt_hit",
	lightColor = vec(1, 1, 1),
	lightBrightness = 10,
	lightRange = 5,
	lightHitBrightness = 20,
	lightHitRange = 5,
	launchSound = "prismbolt_launch",
	projectileSound = "prismbolt_fly",
	hitSound = "prismbolt_hit",
	screenEffect = "damage_screen",
	projectileSpeed = 12,
	attackPower = 1,
	damageType = "poison",
	--cameraShake = true,
	tags = { "spell" },
}

-- actually ghostbolt
defineObject{
	name = "fireball_greater",
	class = "ProjectileSpell",
	particleSystem = "ghostbolt",
	hitParticleEffect = "ghostbolt_hit",
	lightColor = vec(1, 1, 1),
	lightBrightness = 10,
	lightRange = 1,
	lightHitBrightness = 20,
	lightHitRange = 2,
	launchSound = "silence",
	projectileSound = "ghostbolt_whispers",
	hitSound = "nightbolt_hit",
	screenEffect = "skull_screen",
	projectileSpeed = 3,
	attackPower = 20,
	damageType = "poison",
	--cameraShake = true,
	tags = { "spell" },
}

-- actually bloodbolt
defineObject{
	name = "poison_bolt",
	class = "ProjectileSpell",
	particleSystem = "bloodbolt",
	hitParticleEffect = "bloodbolt_hit",
	lightColor = vec(1, 0, 0),
	lightBrightness = 15,
	lightRange = 7,
	lightHitBrightness = 40,
	lightHitRange = 10,
	launchSound = "poison_bolt_launch",
	projectileSound = "silence",
	hitSound = "bloodbolt_hit",
	screenEffect = "damage_screen",
	projectileSpeed = 7.5,
	attackPower = 20,
	damageType = "physical",
	--cameraShake = true,
	tags = { "spell" },
}

-- actually nightbolt
defineObject{
	name = "lightning_bolt",
	class = "ProjectileSpell",
	particleSystem = "nightbolt",
	hitParticleEffect = "nightbolt_hit",
	lightColor = vec(0, 0, 0),
	lightBrightness = 0,
	lightRange = 0,
	lightHitBrightness = 0,
	lightHitRange = 0,
	castShadow = false,
	launchSound = "nightbolt_launch",
	projectileSound = "silence",
	hitSound = "nightbolt_hit",
	projectileSpeed = 10,
	attackPower = 10, -- small damage, we're more interested in blinding
	damageType = "poison",
	--cameraShake = true,
	tags = { "spell" },
}

-- actually arcanebolt
defineObject{
	name = "arcanebolt",
	class = "ProjectileSpell",
	particleSystem = "arcanebolt",
	hitParticleEffect = "arcanebolt_hit",
	lightColor = vec(1, 0, 1),
	lightBrightness = 15,
	lightRange = 3,
	lightHitBrightness = 40,
	lightHitRange = 5,
	castShadow = false,
	launchSound = "arcane_launch",
	projectileSound = "silence", -- TODO?
	hitSound = "arcane_burst",
	projectileSpeed = 20,
	attackPower = 20,
	damageType = "physical",
	--cameraShake = true,
	tags = { "spell" },
}

-- These wands can be used by anyone
defineSpell{
	name = "light",
	uiName = "Light",
	skill = "spellcraft",
	level = 0,
	runes = nil,
	manaCost = 0,
	onCast = "light",
}
defineSpell{
	name = "darkness",
	uiName = "Darkness",
	skill = "spellcraft",
	level = 0,
	runes = nil,
	manaCost = 0,
	onCast = "darkness",
}

-- "Real" custom spells you cast from wands
-- Note that uiName, skill, level, runes, and manaCost will never be used.
defineSpell{
	name = "flamespit",
	uiName = "Flamespit",
	skill = "fire_magic",
	level = 4,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.flamespit(champion,party.x,party.y,direction,champion:getSkillLevel("fire_magic")) end
}
defineObject{ -- Used by flamespit
	name = "fireburst",
	class = "BurstSpell",
	screenEffect = "fireball_screen",
	particleSystem = "flamespit_hit",
	lightColor = vec(0, 0, 0),
	lightBrightness = 0,
	lightRange = 0,
	sound = "silence",
	attackPower = 20, -- doesn't matter
	damageType = "fire",
	--cameraShake = true,
	tags = { "spell" },
}
defineObject{ -- Used by thunderspit
	name = "shockburst",
	class = "BurstSpell",
	screenEffect = "fireball_screen",
	particleSystem = "thunderspit_hit",
	lightColor = vec(0, 0, 0),
	lightBrightness = 0,
	lightRange = 0,
	sound = "silence",
	attackPower = 20, -- doesn't matter
	damageType = "shock",
	--cameraShake = true,
	tags = { "spell" },
}
defineObject{ -- Used by rockfall
	name = "poison_cloud",
	class = "BurstSpell",
	screenEffect = "damage_screen",
	particleSystem = "rockfall_impact",
	lightColor = vec(0, 0, 0),
	lightBrightness = 0,
	lightRange = 0,
	sound = "impact_blunt",
	attackPower = 20, -- doesn't matter
	damageType = "poison",
	--cameraShake = true,
	tags = { "spell" },
}
defineObject{ -- Would be used for icefall but...
	name = "frostburst",
	class = "BurstSpell",
	screenEffect = "damage_screen",
	particleSystem = "icefall_impact",
	lightColor = vec(0, 0, 0),
	lightBrightness = 0,
	lightRange = 0,
	sound = "impact_blunt",
	attackPower = 30, -- doesn't matter
	damageType = "poison",
	--cameraShake = true,
	tags = { "spell" },
}
defineObject{
	name = "willowhisper_burst",
	class = "BurstSpell",
	particleSystem = "frostburst",
	lightColor = vec(0.25, 0.5, 1),
	lightBrightness = 40,
	lightRange = 4,
	sound = "frostburst",
	attackPower = 20,
	damageType = "cold",
	--cameraShake = true,
	tags = { "spell" },
}
defineObject{
	name = "willowhisper_selfburst",
	class = "BurstSpell",
	particleSystem = "frostburst", -- TODO
	lightColor = vec(0.25, 0.5, 1),
	lightBrightness = 40,
	lightRange = 4,
	sound = "silence",
	attackPower = 1,
	damageType = "physical",
	--cameraShake = true,
	tags = { "spell" },
}


defineSpell{
	name = "flamedance",
	uiName = "Flamedance",
	skill = "fire_magic",
	level = 8,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.flamedance(champion,x,y,direction,champion:getSkillLevel("fire_magic")) end
}

defineSpell{
	name = "firebeam",
	uiName = "Firebeam",
	skill = "fire_magic",
	level = 16,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.firebeam(champion,party.x,party.y,direction,champion:getSkillLevel("fire_magic")) end
}

defineSpell{
	name = "flashfire",
	uiName = "Flashfire",
	skill = "fire_magic",
	level = 32,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.flashfire(champion,party.x,party.y,direction,champion:getSkillLevel("fire_magic")) end
}

defineSpell{
	name = "stonestrike",
	uiName = "Stonestrike",
	skill = "earth_magic",
	level = 4,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.stonestrike(champion,x,y,direction,champion:getSkillLevel("earth_magic")) end
}

defineSpell{
	name = "stoneskin",
	uiName = "Stonestrike",
	skill = "earth_magic",
	level = 8,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.stoneskin(champion,x,y,direction,champion:getSkillLevel("earth_magic")) end
}

defineSpell{
	name = "stonefury",
	uiName = "Stonefury",
	skill = "earth_magic",
	level = 16,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.stonefury(champion,x,y,direction,champion:getSkillLevel("earth_magic")) end
}

defineSpell{
	name = "stoneshatter",
	uiName = "Stoneshatter",
	skill = "earth_magic",
	level = 32,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.stoneshatter(champion,party.x,party.y,direction,champion:getSkillLevel("earth_magic")) end
}

--ice
defineSpell{
	name = "gelid_darts",
	uiName = "Gelid Darts",
	skill = "ice_magic",
	level = 4,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.gelid_darts(champion,x,y,direction,champion:getSkillLevel("ice_magic")) end
}


defineSpell{
	name = "gelid_barrier",
	uiName = "Gelid Barrier",
	skill = "ice_magic",
	level = 8,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.gelid_barrier(champion,x,y,direction,champion:getSkillLevel("ice_magic")) end
}

defineSpell{
	name = "glacial_cold",
	uiName = "Glacial Cold",
	skill = "ice_magic",
	level = 16,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.glacial_cold(champion,x,y,direction,champion:getSkillLevel("ice_magic")) end
}

defineSpell{
	name = "glacial_power",
	uiName = "Glacial Power",
	skill = "ice_magic",
	level = 32,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.glacial_power(champion,x,y,direction,champion:getSkillLevel("ice_magic")) end
}
for i = 0, 50 do
	defineObject{
		name = "freezer"..i,
		class = "ProjectileSpell",
		particleSystem = "no_particles",
		hitParticleEffect = "no_particles",
		lightColor = vec(0, 0, 0),
		lightBrightness = 0,
		lightRange = 0,
		lightHitBrightness = 0,
		lightHitRange = 0,
		launchSound = "silence",
		projectileSound = "silence",
		hitSound = "silence",
		projectileSpeed = 1,
		attackPower = i,
		damageType = "cold",
		freezeChance = 100,
		freezeDuration = i/10,
		--cameraShake = true,
		tags = { "spell" },
	}
end

defineSpell{
	name = "shocksheet",
	uiName = "Sparksheet",
	skill = "air_magic",
	level = 4,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.shocksheet(champion,x,y,direction,champion:getSkillLevel("air_magic")) end
}

defineSpell{
	name = "sparksphere",
	uiName = "Sparksphere",
	skill = "air_magic",
	level = 4,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.sparksphere(champion,x,y,direction,champion:getSkillLevel("air_magic")) end
}

defineSpell{
	name = "thundercall",
	uiName = "Thundercall",
	skill = "air_magic",
	level = 16,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.thundercall(champion,x,y,direction,champion:getSkillLevel("air_magic")) end
}

defineSpell{
	name = "thunderstrike",
	uiName = "Thunderstrike",
	skill = "air_magic",
	level = 32,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.thunderstrike(champion,x,y,direction,champion:getSkillLevel("air_magic")) end
}

defineSpell{
	name = "awakened_thunder",
	uiName = "Awakened Thunder",
	skill = "air_magic",
	level = 50,
	runes = nil,
	manaCost = 0,
	-- skill not used
	onCast = function(champion,x,y,direction,skill) spells.awakened_thunder(champion,x,y,direction,champion:getSkillLevel("air_magic")) end
}
--[[
defineSpell{
	name = "shoot_stone",
	uiName = "Shoot Rock",
	skill = "spellcraft",
	level = 0,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.missileWeapon(champion,x,y,direction,"thrown_stone",1,7) end
}
defineSpell{
	name = "shoot_sling",
	uiName = "Shoot Rock",
	skill = "spellcraft",
	level = 0,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.missileWeapon(champion,x,y,direction,"thrown_stone",5,12) end
}
defineSpell{
	name = "shoot_knife",
	uiName = "Shoot Knife",
	skill = "spellcraft",
	level = 0,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.missileWeapon(champion,x,y,direction,"thrown_knife",4,9) end
}
defineSpell{
	name = "shoot_shuriken",
	uiName = "Shoot Shuriken",
	skill = "spellcraft",
	level = 0,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.missileWeapon(champion,x,y,direction,"thrown_shuriken",7,10) end
}
defineSpell{
	name = "shoot_axe",
	uiName = "Shoot Axe",
	skill = "spellcraft",
	level = 0,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.missileWeapon(champion,x,y,direction,"thrown_axe",15,8) end
}
defineSpell{
	name = "shoot_arrow",
	uiName = "Shoot Arrow",
	skill = "spellcraft",
	level = 0,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.missileWeapon(champion,x,y,direction,"shot_arrow",8,12) end
}
defineSpell{
	name = "shoot_arrow_highdam",
	uiName = "Shoot Arrow",
	skill = "spellcraft",
	level = 0,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.missileWeapon(champion,x,y,direction,"shot_arrow",15,16) end
}
defineSpell{
	name = "shoot_bolt",
	uiName = "Shoot Bolt",
	skill = "spellcraft",
	level = 0,
	runes = nil,
	manaCost = 0,
	onCast = function(champion,x,y,direction,skill) spells.missileWeapon(champion,x,y,direction,"shot_bolt",25,18) end
}
]]

-- Item spells
defineSpell{
	name = "thunderlash_shock",
	uiName = "Thunderlash Blast",
	level = 4,
	runes = nil,
	manaCost = 0,
	skill = "maces",
	onCast = function(champion,x,y,direction,skill) spells.thunderlash_shock(champion,x,y,direction,champion:getSkillLevel("maces")) end
}

--------------------------------------------------------------------------------
-- Spell objects
--------------------------------------------------------------------------------

defineObject{
	name = "firebeam_tile_x",
	class = "BurstSpell",
	screenEffect = "fireball_screen",
	particleSystem = "firebeam_x",
	lightColor = vec(0.75, 0.4, 0.25),
	lightBrightness = 40,
	lightRange = 4,
	sound = "silence",
	attackPower = 0,
	damageType = "fire",
	--cameraShake = true,
	tags = { "spell" },
}

defineObject{
	name = "firebeam_tile_y",
	class = "BurstSpell",
	screenEffect = "fireball_screen",
	particleSystem = "firebeam_y",
	lightColor = vec(0.75, 0.4, 0.25),
	lightBrightness = 40,
	lightRange = 4,
	sound = "silence",
	attackPower = 0,
	damageType = "fire",
	--cameraShake = true,
	tags = { "spell" },
}

defineObject{
	name = "coldbeam_tile_x",
	class = "BurstSpell",
	screenEffect = "fireball_screen",
	particleSystem = "coldbeam_x",
	lightColor = vec(0.75, 0.4, 0.25),
	lightBrightness = 40,
	lightRange = 4,
	sound = "silence",
	attackPower = 0,
	damageType = "cold",
	--cameraShake = true,
	tags = { "spell" },
}

defineObject{
	name = "coldbeam_tile_y",
	class = "BurstSpell",
	screenEffect = "fireball_screen",
	particleSystem = "coldbeam_y",
	lightColor = vec(0.75, 0.4, 0.25),
	lightBrightness = 40,
	lightRange = 4,
	sound = "silence",
	attackPower = 0,
	damageType = "cold",
	--cameraShake = true,
	tags = { "spell" },
}

defineObject{
	name = "firepillar",
	class = "BurstSpell",
	screenEffect = "fireball_screen",
	particleSystem = "firepillar",
	lightColor = vec(0.75, 0.4, 0.25),
	lightBrightness = 40,
	lightRange = 4,
	sound = "fireburst",
	attackPower = 30,
	damageType = "fire",
	--cameraShake = true,
	tags = { "spell" },
}

defineObject{
	name = "rock_shards",
	class = "IceShards",
	attackPower = 20,
	chainCounter = 1,
	--cameraShake = true,
	tags = { "spell" },
}
defineObject{
	name = "ice_shards_single",
	class = "IceShards",
	attackPower = 15,
	chainCounter = 1,
	--cameraShake = true,
	tags = { "spell" },
}

defineObject{
	name = "shockburst2",
	class = "BurstSpell",
	particleSystem = "shockburst",
	lightColor = vec(0.25, 0.5, 1),
	lightBrightness = 40,
	lightRange = 4,
	sound = "shockburst",
	attackPower = 27,
	damageType = "shock",
	--cameraShake = true,
	tags = { "spell" },
}

defineObject{
	name = "frostburst",
	class = "BurstSpell",
	particleSystem = "frostburst",
	lightColor = vec(0.25, 0.5, 1),
	lightBrightness = 40,
	lightRange = 4,
	sound = "frostburst",
	attackPower = 20,
	damageType = "cold",
	--cameraShake = true,
	tags = { "spell" },
}
